<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:alm="http://www.etech.cz/XMLSchema/sim/alarm_hi.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="alm:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body>
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
								<div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[9]"/></div>
							</div>
							<div id="content">
								<div class="column_full">
									<xsl:apply-templates select="AlarmSet"/>
								</div>
								<div>
									<p class="right">
										<input type="button" class="input_auto" onClick="sendCmd('AlClr',100)">
											<xsl:attribute name="value"><xsl:value-of select="$lg/s[293]"/></xsl:attribute>
										</input>
									</p>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

  <xsl:template match="AlarmSet">
		<h1></h1>
		<p>
			<table class="tbl_full_with_scroll">
				<colgroup>
					<col width="34%"/>
					<col width="33%"/>
					<col width="33%"/>
				</colgroup>
				<thead>
					<td><xsl:value-of select="$lg/s[28]"/></td>
					<td><xsl:value-of select="$lg/s[29]"/></td>
					<td><xsl:value-of select="$lg/s[30]"/></td>
				</thead>
			</table>
		<div class="scroll">
			<table class="tbl_full_with_scroll">
				<colgroup>
					<col class="col_value" width="34%"/>
					<col class="col_value" width="33%"/>
					<col class="col_value" width="33%"/>
				</colgroup>
				<tbody>
					<xsl:for-each select="E">
						<xsl:sort select="T" order="descending"/>
						<tr>
							<xsl:attribute name="class">
								<xsl:choose>
									<xsl:when test="S=0">
										ok
									</xsl:when>
									<xsl:when test="S=1">
										alarm
									</xsl:when>
									<xsl:when test="S=2">
										on
									</xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<td text-align="center">
								<xsl:value-of select="T"/>
							</td>
							<td>
								<xsl:value-of select="N"/>
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="S=0">
										<span><xsl:value-of select="$lg/s[31]"/></span>
									</xsl:when>
									<xsl:when test="S=1">
										<span><xsl:value-of select="$lg/s[32]"/></span>
									</xsl:when>
									<xsl:when test="S=2">
										<span><xsl:value-of select="$lg/s[33]"/></span>
									</xsl:when>
								</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</div>
		</p>
	</xsl:template>
</xsl:stylesheet>