<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body>
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" onClick="setAlarms();">
									<xsl:attribute name="value"><xsl:value-of select="$lg/s[289]"/></xsl:attribute>
								</input>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
								<div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[8]"/></div>
							</div>
							<div id="content">
								<div class="column_full">
								  <h1><xsl:value-of select="$lg/s[202]"/></h1>
								   <p>
										<table class="tbl_full">
										  <col class="col_name_wide" width="40%"/>
										  <col class="col_value" width="20%"/>
										  <col class="col_value" width="20%"/>
										  <col class="col_value" width="10%"/>
										  <col class="col_value" width="10%"/>
											<thead>
												<td><xsl:value-of select="$lg/s[203]"/>&#160;<span class="info">
													<xsl:attribute name="title"><xsl:value-of select="$lg/s[282]"/></xsl:attribute>
													?
												</span></td>
												<td><xsl:value-of select="$lg/s[72]"/>&#160;<span class="info">
													<xsl:attribute name="title"><xsl:value-of select="$lg/s[240]"/></xsl:attribute>
													?
												</span></td>
												<td><xsl:value-of select="$lg/s[98]"/>&#160;<span class="info">
													<xsl:attribute name="title"><xsl:value-of select="$lg/s[241]"/></xsl:attribute>
													?
												</span></td>
												<td>e-mail <span class="info">
													<xsl:attribute name="title"><xsl:value-of select="$lg/s[242]"/></xsl:attribute>
													?
												</span></td>
												<td>SMS <span class="info">
													<xsl:attribute name="title"><xsl:value-of select="$lg/s[243]"/></xsl:attribute>
													?
												</span></td>
											</thead>
											<tbody>
												<xsl:apply-templates select="SenSet" mode="Alarms"/>
												<xsl:apply-templates select="BinaryInSet" mode="Alarms"/>
												<xsl:apply-templates select="InsolationAlarm" mode="Alarms"/>
												<xsl:apply-templates select="PeriodicalInfo" mode="Alarms"/>												
												<xsl:apply-templates select="CommMonSet" mode="Alarms"/>
											</tbody>
										</table>
									</p>
								</div>
								<div class="column_full">
									<xsl:apply-templates select="InverterSet" mode="Alarms"/>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->
	
	<xsl:template match="InverterSet" mode="Alarms">
		<h1><xsl:value-of select="$lg/s[91]"/></h1>
		<p>
			<table class="tbl_full">
			  <col class="col_name_wide" width="40%"/>
			  <col class="col_value" width="20%"/>
			  <col class="col_value" width="20%"/>
			  <col class="col_value" width="10%"/>
			  <col class="col_value" width="10%"/>
				<thead>
					<td><xsl:value-of select="$lg/s[44]"/>&#160;<span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[234]"/></xsl:attribute>
						?
					</span></td>
					<td><xsl:value-of select="$lg/s[72]"/>&#160;<span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[235]"/></xsl:attribute>
						?
					</span></td>
					<td><xsl:value-of select="$lg/s[92]"/></td>
					<td>e-mail <span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[236]"/></xsl:attribute>
						?
					</span></td>
					<td>SMS <span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[237]"/></xsl:attribute>
						?
					</span></td>
				</thead>
				<tbody>
					<xsl:for-each select="Entry">
						<tr>
						  <xsl:apply-templates select="State" mode="MonSenInvInp"/>
							<td class="left">
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
								</input>
								<xsl:value-of select="Type"/>
								<xsl:if test="SN != '-'">
									SN: <xsl:value-of select="SN"/>
								</xsl:if>
								<xsl:if test="SN = '-'">
									ID: <xsl:value-of select="ID"/>
								</xsl:if>
							</td>
							<td style="text-align:center;">
								<xsl:choose>
								  <xsl:when test="Online=0">
										<xsl:value-of select="$lg/s[76]"/>
								  </xsl:when>
								  <xsl:when test="Online=1">
										<xsl:value-of select="Error"/>
										<xsl:if test="ErrorDetailed!=0"> 0x<xsl:value-of select="ErrorDetailed"/>
										</xsl:if>
								  </xsl:when>
								  <xsl:when test="Online=2">
										<xsl:value-of select="$lg/s[78]"/>
								  </xsl:when>
								</xsl:choose>
							</td>
							<td style="text-align:center;">
								<xsl:value-of select="$lg/s[93]"/> (Ok)
							</td>
							<td style="text-align:center;">
								<input type="checkbox" class="checkbox">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Email.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:if test="Email &gt; 0">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
							<td style="text-align:center;">
								<input type="checkbox" class="checkbox">
									<xsl:if test="not(//SMS/E!=0)">
										<xsl:attribute name="disabled">1</xsl:attribute>
									</xsl:if>
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.SMS.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:if test="SMS &gt; 0">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</p>
	</xsl:template>	

  <xsl:template match="BinaryInSet" mode="Alarms">
		<xsl:for-each select="Entry"> 
			<tr>
			  <xsl:apply-templates select="State" mode="MonSenInvInp"/>
				<td class="left">
					<input type="hidden">
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
						</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
					</input>
					<xsl:value-of select="Name"/>
				</td>
				<td style="text-align:center;">
					<xsl:choose>
						<xsl:when test="Value=0"><xsl:value-of select="$lg/s[51]"/></xsl:when>
						<xsl:when test="Value=1"><xsl:value-of select="$lg/s[52]"/></xsl:when>
					</xsl:choose>
				</td>
				<td style="text-align:center;">
					<xsl:choose>
						<xsl:when test="Alarm=0"><xsl:value-of select="$lg/s[52]"/></xsl:when>
						<xsl:when test="Alarm=1"><xsl:value-of select="$lg/s[51]"/></xsl:when>
					</xsl:choose>
				</td>
				<td style="text-align:center;">
					<input type="checkbox" class="checkbox">
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.Email.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:if test="Email &gt; 0">
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
				</td>
				<td style="text-align:center;">
					<input type="checkbox" class="checkbox">
						<xsl:if test="not(//SMS/E!=0)">
							<xsl:attribute name="disabled">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.SMS.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:if test="SMS &gt; 0">
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
  <xsl:template match="SenSet" mode="Alarms">
		<xsl:for-each select="Entry"> 
			<tr>
			  <xsl:apply-templates select="State" mode="MonSenInvInp"/>
				<td class="left">
					<input type="hidden">
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
					</input>
					<xsl:value-of select="Name"/>
				</td>
				<td style="text-align:center;">
					<xsl:value-of select="Value"/>
					<xsl:text> </xsl:text>
					<xsl:apply-templates select="Units"/>
				</td>
				<td style="text-align:center;">
					<xsl:value-of select="Min"/>
					 - 
					<xsl:value-of select="Max"/>
				</td>
				<td style="text-align:center;">
					<input type="checkbox" class="checkbox">
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.Email.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:if test="Email &gt; 0">
							<xsl:attribute name="checked"><xsl:value-of select="checked"/></xsl:attribute>
						</xsl:if>
					</input>
				</td>
				<td style="text-align:center;">
					<input type="checkbox" class="checkbox">
						<xsl:if test="not(//SMS/E!=0)">
							<xsl:attribute name="disabled">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.SMS.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:if test="SMS &gt; 0">
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="InsolationAlarm" mode="Alarms">
		<tr>
			<xsl:apply-templates select="State" mode="MonSenInvInp"/>
			<td class="left">
				<span><xsl:value-of select="$lg/s[37]"/></span>
			</td>
			<td style="text-align:center;">
				<xsl:apply-templates select="." mode="Common"/>
			</td>
			<td style="text-align:center;">
				<span><xsl:value-of select="$lg/s[46]"/>: </span><xsl:value-of select="CompareValue"/> W/m2
			</td>
			<td style="text-align:center;">
				<input type="checkbox" class="checkbox" id="InsolationAlarmEmail"> 
					<xsl:if test="Email &gt; 0">
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</input>
			</td>
			<td style="text-align:center;">
				<input type="checkbox" class="checkbox" id="InsolationAlarmSMS">
					<xsl:if test="not(//SMS/E!=0)">
						<xsl:attribute name="disabled">1</xsl:attribute>
					</xsl:if>
					<xsl:if test="SMS &gt; 0">
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</input>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="CommMonSet" mode="Alarms">
		<xsl:variable name="inv_cnt">
			<xsl:value-of select="count(//InverterSet/Entry)"/>
		</xsl:variable>
		<xsl:variable name="str_cnt">
			 <xsl:value-of select="count(//StringSet/Entry)"/>
		</xsl:variable>
		<xsl:variable name="modbus_idx" select="0"/>
		<xsl:variable name="pulses_idx" select="1"/>
		<xsl:variable name="inv_idx" select="2"/>
		<xsl:for-each select="Entry">
			<xsl:choose>
				<xsl:when test="(position() >= $inv_idx + $inv_cnt + $str_cnt)"/>
				<xsl:otherwise>
					<tr>
					  <xsl:apply-templates select="State" mode="MonSenInvInp"/>
						<td class="left">
							<input type="hidden">
								<xsl:attribute name="id">
									<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
								</xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
							</input>
							<xsl:choose>
								<xsl:when test="position() = $pulses_idx">
									<xsl:value-of select="$lg/s[47]"/>
								</xsl:when>
								<xsl:when test="(position() >= $inv_idx) and (($inv_idx + $inv_cnt) > position())">
									<xsl:value-of select="$lg/s[48]"/>&#160;<xsl:value-of select="position() - $inv_idx + 1"/>
								</xsl:when>
								<xsl:when test="(position() >= $inv_idx + $inv_cnt) and (($inv_idx + $inv_cnt + $str_cnt) > position())">
									<xsl:value-of select="$lg/s[49]"/>&#160;<xsl:value-of select="position() - $inv_idx - $inv_cnt + 1"/>
								</xsl:when>
							</xsl:choose>
						</td>
						<td style="text-align:center;">
							<xsl:value-of select="Value"/>&#160;<xsl:value-of select="$lg/s[50]"/>
						</td>
						<td style="text-align:center;">
							<xsl:value-of select="Timeout"/>&#160;<xsl:value-of select="$lg/s[50]"/>
						</td>
						<td style="text-align:center;">
							<input type="checkbox" class="checkbox">
								<xsl:attribute name="id">
									<xsl:value-of select="name(..)"/>.Email.<xsl:number value="position()-1"/>
								</xsl:attribute>
								<xsl:if test="Email &gt; 0">
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
						</td>
						<td style="text-align:center;">
							<input type="checkbox" class="checkbox">
								<xsl:if test="not(//SMS/E!=0)">
									<xsl:attribute name="disabled">1</xsl:attribute>
								</xsl:if>
								<xsl:attribute name="id">
									<xsl:value-of select="name(..)"/>.SMS.<xsl:number value="position()-1"/>
								</xsl:attribute>
								<xsl:if test="SMS &gt; 0">
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
						</td>
					</tr>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="PeriodicalInfo" mode="Alarms">
		<tr>
			<td class="left">
				<xsl:value-of select="$lg/s[66]"/>
			</td>
			<td style="text-align:center;">
				<xsl:if test="Period=0">
					<xsl:value-of select="$lg/s[67]"/>
				</xsl:if>
				<xsl:if test="Period=1">
					<xsl:value-of select="$lg/s[68]"/>
				</xsl:if>
			</td>
			<td style="text-align:center;">
				<xsl:value-of select="$lg/s[69]"/>: <xsl:value-of select="Hour"/>:00
			</td>
			<td style="text-align:center;">
				<input type="checkbox" class="checkbox" id="PeriodicalInfoEmail"> 
					<xsl:if test="Email &gt; 0">
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</input>
			</td>
			<td style="text-align:center;">
				<input type="checkbox" class="checkbox" id="PeriodicalInfoSMS">
					<xsl:if test="not(//SMS/E!=0)">
						<xsl:attribute name="disabled">1</xsl:attribute>
					</xsl:if>
					<xsl:if test="SMS &gt; 0">
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</input>
			</td>
		</tr>
  </xsl:template>
</xsl:stylesheet>


