<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:inv="http://www.etech.cz/XMLSchema/sim/invoices.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
	
	<xsl:include href="template.xsl"/>

	<xsl:template match="inv:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onload="SetInvoiceVisibility(0);SetReportVisibility();">
					<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
								<div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[10]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
									<xsl:apply-templates select="PrintInvoiceData"/>
									<xsl:apply-templates select="PrintReportData"/>
								</div>
								<div class="column_right">
									<h1>Jak na to?</h1>
									<p></p>
									<table class="tbl_half">
										<tr>
											<td class="description">
												<b>- Faktura za výrobu a decentrální výrobu:</b><br/>
													Vyplňte období a zadejte příslušné stavy ze 4-kvadrantního elektroměru prodané energie (hlavní elektroměr v majetku <span class="info" title="Provozovatel distribuční soustavy (ČEZ Distribuce, PRE Distribuce apod.)">PDS</span>).
												<br/>
												<br/>
												<b>- Faktura za prodej:</b><br/>
													Vystavujte pouze pokud máte smlouvu na dodávku (prodej) zájemci na trhu s energiemi. Faktura je totožná, jako na výrobu a decentrální výrobu, ale má jiného odběratele a lze ji vystavit za jiné období.
												<br/>
												<br/>
												<b>- Výkazy o výrobě z <span class="info" title="Obnovitelné zdroje energie">OZE</span> a vlastní spotřebě:</b><br/>
													Jsou přílohou faktury za výrobu a decentrální výrobu. Pro bezchybné vystavení je nezbytné zadat příslušné stavy 4-kvadrantního elektroměru (prodané i nakoupené energie), včetně stavu na počátku roku (nebo při zprovoznění elektrárny).
												<br/>
												<br/>
												<b>- Před první fakturací je třeba jednorázově zadat do jednotky potřebné údaje (podmenu nastavení).</b><br/>
											</td>
										</tr>
									</table>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->
	
  <xsl:template match="PrintInvoiceData">
		<script type="text/javascript" language="JavaScript">
			function SetInvoiceVisibility(idx)
			{
				document.getElementById("PrintInvoiceData.ProductionStart." + idx).disabled =
	      document.getElementById("PrintInvoiceData.ProductionEnd." + idx).disabled =
				!document.getElementById("PrintInvoiceData.Manual." + idx).checked;
			}
		</script>		
		<xsl:for-each select="Entry">
			<xsl:if test="//Prices/Mode=0 or Idx=1">
	  		<h1>
				<xsl:choose>
				<xsl:when test="Idx=1">
					Tisk faktury za výrobu a decentrální výrobu
				</xsl:when>
					<xsl:when test="Idx=2">
					Tisk faktury za prodej
				</xsl:when>
				</xsl:choose>
			</h1>
				<p>
					<table class="tbl_half">
						<colgroup>
							<col class="col_value"/>
							<col class="col_value"/>
							<col class="col_value"/>
							<col class="col_value"/>
							<col class="col_value"/>
						</colgroup>
						<tbody>
							<tr>
								<td>Číslo faktury</td>
								<td colspan="3">
									<input type="text" class="input_text">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.Id.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="Id"/></xsl:attribute>
									</input>
								</td>
								<td>
									<xsl:choose>
						  			<xsl:when test="Idx=1">
											<input type="button" value="Tisk" onClick="if(printInvoice(0)==200)openWindow('inv_main.xml', 'Vyroba_a_decentral');"/>
										</xsl:when>
										<xsl:when test="Idx=2">
											<input type="button" value="Tisk" onClick="if(printInvoice(1)==200)openWindow('inv_sell.xml', 'Prodej');"/>								
						  			</xsl:when>
									</xsl:choose>
								</td>
							</tr>
							<tr>
								<td>Za období od</td>
								<td>
									<input type="hidden">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.Idx.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
									</input>
									<input type="text" class="input_text_date" onclick="displayDatePicker(this.id);" onchange="manualyModified(this.id)">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.From.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="From"/></xsl:attribute>
									</input>
								</td>
								<td>do</td>
								<td>
									<input type="text" class="input_text_date" onclick="displayDatePicker(this.id);" onchange="manualyModified(this.id)">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.To.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="To"/></xsl:attribute>
									</input>
								</td>
								<td/>
							</tr>
							<xsl:if test="Idx=1">
								<tr>
									<td colspan="2">
										Zadat výrobu ručně:
										<input type="checkbox" class="checkbox" onChange="SetInvoiceVisibility(0);">
											<xsl:attribute name="id">
												<xsl:value-of select="name(..)"/>.Manual.<xsl:number value="position()-1"/>
											</xsl:attribute>
										</input>
									</td>
									<td/>
									<td/>
									<td/>
								</tr>
								<tr>
									<td>Vyrobená energie</td>
									<td>
										<input type="text" class="input_text_date">
											<xsl:attribute name="id">
												<xsl:value-of select="name(..)"/>.ProductionStart.<xsl:number value="position()-1"/>
											</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="ProductionStart"/></xsl:attribute>
										</input>
									</td>
									<td>-</td>
									<td>
										<input type="text" class="input_text_date">
											<xsl:attribute name="id">
												<xsl:value-of select="name(..)"/>.ProductionEnd.<xsl:number value="position()-1"/>
											</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="ProductionEnd"/></xsl:attribute>
										</input>
									</td>
									<td>kWh</td>
								</tr>
							</xsl:if>
							<xsl:if test="//Prices/Mode=0">
								<tr>
									<td>Prodaná energie</td>
									<td>
										<input type="text" class="input_text_date">
											<xsl:attribute name="id">
												<xsl:value-of select="name(..)"/>.Start.<xsl:number value="position()-1"/>
											</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="Start"/></xsl:attribute>
										</input>
									</td>
									<td>-</td>
									<td>
										<input type="text" class="input_text_date">
											<xsl:attribute name="id">
												<xsl:value-of select="name(..)"/>.End.<xsl:number value="position()-1"/>
											</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="End"/></xsl:attribute>
										</input>
									</td>
									<td>kWh</td>
								</tr>
							</xsl:if>
						</tbody>
					</table>
				</p>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>

  <xsl:template match="PrintReportData">
		<script type="text/javascript" language="JavaScript">
			function SetReportVisibility()
			{
				document.getElementById("PrintReportData.ProductionStart.0").disabled =
	      document.getElementById("PrintReportData.ProductionEnd.0").disabled =
	      document.getElementById("PrintReportData.ProductionYearStart.0").disabled =
				!document.getElementById("PrintReportData.Manual.0").checked;
			}
      function PrintVykaz()
      {
				openWindow('report.xml', 'Vykaz');
			}
      function PrintVykazSpotreba()
			{
				openWindow('report2.xml', 'Vykaz_spotreba');
			}
			function PrintReports()
			{
				 setTimeout('PrintVykaz()', 250);
				 setTimeout('PrintVykazSpotreba()', 500);
			}
		</script>
		<xsl:for-each select="Entry">
  		<h1>Tisk výkazů o výrobě z OZE a vlastní spotřebě</h1>
			<p>
				<table class="tbl_half">
					<colgroup>
						<col class="col_value"/>
						<col class="col_value"/>
						<col class="col_value"/>
						<col class="col_value"/>
						<col class="col_value"/>
					</colgroup>
					<tbody>
						<tr>
							<td>Za období od</td>
							<td>
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Idx.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
								</input>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.From.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="From"/></xsl:attribute>
								</input>
							</td>
							<td>do</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.To.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="To"/></xsl:attribute>
								</input>
							</td>
							<td>
								<input type="button" value="Tisk" onClick="if(printReport()==200)PrintReports();"/>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								Zadat výrobu ručně:
								<input type="checkbox" class="checkbox" onChange="SetReportVisibility();">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Manual.<xsl:number value="position()-1"/>
									</xsl:attribute>
								</input>
							</td>
							<td/>
							<td/>
							<td/>
						</tr>
						<tr>
							<td>Vyrobená energie</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ProductionStart.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ProductionStart"/></xsl:attribute>
								</input>
							</td>
							<td>-</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ProductionEnd.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ProductionEnd"/></xsl:attribute>
								</input>
							</td>
							<td>kWh</td>
						</tr>
						<tr>
							<td colspan="3">Vyrobená en. na poč. roku:</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ProductionYearStart.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ProductionYearStart"/></xsl:attribute>
								</input>
							</td>
							<td>kWh</td>
						</tr>
						<xsl:if test="//Prices/Mode=0">
							<tr>
								<td>Prodaná energie</td>
								<td>
									<input type="text" class="input_text_date">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.Start.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="Start"/></xsl:attribute>
									</input>
								</td>
								<td>-</td>
								<td>
									<input type="text" class="input_text_date">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.End.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="End"/></xsl:attribute>
									</input>
								</td>
								<td>kWh</td>
							</tr>
							<tr>
								<td colspan="3">Prodaná energie na poč. roku:</td>
								<td>
									<input type="text" class="input_text_date">
										<xsl:attribute name="id">
											<xsl:value-of select="name(..)"/>.YearStart.<xsl:number value="position()-1"/>
										</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="YearStart"/></xsl:attribute>
									</input>
								</td>
								<td>kWh</td>
							</tr>
						</xsl:if>						
						<tr>
							<td>Nakoupená energie</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.BoughtStart.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="BoughtStart"/></xsl:attribute>
								</input>
							</td>
							<td>-</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.BoughtEnd.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="BoughtEnd"/></xsl:attribute>
								</input>
							</td>
							<td>kWh</td>
						</tr>
						<tr>
							<td colspan="3">Nakoupená en. na poč. roku:</td>
							<td>
								<input type="text" class="input_text_date">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.BoughtYearStart.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="BoughtYearStart"/></xsl:attribute>
								</input>
							</td>
							<td>kWh</td>
						</tr>
					</tbody>
				</table>
			</p>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>

