<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:inv="http://www.etech.cz/XMLSchema/sim/invoices.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="inv:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="ProducerChanged();">
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" value="Uložit změny" onClick="setBillCfg();"/>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
								<div id="dev_name"><xsl:apply-templates select="Agent/DeviceName"/></div>
								<div id="caption">Nastavení faktury</div>
							</div>
							<div id="content">
								<div class="column_full">
									<h1>Identifikační údaje</h1>
									<table id="ident" class="tbl_full">
										<colgroup> 
											<col class="col_name_middle" width="18%"/>
											<col class="col_value" width="28%"/>
											<col class="col_value" width="27%"/>
											<col class="col_value" width="27%"/>
										</colgroup> 
										<thead>
											<td></td>
											<td>Výrobce
											</td>
											<td>Provozovatel DS</td>
											<td>Odběratel energie</td>
										</thead>
										<tbody>
											<tr>
												<td>
													<table class="ident ident_inp">
														<!--Invisible textboxes-->
														<tr><td><input type="text"/>Jméno</td></tr>
														<tr><td><input type="text"/>Ulice</td></tr>
														<tr><td><input type="text"/>Město</td></tr>
														<tr><td><input type="text"/>PSČ</td></tr>
														<tr><td><input type="text"/>Telefon</td></tr>
														<tr><td><input type="text"/>E-mail</td></tr>
														<tr><td><input type="text"/>IČ</td></tr>
														<tr><td><input type="text"/>DIČ</td></tr>
														<tr><td><input type="text"/>Peněžní ústav</td></tr>
														<tr><td><input type="text"/>Číslo účtu</td></tr>
													</table>											
												</td>
												<xsl:apply-templates select="Identification"/>
											</tr>
											<tr>
												<td/>
												<td/>
												<td>
													<input type="button" class="input_auto" value="Náhled faktury dotace" onClick="openWindow('inv_ma_t.xml', 'Nahled_vyroba_a_decentral');"/>
													</td>
												<td>
													<input type="button" class="input_auto" value="Náhled faktury prodej" onClick="openWindow('inv_se_t.xml', 'Nahled_prodej');">
													<xsl:apply-templates select="//Prices/Mode"/>
													</input>
												</td>
											</tr>
										</tbody>
									</table>											
								</div>
								<div class="column_left">
									<xsl:apply-templates select="Invoice" mode="Config"/>
								</div>
								<div class="column_right">
									<xsl:apply-templates select="Invoice" mode="Energy"/>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>    
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE-->
	<xsl:template match="Identification">
		<xsl:for-each select="Entry">
			<td>
			<input type="hidden">
				<xsl:attribute name="id">
					<xsl:value-of select="name(..)"/>.Idx.<xsl:value-of select="position()-1"/>
				</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
			</input>
			<table class="ident">
				<tbody>
					<tr><td><input type="text" maxlength="33"><xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Name.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
					<tr><td><input type="text" maxlength="34"><xsl:attribute name="value"><xsl:value-of select="Street"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Street.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
				  <tr><td><input type="text" maxlength="28"><xsl:attribute name="value"><xsl:value-of select="Town"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Town.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
				  <tr><td><input type="text" maxlength="10"><xsl:attribute name="value"><xsl:if test="ZIP!=0"><xsl:value-of select="ZIP"/></xsl:if></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.ZIP.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
				  <tr><td><input type="text" maxlength="15"><xsl:attribute name="value"><xsl:value-of select="Phone"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Phone.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
					<tr><td><input type="text" maxlength="25"><xsl:attribute name="value"><xsl:value-of select="Email"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Email.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
				  <tr><td><input type="text" maxlength="10"><xsl:attribute name="value"><xsl:if test="IC!=0"><xsl:value-of select="IC"/></xsl:if></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.IC.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
					<tr><td><input type="text" maxlength="12"><xsl:attribute name="value"><xsl:value-of select="DIC"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:if test="(//Prices/TaxPayer=0) and (Idx=1)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.DIC.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
				  <tr><td><input type="text" maxlength="20"><xsl:attribute name="value"><xsl:value-of select="Bank"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Bank.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
				  <tr><td><input type="text" maxlength="30"><xsl:attribute name="value"><xsl:value-of select="Account"/></xsl:attribute><xsl:if test="(//Prices/Mode=1) and (Idx=3)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if><xsl:attribute name="id"><xsl:value-of select="name(..)"/>.Account.<xsl:number value="position()-1"/></xsl:attribute></input></td></tr>
	      </tbody>
	    </table>
	    </td>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="Invoice" mode="Config">
		<script type="text/javascript" language="JavaScript">
			function ProducerChanged()
			{
			  if (document.getElementById("Producer").value == 0)
				{
					document.getElementById("board_text").innerHTML = "Veden v živ. rejstříku na"; 
					document.getElementById("cert_text").innerHTML = "Živnostenský list číslo"; 
					document.getElementById("BoardInfo").title = 'Zadejte kde je veden Váš živnostenský list, např. "MÚ v Praze"'; 
					document.getElementById("CertInfo").title = 'Zadejte č.j. Vašeho živnostenského listu'; 
				}
				else
				{
					document.getElementById("board_text").innerHTML = "Vedena u soudu"; 
					document.getElementById("cert_text").innerHTML = "Spisová značka"; 
					document.getElementById("BoardInfo").title = 'Zadejte soud, u kterého je vedena Vaše firma, např. "Městský soud v Praze"'; 
					document.getElementById("CertInfo").title = 'Zadejte spisovou značku, např. "B / 1234"' 
				}
		  }
		</script>
	  <h1>Nastavení faktury</h1>
			<table id="inv_cfg" class="tbl_half">
			<colgroup>
				<col class="col_name_middle"/>
				<col class="col_value"/>
				<col class="col_help"/>
			</colgroup>
				<tbody>
					<tr>
						<td/><td/><td/>
					</tr>
					<tr>
						<td>
							Výrobce je
						</td>
						<td>
							<select id="Producer" onChange="ProducerChanged();">
								<option value="0">
								  <xsl:if test="Producer=0">
										<xsl:attribute name="selected">selected</xsl:attribute>
								  </xsl:if>
								  Živnostník
								</option>
								<option value="1">
								  <xsl:if test="Producer=1">
										<xsl:attribute name="selected">selected</xsl:attribute>
								  </xsl:if>
								  Firma
								</option>
							</select>
						</td>
						<td/>
				  </tr>
					<tr>
						<td id="board_text">Soud / živ. rejstřík</td>
	 				  <td><input type="text" maxlength="30" id="Board"><xsl:attribute name="value"><xsl:value-of select="Board"/></xsl:attribute></input></td>
						<td><span class="info" id="BoardInfo" title="">?</span></td>
					</tr>
					<tr>
						<td id="cert_text">Spisová značka / živ. list</td>
					  <td><input type="text" maxlength="20" id="Certificate"><xsl:attribute name="value"><xsl:value-of select="Certificate"/></xsl:attribute></input></td>
						<td><span class="info" id="CertInfo" title="">?</span></td>
					</tr>
				  <tr>
						<td>Způsob úhrady</td> 
						<td>
							<select id="Footage">
								<option value="0">
                  <xsl:if test="Footage=0">
                    <xsl:attribute name="selected">selected</xsl:attribute>
                  </xsl:if>
								  Převodem
								</option>
                <option value="1">
                  <xsl:if test="Footage=1">
                    <xsl:attribute name="selected">selected</xsl:attribute>
                  </xsl:if>
								  Příkazem k úhradě
								</option>
							</select>
						</td>
						<td></td>
				  </tr>
				  <tr>
						<td>Doba splatnosti</td>
						<td>
							<input type="text" id="Maturity" class="input_text_2"><xsl:attribute name="value"><xsl:if test="Maturity!=0"><xsl:value-of select="Maturity"/></xsl:if></xsl:attribute></input>
							dní
						</td>
						<td>		
							<span class="info" title="Některé společnosti vyžadují splatnost od DORUČENÍ faktury">?</span>
						</td>
				  </tr>
				  <tr>
						<td>Variabilní symbol</td>
						<td>
							<input type="text" id="Variable"><xsl:attribute name="value"><xsl:value-of select="Variable"/></xsl:attribute></input>
						</td>
						<td>
							<span class="info" title="Zadejte číslo. Pokud nevyplníte, použije se číslo faktury (bez písmen) zadané před tiskem">?</span>
						</td>
				  </tr>
				  <tr>
						<td>Fakturu vystavil</td>
						<td>
							<input type="text" id="Issuer"><xsl:attribute name="value"><xsl:value-of select="Issuer"/></xsl:attribute></input>
						</td>
						<td>
							<span class="info" title="Ten, kdo vystaví fakturu">?</span>
						</td>
				  </tr>
				  <tr>
						<td>Telefon vystavitele</td>
						<td>
							<input type="text" id="Phone"><xsl:attribute name="value"><xsl:value-of select="Phone"/></xsl:attribute></input>
						</td>
						<td><span class="info" id="BoardInfo" title="Kontakt pro fakturaci">?</span></td>
				  </tr>
 					<tr>
						<td/><td/><td/>
					</tr>
        </tbody>
      </table>
  </xsl:template>

	<xsl:template match="Invoice" mode="Energy">
  	<h1>Energetické údaje</h1>
		<table id="inv_enrg" class="tbl_half">
      <colgroup>
        <col class="col_name_middle"/>
        <col class="col_value"/>
			  <col class="col_help"/>
      </colgroup>
      <tbody>
			  <tr>
			  	<td/><td/><td/>
			  </tr>
			  <tr>
					<td>ID Reg. Účastníka Trhu</td>
					<td><input type="text" id="RUT" maxlength="9"><xsl:attribute name="value"><xsl:if test="RUT!=0"><xsl:value-of select="RUT"/></xsl:if></xsl:attribute></input></td>
					<td>					
						<span class="info" title="IDRÚT přidělí Operátor Trhu s Energií (OTE)">?</span>
					</td>
			  </tr>
			  <tr>
					<td>EAN (18)</td>
					<td><input type="text" id="EAN"><xsl:attribute name="value"><xsl:value-of select="EAN"/></xsl:attribute></input></td>
					<td>					
						<span class="info" title="Zadejte 18-místný EAN kód výrobny">?</span>
					</td>
			  </tr>
				<tr>
					<td>Číslo elektroměru</td>
					<td>
						<input type="text" id="Electrometer"><xsl:attribute name="value"><xsl:value-of select="Electrometer"/></xsl:attribute></input>
					</td>
					<td>					
						<span class="info" title="Zadedjte výrobní číslo elektroměru v předávacím místě (majetek PDS)">?</span>
					</td>
			  </tr>
			  <tr>
					<td>Označení / č. obj.</td>
					<td>
						<input type="text" id="Markup"><xsl:attribute name="value"><xsl:value-of select="Markup"/></xsl:attribute></input>
					</td>
					<td>					
						<span class="info" title="ČEZ: Číslo objednávky *** Pražská Energetika: Číslo 'PS' *** E.ON:">?</span>
					</td>
			  </tr>
			  <tr>
					<td>Číslo sml. s PDS</td>
					<td><input type="text" id="NumberMain"><xsl:attribute name="value"><xsl:value-of select="NumberMain"/></xsl:attribute></input></td>
					<td>					
						<span class="info" title="Č. smlouvy o úhradě regulovaných plateb za elektřinu z OZE">?</span>
					</td>
			  </tr>
			  <tr>
					<td>Datum sml. s PDS</td>
					<td>
						<input type="text" class="input_text_date" id="DateMain" onclick="displayDatePicker(this.id);" onchange="manualyModified(this.id)">
							<xsl:attribute name="value"><xsl:value-of select="DateMain"/></xsl:attribute>
						</input>
					</td>
					<td>					
						<span class="info" title="Datum smlouvy o úhradě regulovaných plateb za elektřinu z OZE">?</span>
					</td>
			  </tr>
			  <tr>
					<td>Číslo sml. s odběratelem</td>
					<td><input type="text" id="NumberSell"><xsl:attribute name="value"><xsl:value-of select="NumberSell"/></xsl:attribute></input></td>
					<td>					
						<span class="info" title="Č. smlouvy o prodeji elektřiny 3. straně">?</span>
					</td>
			  </tr>
			  <tr>
					<td>Dat. sml. s odběratelem</td>
					<td>
						<input type="text" class="input_text_date" id="DateSell" onclick="displayDatePicker(this.id);" onchange="manualyModified(this.id)">
							<xsl:attribute name="value"><xsl:value-of select="DateSell"/></xsl:attribute>
						</input>
					</td>
					<td>					
						<span class="info" title="Datum smlouvy o prodeji elektřiny 3. straně">?</span>
					</td>
			  </tr>
				<tr>
					<td/><td/><td/>
				</tr>
      </tbody>
    </table>
  </xsl:template>
</xsl:stylesheet>

