<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="SetAuthVisibility();SMSVisibility();SetRefresh(getEmailSms);">
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" onClick="setEmailSMS(0);">
									<xsl:attribute name="value"><xsl:value-of select="$lg/s[289]"/></xsl:attribute>
								</input>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[204]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
										<xsl:apply-templates select="Email"/>
										<xsl:apply-templates select="MailDest"/>
								</div>
								<div class="column_right">
										<xsl:apply-templates select="SMS"/>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->
	
	<xsl:template match="Email">
		<script type="text/javascript" language="JavaScript">
			function SetAuthVisibility()
			{
	      document.getElementById("Name").disabled = 
				document.getElementById("Pswd").disabled = 
				!document.getElementById("Auth").checked;
			}
		</script>

		<h1><xsl:value-of select="$lg/s[117]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[118]"/>:</td>
						<td>
							<input type="text" id="Server">
								<xsl:attribute name="value"><xsl:value-of select="Server"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[256]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[119]"/>:</td>
						<td>
							<input type="text" id="Port">
								<xsl:attribute name="value"><xsl:value-of select="Port"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[257]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[120]"/>:</td>
							<td class="left">
							<input type="checkbox" class="checkbox" id="Auth" onClick="SetAuthVisibility();">
								<xsl:if test="Auth &gt; 0">
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[258]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[121]"/>:</td>
						<td>
							<input type="text" id="Name">
								<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[259]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[122]"/>:</td>
						<td>
							<input type="password" id="Pswd">
								<xsl:attribute name="value"><xsl:value-of select="Pswd"/></xsl:attribute>
							</input>
						</td>
						<td/>
					</tr>
					<tr>
					<td><xsl:value-of select="$lg/s[123]"/>:</td>
						<td>
							<input type="text" id="From">
								<xsl:attribute name="value"><xsl:value-of select="From"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[260]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[124]"/>:</td>
						<td>
							<input type="text" id="Subject">
								<xsl:attribute name="value"><xsl:value-of select="Subject"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[261]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
				</tbody>
			</table>
		</p>
	</xsl:template>
	
	<xsl:template match="MailDest">
		<h1><xsl:value-of select="$lg/s[125]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<xsl:for-each select="Entry"> 
						<tr>
							<td>
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Idx.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
								</input>
							</td>
							<td></td>
						</tr>						
						<tr>
							<td><xsl:value-of select="$lg/s[126]"/>:</td>
							<td>
								<input type="text" >
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.To.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="To"/></xsl:attribute>
								</input>
							</td>
							<td>
								<span class="info">
									<xsl:attribute name="title"><xsl:value-of select="$lg/s[262]"/></xsl:attribute>
									?
								</span>
							</td>

						</tr>
						<tr>
							<td><xsl:value-of select="$lg/s[127]"/>:</td>
							<td>
								<input type="text" >
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Cc.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Cc"/></xsl:attribute>
								</input>
							</td>
							<td>
								<span class="info">
									<xsl:attribute name="title"><xsl:value-of select="$lg/s[263]"/></xsl:attribute>
									?
								</span>
							</td>
						</tr>
					</xsl:for-each> 
				</tbody>
			</table>
		</p>
		<h1><xsl:value-of select="$lg/s[128]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_tin" style="width: 4em"/>
					<col class="col_value"/>
				</colgroup>
				<tbody>
					<tr>
						<td>
							<xsl:value-of select="$lg/s[72]"/>:
						</td>
						<td id="emlMsg">
							<xsl:value-of select="//Email/Message"/>
						</td>
					</tr>
				</tbody>
			</table>
		</p>	
		<p class="right">
			<input type="button" class="input_auto" style="margin-top: .2em" onClick="setEmailSMS(1);">
				<xsl:attribute name="value"><xsl:value-of select="$lg/s[294]"/></xsl:attribute>
			</input>
		</p>	
	</xsl:template>

	<xsl:template match="SMS">
		<script type="text/javascript" language="JavaScript">
			function SMSVisibility()
			{
				if (document.getElementById("E").value == 2)
				{
	      	document.getElementById("Server_row").style.display = 'table-row';
	      	document.getElementById("CenterNmr_row").style.display = 'none';
	      	document.getElementById("Module_row").style.display = 'none';
	      }
	      else
				{
	      	document.getElementById("Server_row").style.display = 'none';
	      	document.getElementById("CenterNmr_row").style.display = 'table-row';
	      	document.getElementById("Module_row").style.display = 'table-row';
	      }
			}
		</script>
		<h1><xsl:value-of select="$lg/s[129]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[130]"/>:</td>
						<td class="left">
							<select onchange="SMSVisibility();" id="E">
								<option value="0">
									<xsl:if test="E=0">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="$lg/s[312]"/>	
								</option>
								<option value="1">
									<xsl:if test="E=1">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="$lg/s[311]"/>	
								</option>
								<option value="2">
									<xsl:if test="E=2">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="$lg/s[313]"/>
								</option>
							</select>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[264]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr id="Server_row">
						<td><xsl:value-of select="$lg/s[310]"/>:</td>
						<td>
							<input type="hidden" id="Soap.Idx.0">
								<xsl:attribute name="value"><xsl:value-of select="//Soap/Entry[2]/Idx"/></xsl:attribute>
							</input>
							<input type="text" id="Soap.Server.0">
								<xsl:attribute name="value"><xsl:value-of select="//Soap/Entry[2]/Server"/></xsl:attribute>
							</input>
						</td>
						<td>
<!--
							<span class="info">
								Info:  <xsl:attribute name="title"><xsl:value-of select="$lg/s[xyz]"/></xsl:attribute>
								?
							</span>
-->							
						</td>
					</tr>					
					<tr id="CenterNmr_row">
						<td><xsl:value-of select="$lg/s[131]"/>:</td>
						<td>
							<xsl:value-of select="CenterNmr"/>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[265]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr id="Module_row">
						<td><xsl:value-of select="$lg/s[132]"/>:</td>
						<td>
							<xsl:value-of select="Module"/>
						</td>
						<td/>
					</tr>
				</tbody>
			</table>
		</p>
		
		<h1><xsl:value-of select="$lg/s[133]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[134]"/>:</td>
						<td>
							<input type="text" id="Recp1">
								<xsl:attribute name="value"><xsl:value-of select="Recp1"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[248]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[135]"/>:</td>
						<td>
							<input type="text" id="Recp2">
								<xsl:attribute name="value"><xsl:value-of select="Recp2"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[248]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
				</tbody>
			</table>
		</p>
		<h1><xsl:value-of select="$lg/s[136]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_tin" style="width: 4em"/>
					<col class="col_value"/>
				</colgroup>
				<tbody>
					<tr>
						<td>
							<xsl:value-of select="$lg/s[72]"/>:
						</td>
						<td id="smsMsg">
							<xsl:value-of select="Message"/>
						</td>
					</tr>
				</tbody>
			</table>
		</p>	
		<p class="right">
			<input type="button" class="input_auto" style="margin-top: .2em" onClick="setEmailSMS(2);">
				<xsl:attribute name="value"><xsl:value-of select="$lg/s[295]"/></xsl:attribute>
			</input>
		</p>
	</xsl:template>
</xsl:stylesheet>

