<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gph="http://www.etech.cz/XMLSchema/sim/graph.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="gph:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body>
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[205]"/></div>
							</div>
							<div id="content">
								<div class="column_full">
										<xsl:apply-templates select="Graph"/>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>    
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

	<xsl:template match="Graph">
		<h1></h1>
		<p>
			<div class="graph">
				<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0"
					width="730" height="500" id="ie_chart" align="middle">
					<param name="movie" value="graph.swf"/>
					<param name="flashvars">
						<xsl:attribute name="value">data_xml=<xsl:value-of select="."/></xsl:attribute>
				 	</param>
					<param name="quality" value="high"/>
					<param name="bgcolor" value="#FFFFFF"/>
					<embed src="graph.swf" quality="high" bgcolor="#FFFFFF"
						width="730" height="500" name="chart" align="middle"
						type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" id="chart">
						<xsl:attribute name="flashvars">data_xml=<xsl:value-of select="."/></xsl:attribute>
					</embed>
				</object>
			</div>
		</p>
	</xsl:template>
</xsl:stylesheet>
