<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body>
					<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[326]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
									<xsl:apply-templates select="HBusSet" />
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

	<xsl:template match="HBusSet">
		<h1><xsl:value-of select="$lg/s[327]"/></h1>
    <p>
      <table class="tbl_full">
				<colgroup> 
		      <col class="col_value" width="7%"/>
		      <col class="col_value" width="7%"/>
		      <col class="col_value" width="23%"/>
		      <col class="col_value" width="23%"/>
		      <col class="col_value" width="7%"/>
		      <col class="col_value" width="26%"/>
		      <col class="col_value" width="7%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[323]"/></td>
					<td><xsl:value-of select="$lg/s[99]"/></td>
					<td><xsl:value-of select="$lg/s[57]"/></td>
					<td>SN</td>
					<td><xsl:value-of select="$lg/s[324]"/></td>
					<td><xsl:value-of select="$lg/s[325]"/></td>
					<td><xsl:value-of select="$lg/s[190]"/></td>
				</thead>
        <tbody>
				<xsl:for-each select="Entry">
						<tr>
	            <td style="text-align:center;">
								<xsl:value-of select="Addr"/>
							</td>
	            <td style="text-align:center;">
								<xsl:value-of select="Type"/>
							</td>
	            <td style="text-align:center;">
								<xsl:value-of select="Name"/>
							</td>
	            <td style="text-align:center;">
								<xsl:value-of select="SN"/>
							</td>
	            <td style="text-align:center;">
								<xsl:value-of select="Version"/>
							</td>
	            <td style="text-align:center;">
								<xsl:value-of select="Date"/>&#160;<xsl:value-of select="Time"/>
							</td>
	            <td style="text-align:center;">
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Idx.<xsl:value-of select="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
								</input>
								<input type="checkbox" class="checkbox" style="margin-left:-3px">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Erase.<xsl:number value="position()-1"/>
									</xsl:attribute>
								</input>								
							</td>
	          </tr>
	        </xsl:for-each>
        </tbody>
      </table>
    </p>
		<p class="right">
			<input type="button" class="input_auto" onClick="eraseHBus()">
				<xsl:attribute name="value"><xsl:value-of select="$lg/s[297]"/></xsl:attribute>
			</input>
		</p>
  </xsl:template>
</xsl:stylesheet>
