<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="SetOutputsVisibility();">
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" onClick="setInputsAndOutputs();">
									<xsl:attribute name="value"><xsl:value-of select="$lg/s[289]"/></xsl:attribute>
								</input>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[24]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
									<xsl:apply-templates select="BinaryInSet" mode="InOut"/>
									<xsl:apply-templates select="AnalogInSet"/>
									<xsl:apply-templates select="BinaryOutSet" mode="InOut"/>
									<xsl:apply-templates select="AnalogOutSet"/>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>    
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->
	<xsl:template match="BinaryInSet" mode="InOut">
    <h1><xsl:value-of select="$lg/s[302]"/></h1>
    <p>	
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_middle"/>
          <col class="col_value"/>
          <col class="col_help"/>
        </colgroup>
        <tbody>
          <tr>
            <td>
            	<xsl:value-of select="$lg/s[303]"/>:
            </td>
            <td>
              <input type="checkbox" class="checkbox" id="In3" onClick="disableElectrometer();">
                <xsl:if test="In3 &gt; 0">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
						</td>
						<td/>
          </tr>
	      </tbody>
  		</table>
    </p>
    <p>
			<table class="tbl_full">
				<colgroup> 
				  <col class="col_value" width="8%"/>
				  <col class="col_value" width="37%"/>
				  <col class="col_value" width="17%"/>
				  <col class="col_value" width="22%"/>
				  <col class="col_value" width="8%"/>
				  <col class="col_value" width="8%"/>
				</colgroup> 
				<thead>
					<td>ID</td>
					<td><xsl:value-of select="$lg/s[57]"/>&#160;<span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[304]"/></xsl:attribute>
						?
					</span></td>
					<td><xsl:value-of select="$lg/s[72]"/>&#160;<span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[240]"/></xsl:attribute>
						?
					</span></td>
					<td><xsl:value-of select="$lg/s[98]"/>&#160;<span class="info">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[241]"/></xsl:attribute>
						?
					</span></td>
					<td>E-mail <span class="info" title="Poslat při překročení e-mail?">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[242]"/></xsl:attribute>
						?
					</span></td>
					<td>SMS <span class="info" title="Poslat při překročení SMS?">
						<xsl:attribute name="title"><xsl:value-of select="$lg/s[243]"/></xsl:attribute>
						?
					</span></td>
				</thead>
				<tbody>
					<xsl:apply-templates select="." mode="Details"/>
				</tbody>
			</table>
		</p>
	</xsl:template>
	
	<xsl:template match="BinaryInSet" mode="Details">
		<xsl:for-each select="Entry"> 
			<tr>
				<td style="text-align:center;">
					<input type="hidden">
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
					</input>
					<xsl:value-of select="ID"/>
				</td>	
				<td class="left">
					<input type="text">
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.Name.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
					</input>
				</td>
				<td style="text-align:center;">
				  <xsl:apply-templates select="State" mode="MonSenInvInp"/>
					<xsl:choose>
						<xsl:when test="Value=0">
							<xsl:value-of select="$lg/s[51]"/>
						</xsl:when>
						<xsl:when test="Value=1">
							<xsl:value-of select="$lg/s[52]"/>
						</xsl:when>
					</xsl:choose>
				</td>
				<td style="text-align:center;">
					<select>
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.Alarm.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<option value="1">
							<xsl:if test="Alarm=1">
								<xsl:attribute name="selected">selected</xsl:attribute>                                                                                                                                                                                                             
							</xsl:if>
							<xsl:value-of select="$lg/s[51]"/>
						</option>
						<option value="0">
							<xsl:if test="Alarm=0">
								<xsl:attribute name="selected">selected</xsl:attribute>
							</xsl:if>
							<xsl:value-of select="$lg/s[52]"/>
						</option>
					</select>
				</td>
				<td style="text-align:center;">
					<input type="checkbox" class="checkbox"> 
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.Email.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:if test="Email &gt; 0">
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
				</td>
				<td style="text-align:center;">
					<input type="checkbox" class="checkbox">
						<xsl:if test="not(//SMS/E!=0)">
							<xsl:attribute name="disabled">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="id">
							<xsl:value-of select="name(..)"/>.SMS.<xsl:number value="position()-1"/>
						</xsl:attribute>
						<xsl:if test="SMS &gt; 0">
							<xsl:attribute name="checked">checked</xsl:attribute>
						</xsl:if>
					</input>
				</td>
			</tr>
		</xsl:for-each>
  </xsl:template>

	<xsl:template match="BinaryOutSet" mode="InOut">
		<script type="text/javascript" language="JavaScript">
			function SetModeTriggerVisibility()
			{
				var idx = 0;
				var tag = ["Mode","Trigger"]; 
				 
				// test if next ID element exists	
				while (document.getElementById("BinaryOutSet.Mode." + idx) != null)
				{
					var disabled = document.getElementById("BinaryOutSet.CondInputID." + idx).value == 100000; 			
				
					for (var i = 0; tag.length > i; i++)
						document.getElementById("BinaryOutSet" + "." + tag[i] + "." + idx).disabled = disabled;
						
					idx++;
				}
			}
			function SetOutputsVisibility()
			{
	      var disabled = !document.getElementById("E").checked;				
		
				document.getElementById("Delay").disabled = disabled;
				
				var idx = 0;
				var tag = ["Name","CondInputID","Mode","Trigger"]; 
				 
				// test if next ID element exists	
				while (document.getElementById("BinaryOutSet" + "." + tag[0] + "." + idx) != null)
				{
					for (var i = 0; tag.length > i; i++)
						document.getElementById("BinaryOutSet" + "." + tag[i] + "." + idx).disabled = disabled;
						
					idx++;
				}
				
				if (!disabled)
					SetModeTriggerVisibility();
			}
		</script>
		<xsl:if test="//Agent/Model!=4">
			<h1><xsl:value-of select="$lg/s[53]"/></h1>
		</xsl:if>
    <p>	
 			<xsl:if test="//Agent/Model=4">
				<xsl:attribute name="style">display:none;</xsl:attribute>
			</xsl:if>
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_wide"/>
          <col class="col_value"/>
          <col class="col_help"/>
        </colgroup>
        <tbody>
          <tr>
            <td>
            	<xsl:value-of select="$lg/s[54]"/>:
            </td>
            <td>
              <input type="checkbox" class="checkbox" id="E" onClick="SetOutputsVisibility();">
                <xsl:if test="E &gt; 0">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[232]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
          <tr>
						<td>
							<xsl:value-of select="$lg/s[55]"/>:
						</td>
            <td>
							<input type="text" class="input_text_port" id="Delay">
								<xsl:attribute name="value"><xsl:value-of select="Delay"/></xsl:attribute>
							</input>&#160;<xsl:value-of select="$lg/s[35]"/>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[233]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
	      </tbody>
  		</table>
    </p>

		<h1><xsl:value-of select="$lg/s[56]"/></h1>
  	<p>
			<table class="tbl_full">
			  <col class="col_value" width="6%"/>
			  <col class="col_value" width="25%"/>
			  <col class="col_value" width="22%"/>
			  <col class="col_value" width="15%"/>
			  <col class="col_value" width="15%"/>
			  <col class="col_value" width="15%"/>
				<thead>
					<td>ID</td>
					<td><xsl:value-of select="$lg/s[57]"/></td>
					<td><xsl:value-of select="$lg/s[58]"/></td>
					<td><xsl:value-of select="$lg/s[59]"/></td>
					<td><xsl:value-of select="$lg/s[60]"/></td>
					<td><xsl:value-of select="$lg/s[72]"/></td>
				</thead>
				<tbody>
					<xsl:for-each select="Entry"> 
						<tr>
							<td class="center">
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
								</input>
								<xsl:value-of select="ID"/>
							</td>
							<td class="left">
								<input type="text" maxlength="15">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Name.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
								</input>
							</td>
							<td style="text-align:center;">
								<select onchange="SetModeTriggerVisibility();">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.CondInputID.<xsl:number value="position()-1"/>
									</xsl:attribute>

									<option value="100000">
										<xsl:if test="CondInputID=100000">
											<xsl:attribute name="selected">selected</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="$lg/s[62]"/>
									</option>

									<option value="100001">
										<xsl:if test="CondInputID=100001">
											<xsl:attribute name="selected">selected</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="$lg/s[63]"/> [W]
									</option>
									<xsl:variable name="CondID">
										<xsl:value-of select="CondInputID"/>
									</xsl:variable>
									<xsl:for-each select="//SenSet/Entry">
										<option>
											<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
											<xsl:if test="ID=$CondID">
												<xsl:attribute name="selected">selected</xsl:attribute>                                                                                                                                                                                                             
											</xsl:if>
											<xsl:value-of select="Name"/> [<xsl:apply-templates select="Units"/>]
										</option>
									</xsl:for-each>
								</select>
							</td>
							<td style="text-align:center;">
								<select>
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Mode.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<option value="0">
										<xsl:if test="Mode=0">
											<xsl:attribute name="selected">selected</xsl:attribute>                                                                                                                                                                                                             
										</xsl:if>
										&lt; (<xsl:value-of select="$lg/s[64]"/>)
									</option>
<!--
									<option value="1">
										<xsl:if test="Mode=1">
											<xsl:attribute name="selected">selected</xsl:attribute>
										</xsl:if>
										= (rovno)
									</option>
-->
									<option value="2">
										<xsl:if test="Mode=2">
											<xsl:attribute name="selected">selected</xsl:attribute>
										</xsl:if>
										&gt; (<xsl:value-of select="$lg/s[65]"/>)
									</option>
								</select>
						  </td>
							<td style="text-align:center;">
								<input type="text" style="width:5em;text-align:right;" maxlength="8">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Trigger.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Trigger div 10"/></xsl:attribute>
								</input>
							</td>
							<td style="text-align:center;">
								<xsl:choose>
									<xsl:when test="Value=0"><xsl:value-of select="$lg/s[51]"/></xsl:when>
									<xsl:when test="Value=1"><xsl:value-of select="$lg/s[52]"/></xsl:when>
								</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
  	</p>
	</xsl:template>

	<xsl:template match="AnalogInSet">
    <h1><xsl:value-of select="$lg/s[337]"/></h1>
  	<p>
			<table class="tbl_full">
			  <col class="col_value" width="8%"/>
			  <col class="col_value" width="36%"/>
			  <col class="col_value" width="23%"/>
			  <col class="col_value" width="14%"/>
			  <col class="col_value" width="14%"/>
				<thead>
					<td>ID</td>
					<td><xsl:value-of select="$lg/s[57]"/></td>
					<td><xsl:value-of select="$lg/s[338]"/></td>
					<td><xsl:value-of select="$lg/s[336]"/></td>
					<td><xsl:value-of select="$lg/s[60]"/></td>
				</thead>
				<tbody>
					<xsl:for-each select="Entry"> 
						<tr>
							<td class="center">
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
								</input>
								<xsl:value-of select="ID"/>
							</td>
							<td class="left">
								<input type="text" maxlength="20">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Name.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
								</input>
							</td>
							<td class="center">
								<input type="text" style="text-align:right;width:4em;" maxlength="11">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Min.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Min"/></xsl:attribute>
								</input>
								-
								<input type="text" style="width:4em;" maxlength="11">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Max.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Max"/></xsl:attribute>
								</input>
							</td>
							<td class="center">
								<input type="text" style="width:4em;" maxlength="5">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Units.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Units"/></xsl:attribute>
								</input>
							</td>
							<td class="center">
								<xsl:value-of select="Value"/>&#160;<xsl:value-of select="Units"/>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
  	</p>
	</xsl:template>
	
	<xsl:template match="AnalogOutSet">
    <h1><xsl:value-of select="$lg/s[339]"/></h1>
  	<p>
			<table class="tbl_full">
			  <col class="col_value" width="8%"/>
			  <col class="col_value" width="41%"/>
			  <col class="col_value" width="14%"/>
			  <col class="col_value" width="23%"/>
			  <col class="col_value" width="14%"/>
				<thead>
					<td>ID</td>
					<td><xsl:value-of select="$lg/s[57]"/></td>
					<td><xsl:value-of select="$lg/s[340]"/></td>
					<td><xsl:value-of select="$lg/s[338]"/></td>
					<td><xsl:value-of select="$lg/s[72]"/></td>
				</thead>
				<tbody>
					<xsl:for-each select="Entry"> 
						<tr>
							<td class="center">
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.ID.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
								</input>
								<xsl:value-of select="ID"/>
							</td>

							<td class="left">
								<input type="text" maxlength="20">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Name.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
								</input>
							</td>

							<td style="text-align:center;">
								<select onchange="SetModeTriggerVisibility();">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.CondInputID.<xsl:number value="position()-1"/>
									</xsl:attribute>

									<option value="100001">
										<xsl:if test="CondInputID=100001">
											<xsl:attribute name="selected">selected</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="$lg/s[63]"/> [W]
									</option>
									<xsl:variable name="CondID">
										<xsl:value-of select="CondInputID"/>
									</xsl:variable>
									<xsl:for-each select="//SenSet/Entry">
										<option>
											<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
											<xsl:if test="ID=$CondID">
												<xsl:attribute name="selected">selected</xsl:attribute>                                                                                                                                                                                                             
											</xsl:if>
											<xsl:value-of select="Name"/> [<xsl:apply-templates select="Units"/>]
										</option>
									</xsl:for-each>
								</select>
							</td>

							<td class="center">
								<input type="text" style="text-align:right;width:4em;" maxlength="11">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Min.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Min"/></xsl:attribute>
								</input>
								-
								<input type="text" style="width:4em;" maxlength="11">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Max.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Max"/></xsl:attribute>
								</input>
							</td>
							
							<td class="center">
								<xsl:value-of select="State"/>&#160;%
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
  	</p>
	</xsl:template>
	
</xsl:stylesheet>

