<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="startTime();SetDhcpVisibility(false);SetRefresh(getNetwork);">
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" onClick="setNetwork(reset);">
									<xsl:attribute name="value"><xsl:value-of select="$lg/s[289]"/></xsl:attribute>
								</input>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[208]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
										<xsl:apply-templates select="Network"/>
										<xsl:apply-templates select="SoapReport"/>
								</div>
								<div class="column_right">
										<xsl:apply-templates select="Time"/>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>    
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

  <xsl:template match="Soap/Entry">
    <tr>
      <td><xsl:value-of select="$lg/s[109]"/>:</td>
      <td class="left">
				<input type="hidden">
					<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.Idx.<xsl:number value="position()-1"/>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
				</input>
        <input type="checkbox" class="checkbox">
  				<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.E.<xsl:number value="position()-1"/>
					</xsl:attribute>
          <xsl:if test="E &gt; 0">
            <xsl:attribute name="checked">checked</xsl:attribute>
          </xsl:if>
        </input>
      </td>
			<td>
				<span class="info">
					<xsl:attribute name="title"><xsl:value-of select="$lg/s[251]"/></xsl:attribute>
					?
				</span>
			</td>
    </tr>
    <tr>
      <td><xsl:value-of select="$lg/s[110]"/>:</td>
      <td>
        <input type="text" maxlength="30">
					<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.Server.<xsl:number value="position()-1"/>
					</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="Server"/></xsl:attribute>
        </input>
			</td>
			<td>
				<span class="info">
					<xsl:attribute name="title"><xsl:value-of select="$lg/s[252]"/></xsl:attribute>
					?
				</span>
			</td>
    </tr>
    <tr>
      <td><xsl:value-of select="$lg/s[111]"/>:</td>
      <td>
        <input type="text" maxlength="64">
					<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.Route.<xsl:number value="position()-1"/>
					</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="Route"/></xsl:attribute>
        </input>
      </td>
			<td>
				<span class="info">
					<xsl:attribute name="title"><xsl:value-of select="$lg/s[253]"/></xsl:attribute>
					?
				</span>
			</td>
    </tr>
    <tr>
      <td><xsl:value-of select="$lg/s[112]"/>:</td>
      <td>
        <input type="text" maxlength="5" class="input_text_port">
					<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.Port.<xsl:number value="position()-1"/>
					</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="Port"/></xsl:attribute>
        </input>
      </td>
			<td>
				<span class="info">
					<xsl:attribute name="title"><xsl:value-of select="$lg/s[254]"/></xsl:attribute>
					?
				</span>
			</td>
    </tr>
  </xsl:template>
  
  <xsl:template match="SoapReport">
    <h1><xsl:value-of select="$lg/s[113]"/></h1>
    <p>
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_tin"/>
          <col class="col_value"/>
          <col class="col_help"/>
        </colgroup>
        <tbody>
        	<xsl:apply-templates select="//Soap/Entry[Idx = 1]"/>
          <tr>
            <td><xsl:value-of select="$lg/s[114]"/>:</td>
            <td>
              <input type="text" maxlength="5" id="Period" class="input_text_port">
                <xsl:attribute name="value"><xsl:value-of select="Period"/></xsl:attribute>
              </input>&#160;<xsl:value-of select="$lg/s[115]"/>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[255]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
        </tbody>
      </table>
    </p>
 		<h1><xsl:value-of select="$lg/s[116]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_tin" style="width: 4em"/>
					<col class="col_value"/>
				</colgroup>
				<tbody>
        	<xsl:for-each select="//Soap/Entry[Idx = 1]">
  					<tr>
  						<td>
  							<xsl:value-of select="$lg/s[72]"/>:
  						</td>
  						<td id="soapMsg">
  							<xsl:value-of select="Message"/>
  						</td>
  					</tr>
        	</xsl:for-each>
				</tbody>
			</table>
		</p>	
		<p class="right">
			<input type="button" class="input_auto" style="margin-top: .2em" onClick="sendCmd('SoapSend',1000);">
				<xsl:attribute name="value"><xsl:value-of select="$lg/s[210]"/></xsl:attribute>
			</input>
		</p>	
  </xsl:template>

  <xsl:template name="TimeShift">
    <xsl:param name="nmr"/>
		<option>
			<xsl:attribute name="value"><xsl:value-of select="$nmr"/></xsl:attribute>
      <xsl:if test="TimeShift=$nmr">
        <xsl:attribute name="selected">selected</xsl:attribute>
      </xsl:if>
      <xsl:if test="$nmr>0">+</xsl:if>
			<xsl:value-of select="$nmr"/>&#160;<xsl:value-of select="$lg/s[142]"/><xsl:if test="(5>$nmr and $nmr>1) or (-1>$nmr and $nmr>-5)"><xsl:value-of select="$lg/s[143]"/></xsl:if><xsl:if test="$nmr=1 or $nmr=-1"><xsl:value-of select="$lg/s[144]"/></xsl:if>
		</option>
  </xsl:template>
	  
	<xsl:template match="Time">
    <script type="text/javascript">

			var timer=null;
			var run_time=1;
      var time_sec = 0;
    
			function startTime()
			{
				if (!run_time)
					return;
        
        if (time_sec==0)
        {
          time_sec = Number(document.getElementById("Time").value.slice(0,2))*60*60
					 + Number(document.getElementById("Time").value.slice(3,5))*60
					 + Number(document.getElementById("Time").value.slice(6,8));           
        }  
        
        time_sec++;
  
		    var hours = Math.floor(time_sec / 3600) % 24;
		    var minutes = Math.floor(time_sec / 60) % 60;
		    var seconds = time_sec % 60;
        
        hours=((10>hours)?"0":"")+hours;
		    minutes=((10>minutes)?"0":"")+minutes;
		    seconds=((10>seconds)?"0":"")+seconds;

		    var clock=hours+":"+minutes+":"+seconds;  			
        document.getElementById("Time").value=clock;
		    timer=setTimeout("startTime()",1000);
			}
			function stopTime()
			{
				run_time=0;
			}

		</script>
		<h1><xsl:value-of select="$lg/s[139]"/></h1>
    <p>
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_middle"/>
          <col class="col_value"/>
          <col class="col_help"/>
        </colgroup>
        <tbody>
          <tr>
            <td><xsl:value-of select="$lg/s[140]"/>:</td>
            <td>
			        <input type="text" maxlength="30" id="SNTPServer">
                <xsl:attribute name="value"><xsl:value-of select="SNTPServer"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[266]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
	        <tr>
	          <td><xsl:value-of select="$lg/s[141]"/>:</td>
	          <td class="left">
              <select id="TimeShift">
<!--
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="12"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="11"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="10"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="9"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="8"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="7"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="6"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="5"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="4"/></xsl:call-template>
-->
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="3"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="2"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="1"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="0"/></xsl:call-template>						
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-1"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-2"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-3"/></xsl:call-template>
<!--
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-4"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-5"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-6"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-7"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-8"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-9"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-10"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-11"/></xsl:call-template>
								<xsl:call-template name="TimeShift"><xsl:with-param name="nmr" select="-12"/></xsl:call-template>
-->
							</select>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[267]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
        </tbody>
      </table>
    </p>
    
		<h1><xsl:value-of select="$lg/s[145]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[146]"/>:</td>
						<td class="left">
							<input type="text" class="input_text_date" id="Date" onclick="displayDatePicker(this.id);" onchange="manualyModified(this.id)">
								<xsl:attribute name="value"><xsl:value-of select="Date"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[268]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[147]"/>:</td>
						<td class="left">
							<input type="text" class="input_text_date" id="Time" onFocus="stopTime();">
								<xsl:attribute name="value"><xsl:value-of select="Time"/></xsl:attribute>
							</input>
						</td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[269]"/></xsl:attribute>
								?
							</span>
						</td>
					</tr>
				</tbody>
			</table>
		</p>
		<p class="right">
			<input type="button" class="input_auto" style="margin-top: .2em" onClick="	sendCmd('TimeSync',1000);">
				<xsl:attribute name="value"><xsl:value-of select="$lg/s[209]"/></xsl:attribute>
			</input>
		</p>	
	</xsl:template>

  <xsl:template match="Network">
    <h1><xsl:value-of select="$lg/s[101]"/></h1>
    <p>
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_middle"/>
          <col class="col_value"/>
          <col class="col_help"/>
        </colgroup>
        <tbody>
          <tr>
            <td><xsl:value-of select="$lg/s[102]"/>:</td>
            <td>
              <input type="hidden" id="StaticIPAddr">
                <xsl:attribute name="value"><xsl:value-of select="IPAddr"/></xsl:attribute>
              </input>
              <input type="text" id="IPAddr" onchange="setResetFlag();">
                <xsl:attribute name="value"><xsl:value-of select="Used/IPAddr"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[244]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
          <tr>
            <td><xsl:value-of select="$lg/s[103]"/>:</td>
            <td>
              <input type="hidden" id="StaticSubmask">
              	<xsl:attribute name="value"><xsl:value-of select="Submask"/></xsl:attribute>
              </input>
              <input type="hidden" id="DefaultIP">
              	<xsl:attribute name="value"><xsl:value-of select="DefaultIP"/></xsl:attribute>
              </input>
              <input type="text" id="Submask" onchange="setResetFlag();">
              	<xsl:attribute name="value"><xsl:value-of select="Used/Submask"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[245]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
          <tr>
            <td><xsl:value-of select="$lg/s[104]"/>:</td>
            <td>
            	<input type="hidden" id="StaticGateway">
                <xsl:attribute name="value"><xsl:value-of select="Gateway"/></xsl:attribute>
              </input>
              <input type="text" id="Gateway" onchange="setResetFlag();">
                <xsl:attribute name="value"><xsl:value-of select="Used/Gateway"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[246]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
          <tr>
            <td><xsl:value-of select="$lg/s[105]"/>:</td>
            <td>
              <input type="hidden" id="StaticDNSPrimary">
                <xsl:attribute name="value"><xsl:value-of select="DNSPrimary"/></xsl:attribute>
              </input>
              <input type="text" id="DNSPrimary">
                <xsl:attribute name="value"><xsl:value-of select="Used/DNSPrimary"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[247]"/></xsl:attribute>
								?
							</span>
						</td>
	        </tr>
				  <tr>
            <td><xsl:value-of select="$lg/s[106]"/>:</td>
            <td>
              <input type="hidden" id="StaticDNSSecondary">
                <xsl:attribute name="value"><xsl:value-of select="DNSSecondary"/></xsl:attribute>
              </input>
              <input type="text" id="DNSSecondary">
                <xsl:attribute name="value"><xsl:value-of select="Used/DNSSecondary"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[247]"/></xsl:attribute>
								?
							</span>
						</td>
		      </tr>
					<tr>
            <td><xsl:value-of select="$lg/s[107]"/>:</td>
            <td class="left">
              <input type="text" class="input_text_port" id="HTTPport" >
                <xsl:attribute name="value"><xsl:value-of select="HTTPport"/></xsl:attribute>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[249]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
          <tr>
            <td><xsl:value-of select="$lg/s[108]"/>:</td>
            <td class="left">
              <input type="checkbox" class="checkbox" id="DHCP" onClick="SetDhcpVisibility(true);setResetFlag();">
                <xsl:if test="DHCP &gt; 0">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
            </td>
						<td>
							<span class="info">
								<xsl:attribute name="title"><xsl:value-of select="$lg/s[250]"/></xsl:attribute>
								?
							</span>
						</td>
          </tr>
        </tbody>
      </table>
    </p>
  </xsl:template>
</xsl:stylesheet>

