<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:inv="http://www.etech.cz/XMLSchema/sim/invoices.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="inv:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="SetVATVisibility();SetSellVisibility();ModeChanged();">
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" value="Uložit změny" onClick="setPrices();"/>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:apply-templates select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[11]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
									<xsl:apply-templates select="Prices"/>
								</div>
								<div class="column_left">
									<!--Dole tabulka s cenami za jednotlive roky a tlacitko "ulozit tyto ceny pro tento rok".-->
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>

				</div>      
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->
  <xsl:template match="Prices">
		<script type="text/javascript" language="JavaScript">
			function SetSellVisibility()
			{
			  document.getElementById("Sell").disabled = true;
		      var mode = document.getElementById("Mode");
			  	if (mode.value == 0)
					{
			      document.getElementById("Sell").disabled = false;
		  		}
		  }

			function SetVATVisibility()
			{
	      document.getElementById("VAT").disabled = !document.getElementById("TaxPayer").checked;
			}
			
			function ModeChanged()
			{
			  if (document.getElementById("Mode").value == 0)
				{
					document.getElementById("main_text").innerHTML = "Zelený bonus"; 
				}
				else
				{
					document.getElementById("main_text").innerHTML = "Povinný výkup"; 
				}
		  }
		</script>
		<h1><xsl:value-of select="$lg/s[137]"/></h1>
		  <p>
			<table class="tbl_half">
	      <colgroup>
	        <col class="col_name_middle"/>
	        <col class="col_value"/>
				<col class="col_help"/>
	      </colgroup>
	      <tbody>
				  <tr>
						<td>Režim dotací</td>
						<td>
							<select id="Mode" onchange="SetSellVisibility();ModeChanged();">
								<option value="0">
								  <xsl:if test="Mode=0">
										<xsl:attribute name="selected">selected</xsl:attribute>
								  </xsl:if>
								  Zelený bonus
								</option>
								<option value="1">
								  <xsl:if test="Mode=1">
										<xsl:attribute name="selected">selected</xsl:attribute>
								  </xsl:if>
								  Povinný výkup
								</option>
							</select>
						</td>
						<td/>
					</tr>
				  <tr>
						<td id="main_text"><xsl:value-of select="$lg/s[138]"/></td>
						<td><input type="text" class="input_text_port" id="Main"><xsl:attribute name="value"><xsl:value-of select="Main"/></xsl:attribute></input> Kč/MWh</td>
						<td>
							<span class="info" title="Cena za Zelený bonus, nebo Povinný výkup">?</span>
						</td>
				  </tr>
				  <tr>
						<td>Decentrální výroba</td>
						<td><input type="text" class="input_text_port" id="Decentral"><xsl:attribute name="value"><xsl:value-of select="Decentral"/></xsl:attribute></input> Kč/MWh</td>
						<td>
							<span class="info" title="Cena za decentrální výrobu">?</span>
						</td>
				  </tr>
				  <tr>
						<td>Prodej na trhu</td>
						<td>
							<input type="text" class="input_text_port" id="Sell"><xsl:attribute name="value"><xsl:value-of select="Sell"/></xsl:attribute></input> Kč/MWh
						</td>
						<td>
							<span class="info" title="Cena, kterou platí Váš odběratel zelené energie (zvláštní a nepovinná smlouva)">?</span>
						</td>
				  </tr>
				  <tr>
						<td>
							Jsem plátcem DPH
						</td>
						<td>
							<input type="checkbox" class="checkbox" id="TaxPayer" onClick="SetVATVisibility();">
								<xsl:if test="TaxPayer &gt; 0">
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
						</td>
						<td/>
				  </tr>
				  <tr>
						<td>Sazba DPH</td>
						<td><input type="text" class="input_text_2" id="VAT"><xsl:attribute name="value"><xsl:value-of select="VAT"/></xsl:attribute></input> %</td>
						<td/>
				  </tr>
				  <tr>
						<td>Měna</td>
						<td><input type="text" class="input_text_port" maxlength="3" id="Currency"><xsl:attribute name="value"><xsl:value-of select="Currency"/></xsl:attribute></input></td>
						<td/>
				  </tr>
	      </tbody>
	    </table>
	  </p>
  </xsl:template>
</xsl:stylesheet>

