<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="PCVisibility();">
	  	<script type="text/javascript" language="JavaScript">
				function verify(id)
				{
					var text = document.getElementById(id); 
	    		if (text != null)
					{
						var max = 100;
						var min = 0; 
						if (id.match('V.1.') != null)
						{
						  max = 1.00;
						  min = -1.00;
						}
						if (min > text.value)
							text.value = min;
						if (text.value > max)
							text.value = max;
					}
				}
				function unhide_next(id)
				{
					var line = document.getElementById(id)
	    		if (line != null)
					{
						line.style.display = '';
					}
				}
				function PCVisibility()
				{
					var mode = document.getElementById("Mode").value;

					if (mode == 1)
					{
		      	document.getElementById("active").style.display = 'none';
		      	document.getElementById("blind").style.display = 'none';
		      	document.getElementById("delay_line").style.display = 'none';
		      	document.getElementById("soap").style.display = '';
		      }
		      else
					{
		      	document.getElementById("active").style.display = '';
		      	document.getElementById("blind").style.display = '';
		      	document.getElementById("delay_line").style.display = '';
		      	document.getElementById("soap").style.display = 'none';
		      }
				}				
			</script> 
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" onClick="return setPowerControl();">
									<xsl:attribute name="value"><xsl:value-of select="$lg/s[289]"/></xsl:attribute>
								</input>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[321]"/></div>
							</div>
							<div id="content">
								<div class="column_left">
									<xsl:apply-templates select="PowerCtrl"/>
								</div>
								<div class="column_right" id="soap">
									<xsl:apply-templates select="Soap"/>
								</div>
								<div class="column_left">
									<table class="tbl_full"/>
								</div>
								<div class="column_left" id="active">
							    <h1><xsl:value-of select="$lg/s[316]"/> (%)</h1>
									<xsl:call-template name="PowerCtrl">
										<xsl:with-param name="idx" select="1"/>
										<xsl:with-param name="inp" select="'A'"/>
									</xsl:call-template>
								</div>
								<div class="column_right" id="blind">
							    <h1><xsl:value-of select="$lg/s[317]"/> (cos φ)</h1>           
							    <xsl:call-template name="PowerCtrl">
										<xsl:with-param name="idx" select="2"/>
										<xsl:with-param name="inp" select="'B'"/>
									</xsl:call-template>
								</div>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

    <xsl:template match="Soap/Entry">
		<input type="hidden">
			<xsl:attribute name="id">
				<xsl:value-of select="name(..)"/>.Idx.<xsl:number value="position()-1"/>
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
		</input>
    <tr>
      <td><xsl:value-of select="$lg/s[323]"/>:</td>
      <td>
        <input type="text" maxlength="30">
					<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.Server.<xsl:number value="position()-1"/>
					</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="Server"/></xsl:attribute>
        </input>
			</td>
			<td>
			</td>
    </tr>
    <tr>
      <td><xsl:value-of select="$lg/s[112]"/>:</td>
      <td>
        <input type="text" maxlength="5" class="input_text_port">
					<xsl:attribute name="id">
						<xsl:value-of select="name(..)"/>.Port.<xsl:number value="position()-1"/>
					</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="Port"/></xsl:attribute>
        </input>
      </td>
			<td>
			</td>
    </tr>
  </xsl:template>
  
  <xsl:template match="Soap">
    <h1><xsl:value-of select="$lg/s[333]"/></h1>
    <p>
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_tin"/>
          <col class="col_value"/>
          <col class="col_help"/>
        </colgroup>
        <tbody>
        	<xsl:apply-templates select="Entry[Idx = 3]"/>
        	<xsl:for-each select="Entry[Idx = 3]">
  					<tr>
  						<td>
  							<xsl:value-of select="$lg/s[72]"/>:
  						</td>
  						<td id="soapMsg">
  							<xsl:value-of select="Message"/>
  						</td>
  						<td/>
  					</tr>
        	</xsl:for-each>
				</tbody>
			</table>
		</p>	
  </xsl:template>

  <xsl:template name="List">
  	<xsl:param name="idx"/>
  	<xsl:param name="div"/>
  	<xsl:param name="filter"/>
  	<xsl:param name="offset"/>
  	<xsl:param name="value"/>
  	<xsl:param name="mask"/>
    	<xsl:variable name="idx_line">.<xsl:value-of select="$idx - 1"/>.<xsl:number value="position() + $offset - 1"/></xsl:variable>
	    <tr>
				<xsl:attribute name="id">line<xsl:copy-of select="$idx_line"/></xsl:attribute>
				<xsl:if test="($filter = 0) and (position() > 1)" >
					<xsl:attribute name="style">display:none;</xsl:attribute>
				</xsl:if>                                                  
	      <td class="center">                                  
	    		<input type="text" maxlength="5" style="width:3em;" class="right">
						<xsl:attribute name="value"><xsl:value-of select="$value div $div"/></xsl:attribute>     
						<xsl:attribute name="id">V<xsl:copy-of select="$idx_line"/></xsl:attribute>     
						<xsl:attribute name="onChange">verify('V<xsl:copy-of select="$idx_line"/>')</xsl:attribute>     
					</input>
					<xsl:if test="$idx = 1">
					 %
					</xsl:if>
	     	</td>
	      <td class="center">
					<input type="checkbox" class="center">
						<xsl:attribute name="id">E<xsl:copy-of select="$idx_line"/></xsl:attribute>     
            <xsl:attribute name="onClick">unhide_next('line.<xsl:value-of select="$idx - 1"/>.<xsl:number value="position() + $offset"/>')</xsl:attribute>  
	          <xsl:if test="(floor($mask div 128) mod 2) &gt; 0">
	            <xsl:attribute name="checked">checked</xsl:attribute>
	          </xsl:if>
	        </input>
				</td>
	      <td class="center">
	        <input type="checkbox" class="checkbox">
						<xsl:attribute name="id">C0<xsl:copy-of select="$idx_line"/></xsl:attribute>     
	          <xsl:if test="(floor($mask div 1) mod 2) &gt; 0">
	            <xsl:attribute name="checked">checked</xsl:attribute>
	          </xsl:if>
	        </input>
				</td>
	      <td class="center">
	        <input type="checkbox" class="checkbox">
						<xsl:attribute name="id">C1<xsl:copy-of select="$idx_line"/></xsl:attribute>     
	          <xsl:if test="(floor($mask div 2) mod 2) &gt; 0">
	            <xsl:attribute name="checked">checked</xsl:attribute>
	          </xsl:if>
	        </input>
				</td>
	      <td class="center">
	        <input type="checkbox" class="checkbox">
						<xsl:attribute name="id">C2<xsl:copy-of select="$idx_line"/></xsl:attribute>     
	          <xsl:if test="(floor($mask div 4) mod (2)) &gt; 0">
	            <xsl:attribute name="checked">checked</xsl:attribute>
	          </xsl:if>
	        </input>
				</td>
	      <td class="center">  
	        <input type="checkbox" class="checkbox">
						<xsl:attribute name="id">C3<xsl:copy-of select="$idx_line"/></xsl:attribute>     
	          <xsl:if test="(floor($mask div 8) mod 2) &gt; 0">
	            <xsl:attribute name="checked">checked</xsl:attribute>
	          </xsl:if>
	        </input>
				</td>
	      <td class="center">
	        <input type="checkbox" class="checkbox">
						<xsl:attribute name="id">C4<xsl:copy-of select="$idx_line"/></xsl:attribute>     
	          <xsl:if test="(floor($mask div 16) mod 2) &gt; 0">  
	            <xsl:attribute name="checked">checked</xsl:attribute>
	          </xsl:if>
	        </input>
				</td>         
	    </tr>
  </xsl:template>

  <xsl:template name="PowerCtrl">
		<xsl:param name="idx"/>
    <xsl:param name="inp"/>
		<p>	
			<table class="tbl_half">
	      <colgroup>
	        <col class="col_value" width="20%"/>
	        <col class="col_value" width="20%"/>
	        <col class="col_value" width="12%"/>
	        <col class="col_value" width="12%"/>
	        <col class="col_value" width="12%"/>
	        <col class="col_value" width="12%"/>
	        <col class="col_value" width="12%"/>
	      </colgroup>
				<thead>
					<td><xsl:value-of select="$lg/s[60]"/></td>
					<td><xsl:value-of select="$lg/s[320]"/></td>
					<td><xsl:value-of select="$inp"/>1</td>
					<td><xsl:value-of select="$inp"/>2</td>
					<td><xsl:value-of select="$inp"/>3</td>
					<td><xsl:value-of select="$inp"/>4</td>
					<td><xsl:value-of select="$inp"/>5</td>
				</thead> 
	      <tbody>
	      	<xsl:if test="$idx = 1">
		      	<xsl:for-each select="//PowerCtrl/Entry[(floor(M1 div 128) mod 2) = 1]">        
					    <xsl:call-template name="List">
								<xsl:with-param name="idx" select="$idx"/>
								<xsl:with-param name="div" select="1"/>
								<xsl:with-param name="filter" select="1"/>
								<xsl:with-param name="offset" select="0"/>
								<xsl:with-param name="value" select="V1"/>
								<xsl:with-param name="mask" select="M1"/>
							</xsl:call-template>
						</xsl:for-each>	
		      	<xsl:for-each select="//PowerCtrl/Entry[(floor(M1 div 128) mod 2) = 0]">        
					    <xsl:call-template name="List">
								<xsl:with-param name="idx" select="$idx"/>
								<xsl:with-param name="div" select="1"/>
								<xsl:with-param name="filter" select="0"/>
								<xsl:with-param name="offset" select="count(//PowerCtrl/Entry[(floor(M1 div 128) mod 2) = 1])"/>
								<xsl:with-param name="value" select="V1"/>
								<xsl:with-param name="mask" select="M1"/>
							</xsl:call-template>
						</xsl:for-each>
					</xsl:if>	
	      	<xsl:if test="$idx = 2">
		      	<xsl:for-each select="//PowerCtrl/Entry[(floor(M2 div 128) mod 2) = 1]">        
					    <xsl:call-template name="List">
								<xsl:with-param name="idx" select="$idx"/>
								<xsl:with-param name="div" select="100"/>
								<xsl:with-param name="filter" select="1"/>
								<xsl:with-param name="offset" select="0"/>
								<xsl:with-param name="value" select="V2"/>
								<xsl:with-param name="mask" select="M2"/>
							</xsl:call-template>
						</xsl:for-each>	
		      	<xsl:for-each select="//PowerCtrl/Entry[(floor(M2 div 128) mod 2) = 0]">        
					    <xsl:call-template name="List">
								<xsl:with-param name="idx" select="$idx"/>
								<xsl:with-param name="div" select="100"/>
								<xsl:with-param name="filter" select="0"/>
								<xsl:with-param name="offset" select="count(//PowerCtrl/Entry[(floor(M2 div 128) mod 2) = 1])"/>
								<xsl:with-param name="value" select="V2"/>
								<xsl:with-param name="mask" select="M2"/>
							</xsl:call-template>
						</xsl:for-each>
					</xsl:if>	
	      </tbody>
			</table>
    </p>
  </xsl:template>
  
  <xsl:template match="PowerCtrl">
		<h1><xsl:value-of select="$lg/s[328]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[332]"/>:</td>
						<td class="left">
							<select onchange="PCVisibility();" id="Mode">
								<option value="0">
									<xsl:if test="Mode=0">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="$lg/s[331]"/>	
								</option>
								<option value="1">
									<xsl:if test="Mode=1">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="$lg/s[313]"/>
								</option>
							</select>
						</td>
						<td>
						</td>
					</tr>
					<tr id="delay_line">
						<td><xsl:value-of select="$lg/s[329]"/>:</td>
						<td>
							<input type="text" id="Delay" class="input_text_port">
								<xsl:attribute name="value"><xsl:value-of select="Delay"/></xsl:attribute>
								<xsl:if test="not(//PowerCtrl/Entry)">
									<xsl:attribute name="disabled">disabled</xsl:attribute>
								</xsl:if>
							</input>
							<xsl:value-of select="$lg/s[315]"/>
						</td>
						<td/>
					</tr>
				</tbody>
			</table>
		</p>
	</xsl:template>
</xsl:stylesheet>
