<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"></script>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body>
				<input type="hidden" id="refresh_rate" value="3" />
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[319]"/></div>
							</div>
							<div id="content">
								<div class="column_full">
									<xsl:apply-templates select="PowerCtrlLog"/>
								</div>
								<div>
									<p class="right">
										<input type="button" class="input_auto" onClick="sendCmd('PwrClr',100)">
											<xsl:attribute name="value"><xsl:value-of select="$lg/s[293]"/></xsl:attribute>
										</input>
									</p>
								</div>							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

  <xsl:template match="PowerCtrlLog">
		<h1></h1>
		<p>
			<table class="tbl_full_with_scroll">
				<colgroup>
					<col width="30"/>
					<col width="10%"/>
					<col width="10%"/>
					<col width="50%"/>
				</colgroup>
				<thead>
					<td><xsl:value-of select="$lg/s[0]"/><xsl:value-of select="$lg/s[145]"/></td>
					<td><xsl:value-of select="$lg/s[0]"/>%</td>
					<td><xsl:value-of select="$lg/s[0]"/>cos φ</td>
					<td><xsl:value-of select="$lg/s[0]"/><xsl:value-of select="$lg/s[330]"/></td>
				</thead>
			</table>
		<div class="scroll">
			<table class="tbl_full_with_scroll">
				<colgroup>
					<col class="col_value" width="30%"/>
					<col class="col_value" width="10%"/>
					<col class="col_value" width="10%"/>
					<col class="col_value" width="50%"/>
				</colgroup>
				<tbody>
					<xsl:for-each select="Entry">
						<tr>
							<xsl:if test="(In/V > 100) or (-100 > In[2]/V) or (0 > In[1]/V)">
								<xsl:attribute name="class">alarm</xsl:attribute>
							</xsl:if>
							<td class="center">
								<xsl:value-of select="Date"/>&#160;<xsl:value-of select="Time"/>
							</td>
							<xsl:for-each select="In">
								<td class="center">
									<xsl:choose>
										<xsl:when test="(100 >= V) and (V >= ((Idx = 2) * -100))">
											<xsl:value-of select="V div (((Idx = 1) * 1) + ((Idx = 2) * 100))"/>
										</xsl:when>
										<xsl:otherwise>
											ERR (<xsl:value-of select="((Idx = 2) * 1) +  ((Idx = 1) * 100)"/>)
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</xsl:for-each> 
							<td class="center">
								<xsl:for-each select="In">
						    	<xsl:variable name="in_name">
										<xsl:if test="Idx = 1">A</xsl:if>
										<xsl:if test="Idx = 2">B</xsl:if>
									</xsl:variable>
									<xsl:if test="floor(M div 1) mod 2">
										<xsl:value-of select="$in_name"/>1
									</xsl:if>
									<xsl:if test="floor(M div 2) mod 2">
										<xsl:value-of select="$in_name"/>2
									</xsl:if>
									<xsl:if test="floor(M div 4) mod 2">
										<xsl:value-of select="$in_name"/>3 
									</xsl:if>
									<xsl:if test="floor(M div 8) mod 2">
										<xsl:value-of select="$in_name"/>4
									</xsl:if>
									<xsl:if test="floor(M div 16) mod 2">
										<xsl:value-of select="$in_name"/>5
								</xsl:if>
							</xsl:for-each>
  						</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</div>
		</p>
	</xsl:template>
</xsl:stylesheet>
