<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<!--*************************************************************************-->
<!--********************* Vykaz PRE do roku 2010 (6 ř.) *********************-->
<!--*************************************************************************-->
	<xsl:template match="Root" mode="report_pre_till_2010">
    <html>
      <head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Výkaz o výrobě z OZE (dle PRE do roku 2010)</title>
        <link rel="stylesheet" type="text/css" href="index.css"/>
      </head>
			<!--onLoad="javascript:window.print()"-->
      <body id="white_back">
				<xsl:if test="Print=1">
					<xsl:attribute name="onLoad">javascript:window.print();</xsl:attribute>
				</xsl:if>
        <div id="Vykaz">
					<table class="VykazTab1">
						<tr>
							<td class="Text1c" colspan="3">Měsíční výkaz</td>
						</tr>
						<tr>
							<td class="Text1c" colspan="3">o výrobě elektřiny z obnovitelných zdrojů</td>
						</tr>
						<tr class="EmptyRow"><td/></tr>
						<tr>
							<td><b>za měsíc/rok:</b></td>
							<td/>
							<td><b>název výrobny - podle licence na výrobu:</b></td>
						</tr>
						<tr>
							<td class="BorderedCell" width="auto">
								<xsl:value-of select="PrintReportData/Entry[1]/From"/>
								<xsl:if test="PrintReportData/Entry[1]/From!=PrintReportData/Entry[1]/To">
									 - 
									<xsl:value-of select="PrintReportData/Entry[1]/To"/>
								</xsl:if>
							</td>
							<td width="25%"></td>
							<td class="BorderedCell" width="50%"><xsl:value-of select="Report/Name"/></td>
						</tr>
						<tr>
							<td class="EmptyRow" colspan="3"></td>
						</tr>
					</table>
					<xsl:apply-templates select="Report" mode="Manufactory_PRE_till_2010"/>
					<table class="VykazTab1">
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
					</table>
					<table class="VykazTab2">
						<colgroup>
							<col width="40%"/>
							<col width="30%"/>
							<col width="30%"/>
						</colgroup>
						<tr>
							<td><b>palivo - druhotný zdroj</b></td>
							<td><b>množství [ t,tis.m<span class="TopIndex">3</span>,MWh ]</b></td>
							<td><b>výhřevnost [ Gj/tis.m<span class="TopIndex">3</span> ]</b></td>
						</tr>
						<tr style="height:1.7em;"><td/><td/><td/></tr>
					</table>
					<table class="VykazTab1">
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
					</table>
					<table class="VykazTab2">
						<colgroup>
							<col width="6%"/>
							<col width="50%"/>
							<col width="12%"/>
							<col width="14%"/>
							<col width="18%"/>
						</colgroup>
						<tr>
							<td>Číslo údaje</td>
							<td>Název položky</td>
							<td>Jednotka</td>
							<td>Za měsíc</td>
							<td>Od počátku roku</td>
						</tr>
						<tr>
							<td>1</td>
							<td class="left">Instalovaný elektrický výkon ke konci období <span class="TopIndex">1)</span></td>
							<td>kW</td>
							<td><xsl:value-of select="Report/Power div 10"/></td>
							<td>X</td>
						</tr>
						<tr>
							<td>2</td>
							<td class="left">Výroba elektřiny brutto <span class="TopIndex">2)</span></td>
							<td>kWh</td>
							<td><xsl:value-of select="floor(Production/Total)"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal)"/></td>
						</tr>
						<tr>
							<td>3</td>
							<td class="left">Vlastní spotřeba elektřiny <span class="TopIndex">3)</span></td>
							<td>kWh</td>
							<td>0</td>
							<td>0</td>
						</tr>
						<tr>
							<td>4</td>
							<td class="left">Lokální spotřeba elektřiny <span class="TopIndex">4)</span></td>
							<td>kWh</td>
							<xsl:choose>
								<xsl:when test="Prices/Mode=0">
									<td><xsl:value-of select="floor(Production/Total - PrintReportData/Entry[1]/Total)"/></td>
									<td><xsl:value-of select="floor(Production/YearTotal - PrintReportData/Entry[1]/YearTotal)"/></td>
								</xsl:when>
								<xsl:otherwise>
									<td>0</td>
									<td>0</td>
								</xsl:otherwise>
							</xsl:choose>
						</tr>
						<tr>
							<td>5</td>
							<td class="left">Dodávka elektřiny v rámci výkupu elektřiny</td>
							<td>kWh</td>
							<xsl:choose>
								<xsl:when test="Prices/Mode=0">
									<td><xsl:value-of select="floor(PrintReportData/Entry[1]/Total)"/></td>
									<td><xsl:value-of select="floor(PrintReportData/Entry[1]/YearTotal)"/></td>
								</xsl:when>
								<xsl:otherwise>
									<td>0</td>
									<td>0</td>
								</xsl:otherwise>
							</xsl:choose>
						</tr>
						<tr>
							<td>6</td>
							<td class="left">Napětí v předávacím místě</td>
							<td>kV</td>
							<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
							<td>---</td>
						</tr>
					</table>
		
					<table class="VykazTab1">
						<tr class="EmptyRow"><td/></tr>
						<tr>
							<td>
								<b>Prohlašuji, že údaje v tomto výkazu	 jsou správné a pravdivé.</b>
							</td>
						</tr>			
						<tr class="EmptyRow"><td/></tr>
					</table>	
		
					<table class="VykazTab1">
						<colgroup>
							<col width="7%"/>
							<col width="26%"/>
							<col width="7%"/>
							<col width="26%"/>
							<col width="7%"/>
							<col width="27%"/>
						</colgroup>
						<tr>
							<td>Datum:</td>
							<td/>
							<td>Jméno:</td>
							<td/>
							<td>Podpis:</td>
							<td/>
						</tr>
						<tr>
							<td/>
							<td><b><xsl:value-of select="Today"/></b></td>
							<td/>
							<td><b><xsl:value-of select="Report/Issuer"/></b></td>
							<td/>
							<td/>
						</tr>
						<tr class="EmptyRow"><td/></tr>
					</table>
					
					<table class="VykazTab4">
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
						<tr class="EmptyRow"><td/></tr>
						<tr>
							<td colspan="2">Poznámky:</td>
						</tr>
						<tr>
							<td>1)</td>
							<td>
								Součet jmenovitých činných výkonů všech generátorů výroby.
							</td>
						</tr>			
						<tr>
							<td>2)</td>
							<td>
								Výroba elektrárny brutto je vyrobená elektrická práce měřená na svorkách generátoru (svorková výroba). 
							</td>
						</tr>			
						<tr>
							<td>3)</td>
							<td>
								Vlastní spotřeba elektřiny ve výrobě je spotřeba elektrické energie při výrobě elektřiny nebo tepla v hlavním výrobním zařízení i pomocných provozech, které jsou na výrobě přímo zúčastněné, včetně ztrát v rozvodu vlastní spotřeby.
							</td>
						</tr>			
						<tr>
							<td>4)</td>
							<td>
								Lokální spotřeba elektřiny je spotřeba elektřiny mimo vlastní spotřebu elektřiny.
							</td>
						</tr>			
						<tr class="EmptyRow"><td/></tr>
					</table>										
        </div>
      </body>
    </html>
  </xsl:template>

	<xsl:template match="Identification/Entry" mode="Report_PRE_till_2010">
		<xsl:value-of select="Name"/>,
		<xsl:value-of select="Street"/>,  
		<xsl:if test="ZIP!=0"><xsl:value-of select="ZIP"/>, </xsl:if>
		<xsl:value-of select="Town"/> 
  </xsl:template>

	<xsl:template match="Report" mode="Manufactory_PRE_till_2010">
		<table class="VykazTab3">
			<colgroup>
				<col width="5%"/>
				<col width="30%"/>
				<col width="30%"/>
				<col width="30%"/>
				<col width="5%"/>
			</colgroup>
			<tr class="EmptyRow"><td/></tr>
			<tr>
				<td/>
				<td colspan="3">
					druh zdroje: (vodní energie do výkonu 10 MW, sluneční energie, větrná energie, geotermální energie, biomasa a bioplyn)
				</td>
				<td/>
			</tr>
			<tr class="EmptyRow"><td/></tr>
			<tr class="EmptyRow"><td/></tr>
			<tr>
				<td colspan="2"/>
				<td style="border:1px solid">
					<xsl:choose>
						<xsl:when test="Type=0">
							sluneční energie
						</xsl:when>
						<xsl:otherwise>
							neznámý
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td colspan="2"/>
			</tr>
			<tr class="EmptyRow"><td colspan="5"/></tr>
		</table>
		<table class="VykazTab2">
			<tr>
				<td class="left">
					<b>Jméno a adresa výrobce: </b>
					<xsl:apply-templates select="//Identification/Entry[1]" mode="Report_PRE_till_2010"/>
				</td>
			</tr>
			<tr>
				<td class="left">
				<b>Adresa výrobny podle licence na výrobu: </b><xsl:value-of select="Street"/>, <xsl:if test="ZIP!=0"><xsl:value-of select="ZIP"/>, </xsl:if><xsl:value-of select="Town"/>, <xsl:value-of select="Province"/>
				</td>
			</tr>
			<tr>
				<td class="left"><b>Identifikační číslo: </b>
					<span><xsl:if test="IC!=0"><xsl:value-of select="IC"/></xsl:if></span>
				</td>
			</tr>
		</table>	
	</xsl:template>

<!--*************************************************************************-->
<!--*********************** Vykaz 541/2005 sb. (10 ř.) **********************-->
<!--*************************************************************************-->
	<xsl:template match="Root" mode="report_541_2005">
    <html>
      <head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Výkaz o výrobě z OZE (dle 541/2005 Sb.)</title>
        <link rel="stylesheet" type="text/css" href="index.css"/>
      </head>
			<!--onLoad="javascript:window.print()"-->
      <body id="white_back">
				<xsl:if test="Print=1">
					<xsl:attribute name="onLoad">javascript:window.print();</xsl:attribute>
				</xsl:if>
        <div id="Vykaz">
			<table class="VykazTab1">
				<tr>
					<td class="Text1c" colspan="3">Měsíční výkaz</td>
				</tr>
				<tr>
					<td class="Text1c" colspan="3">o výrobě elektřiny z obnovitelných zdrojů</td>
				</tr>
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td><b>za měsíc/rok:</b></td>
					<td></td>
					<td><b>název výrobny<span class="TopIndex">1)</span>:</b></td>
				</tr>
				<tr>
					<td class="BorderedCell" width="auto">
						<xsl:value-of select="PrintReportData/Entry[1]/From"/>
						<xsl:if test="PrintReportData/Entry[1]/From!=PrintReportData/Entry[1]/To">
							 - 
							<xsl:value-of select="PrintReportData/Entry[1]/To"/>
						</xsl:if>
					</td>
					<td width="25%"></td>
					<td class="BorderedCell" width="50%"><xsl:value-of select="Report/Name"/></td>
				</tr>
				<tr>
					<td class="EmptyRow" colspan="3"></td>
				</tr>
			</table>
			<xsl:apply-templates select="Report" mode="Manufactory_2005_2009"/>
			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>
			<table class="VykazTab2">
				<colgroup>
					<col width="5%"/>
					<col width="70%"/>
					<col width="5%"/>
					<col width="10%"/>
					<col width="10%"/>
				</colgroup>
				<tr>
					<td>Číslo údaje</td>
					<td class="left">Název položky</td>
					<td>Jednotka</td>
					<td>Za měsíc</td>
					<td>Od počátku roku</td>
				</tr>
				<tr>
					<td>1</td>
					<td class="left">Instalovaný elektrický výkon</td>
					<td>MW</td>
					<td><xsl:value-of select="floor(Report/Power)div 10000"/></td>
					<td>X</td>
				</tr>
				<tr>
					<td>2</td>
					<td class="left">Svorková výroba elektřiny<span class="TopIndex">3), 4)</span></td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
					<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>3</td>
					<td class="left">Technologická vlastní spotřeba elektřiny<span class="TopIndex">3), 5)</span></td>
					<td>MWh</td>
					<td>0</td>
					<td>0</td>
				</tr>
				<tr>
					<td>4</td>
					<td class="left">Ostatní vlastní spotřeba elektřiny<span class="TopIndex">3), 6)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>5</td>
					<td class="left">Dodávka elektřiny do lokální nebo regionální distribuční soustavy nebo do přenosové soustavy v režimu bonusů<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>6</td>
					<td class="left">Dodávka elektřiny do regionální distribuční soustavy nebo do přenosové soustavy v režimu výkupních cen<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=1">
							<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>7</td>
					<td class="left">Napětí v předávacím místě</td>
					<td>kV</td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
				</tr>
				<tr>
					<td>8</td>
					<td class="left">Označení předávacího místa podle smlouvy o připojení</td>
					<td colspan="3"><xsl:value-of select="Report/Commit"/></td>
				</tr>
				<tr>
					<td>9</td>
					<td class="left">Celková nárokovaná částka (zelené bonusy)</td>
					<td>Kč</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=0">
								<xsl:value-of select="floor(Production/Total * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=0">
								<xsl:value-of select="floor(Production/YearTotal * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td>10</td>
					<td class="left">Celková nárokovaná částka (výkupní ceny)</td>
					<td>Kč</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=1">
								<xsl:value-of select="floor(Production/Total * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=1">
								<xsl:value-of select="floor(Production/YearTotal * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</table>

			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td>
						Prohlašuji, že všechny výše uvedené údaje jsou správné a pravdivé.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td/>
				</tr>
			</table>	

			<table class="VykazTab3">
				<colgroup>
					<col width="50%"/>
					<col width="50%"/>
				</colgroup>
				<tr>
					<td>V <xsl:value-of select="Report/IssueTown"/> dne <xsl:value-of select="Today"/></td>
					<td><b><xsl:value-of select="Report/Issuer"/></b></td>
				</tr>
				<tr>
					<td/>
					<td class="VykazMiniText">Jméno a příjmení výrobce/<br/>
						Jméno a příjmení osoby nebo osob oprávněných jednat za výrobce<br/>
					</td>
				</tr>
				<tr class="MidEmptyRow">
					<td/>
				</tr>
				<tr>
					<td/>
					<td class="TopLineCell">Podpis</td>
				</tr>
			</table>
			
			<table class="VykazTab4">
				<tr>
					<td colspan="2">Poznámky:</td>
				</tr>
				<tr>
					<td>1)</td>
					<td>
						Uvede se název a adresa výrobny v souladu s rozhodnutím o udělení licence na výrobu elektřiny.
					</td>
				</tr>			
				<tr>
					<td>2)</td>
					<td>
						Vyplnění je požadováno pro energetické využití čisté biomasy. V případě čistého spalování biomasy se uvádí všechny kategorie biomasy podle vyhlášky č. 502/2005 Sb., o stanovení druhů, způsobu využití a parametrů biomasy při podpoře výroby elektřiny z biomasy, na které se uplatňují výkupní ceny nebo zelené bonusy za příslušný kalendářní měsíc. 
					</td>
				</tr>			
				<tr>
					<td>3)</td>
					<td>
						V případě spalování více kategorií biomasy v příslušném kalendářním měsíci se uvádí podrobně strukturu výroby, resp. spotřeby a dodávky s členěním na jednotlivé kategorie biomasy podle vyhlášky č. 502/2005 Sb.,o stanovení druhů, způsobů využití a parametrů biomasy při podpoře výroby elektřiny z biomasy.
					</td>
				</tr>			
				<tr>
					<td>4)</td>
					<td>
						Celková výroba elektřiny měřená na svorkách generátorů instalovaných ve výrobně.
					</td>
				</tr>			
				<tr>
					<td>5)</td>
					<td>
						Spotřeba elektrické energie na výrobu elektřiny při výrobě elektřiny nebo elektřiny a tepla v hlavním výrobním zařízení i pomocných provozech, které s výrobou přímo souvisejí, včetně ztrát v rozvodu, vlastní spotřeby i ztrát na zvyšovacích transformátorech pro dodávku do distribuční soustavy nebo přenosové soustavy, je-li fakturační měření instalováno na jejich primární straně.
					</td>
				</tr>			
				<tr>
					<td>6)</td>
					<td>
						Elektřina z obnovitelných zdrojů, na kterou se vztahuje právo na úhradu zeleného bonusu podle § 4 odst. 16 zákona č. 180/2005 Sb., jež je účelně využita výrobcem nebo jinou fyzickou nebo právnickou osobou bez použití regionální distribuční soustavy nebo přenosové soustavy.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>										
        </div>
      </body>
    </html>
  </xsl:template>

<!--*************************************************************************-->
<!--*********************** Vykaz 365/2007 sb. (12 ř.) **********************-->
<!--*************************************************************************-->
	<xsl:template match="Root" mode="report_365_2007">
    <html>
      <head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Výkaz o výrobě z OZE (dle 365/2007 Sb.)</title>
        <link rel="stylesheet" type="text/css" href="index.css"/>
      </head>
			<!--onLoad="javascript:window.print()"-->
      <body id="white_back">
				<xsl:if test="Print=1">
					<xsl:attribute name="onLoad">javascript:window.print();</xsl:attribute>
				</xsl:if>
        <div id="Vykaz">
			<table class="VykazTab1">
				<tr>
					<td class="Text1c" colspan="3">Měsíční výkaz</td>
				</tr>
				<tr>
					<td class="Text1c" colspan="3">o výrobě elektřiny z obnovitelných zdrojů</td>
				</tr>
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td><b>za měsíc/rok:</b></td>
					<td></td>
					<td><b>název výrobny<span class="TopIndex">1)</span>:</b></td>
				</tr>
				<tr>
					<td class="BorderedCell" width="auto">
						<xsl:value-of select="PrintReportData/Entry[1]/From"/>
						<xsl:if test="PrintReportData/Entry[1]/From!=PrintReportData/Entry[1]/To">
							 - 
							<xsl:value-of select="PrintReportData/Entry[1]/To"/>
						</xsl:if>
					</td>
					<td width="25%"></td>
					<td class="BorderedCell" width="50%"><xsl:value-of select="Report/Name"/></td>
				</tr>
				<tr>
					<td class="EmptyRow" colspan="3"></td>
				</tr>
			</table>
			<xsl:apply-templates select="Report" mode="Manufactory_2005_2009"/>
			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>
			<table class="VykazTab2">
				<colgroup>
					<col width="5%"/>
					<col width="70%"/>
					<col width="5%"/>
					<col width="10%"/>
					<col width="10%"/>
				</colgroup>
				<tr>
					<td>Číslo údaje</td>
					<td class="left">Název položky</td>
					<td>Jednotka</td>
					<td>Za měsíc</td>
					<td>Od počátku roku</td>
				</tr>
				<tr>
					<td>1</td>
					<td class="left">Instalovaný elektrický výkon</td>
					<td>MW</td>
					<td><xsl:value-of select="floor(Report/Power)div 10000"/></td>
					<td>X</td>
				</tr>
				<tr>
					<td>2</td>
					<td class="left">Svorková výroba elektřiny<span class="TopIndex">3), 4)</span></td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
					<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>3</td>
					<td class="left">Technologická vlastní spotřeba elektřiny<span class="TopIndex">3), 5)</span></td>
					<td>MWh</td>
					<td>0</td>
					<td>0</td>
				</tr>
				<tr>
					<td>4</td>
					<td class="left">Celková konečná spotřeba za předávacím místem výrobce<span class="TopIndex">7)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal + Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal + Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal + 0) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal + 0) div 1000"/></td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>5</td>
					<td class="left">Z toho ostatní vlastní spotřeba elektřiny<span class="TopIndex">3), 6)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>6</td>
					<td class="left">Dodávka elektřiny do lokální nebo regionální distribuční soustavy nebo do přenosové soustavy v režimu bonusů<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>7</td>
					<td class="left">Dodávka elektřiny do regionální distribuční soustavy nebo do přenosové soustavy v režimu výkupních cen<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=1">
							<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>8</td>
					<td class="left">Napětí v předávacím místě</td>
					<td>kV</td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
				</tr>
				<tr>
					<td>9</td>
					<td class="left">Označení předávacího místa podle smlouvy o připojení</td>
					<td colspan="3"><xsl:value-of select="Report/Commit"/></td>
				</tr>
				<tr>
					<td>10</td>
					<td class="left">Celková nárokovaná částka (zelené bonusy)</td>
					<td>Kč</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=0">
								<xsl:value-of select="floor(Production/Total * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=0">
								<xsl:value-of select="floor(Production/YearTotal * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td>11</td>
					<td class="left">Celková nárokovaná částka (výkupní ceny)</td>
					<td>Kč</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=1">
								<xsl:value-of select="floor(Production/Total * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=1">
								<xsl:value-of select="floor(Production/YearTotal * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td>12</td>
					<td class="left">Odběr z přenosové nebo distribuční soustavy (v předávacím místě)</td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal) div 1000"/></td>
					<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal) div 1000"/></td>
				</tr>
			</table>

			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td>
						Prohlašuji, že všechny výše uvedené údaje jsou správné a pravdivé.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td/>
				</tr>
			</table>	

			<table class="VykazTab3">
				<colgroup>
					<col width="50%"/>
					<col width="50%"/>
				</colgroup>
				<tr>
					<td>V <xsl:value-of select="Report/IssueTown"/> dne <xsl:value-of select="Today"/></td>
					<td><b><xsl:value-of select="Report/Issuer"/></b></td>
				</tr>
				<tr>
					<td/>
					<td class="VykazMiniText">Jméno a příjmení výrobce/<br/>
						Jméno a příjmení osoby nebo osob oprávněných jednat za výrobce<br/>
					</td>
				</tr>
				<tr class="MidEmptyRow">
					<td/>
				</tr>
				<tr>
					<td/>
					<td class="TopLineCell">Podpis</td>
				</tr>
			</table>
			
			<table class="VykazTab4">
				<tr>
					<td colspan="2">Poznámky:</td>
				</tr>
				<tr>
					<td>1)</td>
					<td>
						Uvede se název a adresa výrobny elektřiny v souladu s rozhodnutím o udělení licence na výrobu elektřiny.
					</td>
				</tr>			
				<tr>
					<td>2)</td>
					<td>
						Vyplnění je požadováno pro energetické využití čisté biomasy. V případě čistého spalování biomasy se uvádí všechny kategorie biomasy podle vyhlášky č. 502/2005 Sb., o stanovení způsobu vykazování množství elektřiny při společném spalování biomasy a neobnovitelného zdroje.
					</td>
				</tr>			
				<tr>
					<td>3)</td>
					<td>
						V případě spalování více kategorií biomasy v příslušném kalendářním měsíci se uvádí podrobně strukturu výroby, resp. spotřeby a dodávky s členěním na jednotlivé kategorie biomasy podle vyhlášky č. 502/2005 Sb.,o stanovení způsobu vykazování množství elektřiny při společném spalování biomasy a neobnovitelného zdroje.
					</td>
				</tr>			
				<tr>
					<td>4)</td>
					<td>
						Celková výroba elektřiny měřená na svorkách generátorů instalovaných ve výrobně.
					</td>
				</tr>			
				<tr>
					<td>5)</td>
					<td>
						Spotřeba elektrické energie na výrobu elektřiny při výrobě elektřiny nebo elektřiny a tepla v hlavním výrobním zařízení i pomocných provozech, které s výrobou přímo souvisejí, včetně ztrát v rozvodu, vlastní spotřeby i ztrát na zvyšovacích transformátorech pro dodávku do distribuční soustavy nebo přenosové soustavy, je-li fakturační měření instalováno na jejich primární straně.
					</td>
				</tr>			
				<tr>
					<td>6)</td>
					<td>
						Elektřina z obnovitelných zdrojů, na kterou se vztahuje právo na úhradu zeleného bonusu podle § 4 odst. 16 zákona č. 180/2005 Sb., o podpoře výroby elektřiny z obnovitelných zdrojů energie a o změně některých zákonů (zákon o podpoře využívání obnovitelných zdrojů), jež je účelně využita výrobcem nebo jinou fyzickou nebo právnickou osobou bez použití regionální distribuční soustavy nebo přenosové soustavy.
					</td>
				</tr>			
				<tr>
					<td>7)</td>
					<td>
						Celková konečná spotřeba za předávacím místem výrobce – konečná spotřeba elektřiny spotřebovaná za předávacím místem výrobce tímto výrobcem anebo jiným účastníkem trhu.
					</td>
				</tr>			
				<tr>
					<td>8)</td>
					<td>
						Kontrola správnosti vyplnění výkazu je: 2 + 12 = 3 + 4 + 6 + 7, kde čísla jsou čísla řádků údajů z tabulky této přílohy.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>										
        </div>
      </body>
    </html>
  </xsl:template>

<!--*************************************************************************-->
<!--*********************** Vykaz 468/2009 sb. (13 ř.) **********************-->
<!--*************************************************************************-->
	<xsl:template match="Root" mode="report_468_2009">
    <html>
      <head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Výkaz o výrobě z OZE (dle 468/2009 Sb.)</title>
        <link rel="stylesheet" type="text/css" href="index.css"/>
      </head>
			<!--onLoad="javascript:window.print()"-->
      <body id="white_back">
				<xsl:if test="Print=1">
					<xsl:attribute name="onLoad">javascript:window.print();</xsl:attribute>
				</xsl:if>
        <div id="Vykaz">
			<table class="VykazTab1">
				<tr>
					<td class="Text1c" colspan="3">Měsíční výkaz</td>
				</tr>
				<tr>
					<td class="Text1c" colspan="3">o výrobě elektřiny z obnovitelných zdrojů</td>
				</tr>
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td><b>za měsíc/rok:</b></td>
					<td></td>
					<td><b>název výrobny<span class="TopIndex">1)</span>:</b></td>
				</tr>
				<tr>
					<td class="BorderedCell" width="auto">
						<xsl:value-of select="PrintReportData/Entry[1]/From"/>
						<xsl:if test="PrintReportData/Entry[1]/From!=PrintReportData/Entry[1]/To">
							 - 
							<xsl:value-of select="PrintReportData/Entry[1]/To"/>
						</xsl:if>
					</td>
					<td width="25%"></td>
					<td class="BorderedCell" width="50%"><xsl:value-of select="Report/Name"/></td>
				</tr>
				<tr>
					<td class="EmptyRow" colspan="3"></td>
				</tr>
			</table>
			<xsl:apply-templates select="Report" mode="Manufactory_2005_2009"/>
			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>
			<table class="VykazTab2">
				<colgroup>
					<col width="5%"/>
					<col width="70%"/>
					<col width="5%"/>
					<col width="10%"/>
					<col width="10%"/>
				</colgroup>
				<tr>
					<td>Číslo údaje</td>
					<td class="left">Název položky</td>
					<td>Jednotka</td>
					<td>Za měsíc</td>
					<td>Od počátku roku</td>
				</tr>
				<tr>
					<td>1</td>
					<td class="left">Instalovaný elektrický výkon</td>
					<td>MW</td>
					<td><xsl:value-of select="floor(Report/Power)div 10000"/></td>
					<td>X</td>
				</tr>
				<tr>
					<td>2</td>
					<td class="left">Svorková výroba elektřiny<span class="TopIndex">3), 4)</span></td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
					<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>3</td>
					<td class="left">Technologická vlastní spotřeba elektřiny<span class="TopIndex">3), 5)</span></td>
					<td>MWh</td>
					<td>0</td>
					<td>0</td>
				</tr>
				<tr>
					<td>4</td>
					<td class="left">Celková konečná spotřeba za předávacím místem výrobce<span class="TopIndex">7)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal + Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal + Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal + 0) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal + 0) div 1000"/></td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>5</td>
					<td class="left">Z toho ostatní vlastní spotřeba elektřiny<span class="TopIndex">3), 6)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>6</td>
					<td class="left">Dodávka elektřiny do lokální nebo regionální distribuční soustavy nebo do přenosové soustavy v režimu bonusů<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>7</td>
					<td class="left">Dodávka elektřiny do regionální distribuční soustavy nebo do přenosové soustavy v režimu výkupních cen<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=1">
							<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>8</td>
					<td class="left">Odběr elektřiny z přenosové nebo distribuční soustavy (v předávacím místě)</td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal) div 1000"/></td>
					<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>9</td>
					<td class="left">Označení předávacího místa podle smlouvy o připojení</td>
					<td colspan="3"><xsl:value-of select="Report/Commit"/></td>
				</tr>
				<tr>
					<td>10</td>
					<td class="left">Množství elektřiny, na které je nárokován bonus</td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
					<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>11</td>
					<td class="left">Celková nárokovaná částka (zelené bonusy)</td>
					<td>Kč</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=0">
								<xsl:value-of select="floor(Production/Total * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=0">
								<xsl:value-of select="floor(Production/YearTotal * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td>12</td>
					<td class="left">Celková nárokovaná částka (výkupní ceny)</td>
					<td>Kč</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=1">
								<xsl:value-of select="floor(Production/Total * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="Prices/Mode=1">
								<xsl:value-of select="floor(Production/YearTotal * Prices/Main div 10) div 100"/>
							</xsl:when>
							<xsl:otherwise>
								0
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr>
					<td>13</td>
					<td class="left">Napětí v předávacím místě</td>
					<td>kV</td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
				</tr>
			</table>

			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td>
						Prohlašuji, že všechny výše uvedené údaje jsou správné a pravdivé.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td/>
				</tr>
			</table>	

			<table class="VykazTab3">
				<colgroup>
					<col width="50%"/>
					<col width="50%"/>
				</colgroup>
				<tr>
					<td>V <xsl:value-of select="Report/IssueTown"/> dne <xsl:value-of select="Today"/></td>
					<td><b><xsl:value-of select="Report/Issuer"/></b></td>
				</tr>
				<tr>
					<td/>
					<td class="VykazMiniText">Jméno a příjmení výrobce/<br/>
						Jméno a příjmení osoby nebo osob oprávněných jednat za výrobce<br/>
					</td>
				</tr>
				<tr class="MidEmptyRow">
					<td/>
				</tr>
				<tr>
					<td/>
					<td class="TopLineCell">Podpis</td>
				</tr>
			</table>
			
			<table class="VykazTab4">
				<tr>
					<td colspan="2">Poznámky:</td>
				</tr>
				<tr>
					<td>1)</td>
					<td>
						Uvede se název a adresa výrobny elektřiny v souladu s rozhodnutím o udělení licence na výrobu elektřiny.
					</td>
				</tr>			
				<tr>
					<td>2)</td>
					<td>
						Vyplnění je požadováno pro energetické využití čisté biomasy. V případě čistého spalování biomasy se uvádí všechny kategorie biomasy podle vyhlášky č. 502/2005 Sb., o stanovení způsobu vykazování množství elektřiny při společném spalování biomasy a neobnovitelného zdroje.
					</td>
				</tr>			
				<tr>
					<td>3)</td>
					<td>
						V případě spalování více kategorií biomasy v příslušném kalendářním měsíci se uvádí podrobně strukturu výroby, resp. spotřeby a dodávky s členěním na jednotlivé kategorie biomasy podle vyhlášky č. 502/2005 Sb.,o stanovení způsobu vykazování množství elektřiny při společném spalování biomasy a neobnovitelného zdroje.
					</td>
				</tr>			
				<tr>
					<td>4)</td>
					<td>
						Celková výroba elektřiny měřená na svorkách generátorů instalovaných ve výrobně.
					</td>
				</tr>			
				<tr>
					<td>5)</td>
					<td>
						Spotřeba elektrické energie na výrobu elektřiny při výrobě elektřiny nebo elektřiny a tepla v hlavním výrobním zařízení i pomocných provozech, které s výrobou přímo souvisejí, včetně ztrát v rozvodu, vlastní spotřeby i ztrát na zvyšovacích transformátorech pro dodávku do distribuční soustavy nebo přenosové soustavy, je-li fakturační měření instalováno na jejich primární straně.
					</td>
				</tr>			
				<tr>
					<td>6)</td>
					<td>
						Elektřina z obnovitelných zdrojů, na kterou se vztahuje právo na úhradu zeleného bonusu podle § 4 odst. 16 zákona č. 180/2005 Sb., o podpoře výroby elektřiny z obnovitelných zdrojů energie a o změně některých zákonů (zákon o podpoře využívání obnovitelných zdrojů), jež je účelně využita výrobcem nebo jinou fyzickou nebo právnickou osobou bez použití regionální distribuční soustavy nebo přenosové soustavy.
					</td>
				</tr>			
				<tr>
					<td>7)</td>
					<td>
						Celková konečná spotřeba za předávacím místem výrobce – konečná spotřeba elektřiny spotřebovaná za předávacím místem výrobce tímto výrobcem anebo jiným účastníkem trhu.
					</td>
				</tr>			
				<tr>
					<td>8)</td>
					<td>
						Kontrola správnosti vyplnění výkazu je: 2 + 8 = 3 + 4 + 6 + 7, 10 <u><text>&lt;</text></u> 5 + 6,
						kde čísla jsou čísla řádků údajů z tabulky této přílohy.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>										
        </div>
      </body>
    </html>
  </xsl:template>

<!--*************************************************************************-->
<!--*********************** Vykaz o spotřebě e********************************-->
<!--*************************************************************************-->
	<xsl:template match="Root" mode="report_spotreba">
    <html>
      <head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Výkaz o spotřebě</title>
        <link rel="stylesheet" type="text/css" href="index.css"/>
      </head>
			<!--onLoad="javascript:window.print()"-->
      <body id="white_back">
				<xsl:if test="Print=1">
					<xsl:attribute name="onLoad">javascript:window.print();</xsl:attribute>
				</xsl:if>
        <div id="Vykaz">
			<table class="VykazTab1">
				<tr>
					<td class="right" colspan="3">Příloha č.5a k vyhlášce č. 541/2005 Sb.</td>
				</tr>
				<tr>
					<td class="Text1c" colspan="3">Měsíční výkaz</td>
				</tr>
				<tr>
					<td class="Text1c" colspan="3">o spotřebě elektřiny výrobce</td>
				</tr>
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td><b>za měsíc/rok:</b></td>
					<td></td>
					<td><b>název výrobny<span class="TopIndex">1)</span>:</b></td>
				</tr>
				<tr>
					<td class="BorderedCell" width="auto">
						<xsl:value-of select="PrintReportData/Entry[1]/From"/>
						<xsl:if test="PrintReportData/Entry[1]/From!=PrintReportData/Entry[1]/To">
							 - 
							<xsl:value-of select="PrintReportData/Entry[1]/To"/>
						</xsl:if>
					</td>
					<td width="25%"></td>
					<td class="BorderedCell" width="50%"><xsl:value-of select="Report/Name"/></td>
				</tr>
				<tr>
					<td class="EmptyRow" colspan="3"></td>
				</tr>
			</table>
			<xsl:apply-templates select="Report" mode="Manufactory_Spotreba"/>
			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>
			<table class="VykazTab2">
				<colgroup>
					<col width="5%"/>
					<col width="70%"/>
					<col width="5%"/>
					<col width="10%"/>
					<col width="10%"/>
				</colgroup>
				<tr>
					<td>Číslo údaje</td>
					<td class="left">Název položky</td>
					<td>Jednotka</td>
					<td>Za měsíc</td>
					<td>Od počátku roku</td>
				</tr>
				<tr>
					<td>1</td>
					<td class="left">Instalovaný elektrický výkon</td>
					<td>MW</td>
					<td><xsl:value-of select="floor(Report/Power)div 10000"/></td>
					<td>X</td>
				</tr>
				<tr>
					<td>2</td>
					<td class="left">Svorková výroba elektřiny<span class="TopIndex">2)</span></td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(Production/Total) div 1000"/></td>
					<td><xsl:value-of select="floor(Production/YearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>3</td>
					<td class="left">Technologická vlastní spotřeba elektřiny<span class="TopIndex">3)</span></td>
					<td>MWh</td>
					<td>0</td>
					<td>0</td>
				</tr>
				<tr>
					<td>4</td>
					<td class="left">Celková konečná spotřeba za předávacím místem výrobce<span class="TopIndex">4)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal + Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal + Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal + 0) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal + 0) div 1000"/></td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>5</td>
					<td class="left">Z toho lokální spotřeba výrobce elektřiny v areálu výrobny</td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(Production/Total - PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(Production/YearTotal - PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>6</td>
					<td class="left">Dodávka elektřiny výrobce do distribuční soustavy nebo do přenosové soustavy<span class="TopIndex">4)</span></td>
					<td>MWh</td>
					<xsl:choose>
						<xsl:when test="Prices/Mode=0">
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/Total) div 1000"/></td>
							<td><xsl:value-of select="floor(PrintReportData/Entry[1]/YearTotal) div 1000"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td>0</td>
							<td>0</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
				<tr>
					<td>7</td>
					<td class="left">Odběr elektřiny výrobce z přenosové nebo distribuční soustavy (v předávacím místě)</td>
					<td>MWh</td>
					<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtTotal) div 1000"/></td>
					<td><xsl:value-of select="floor(PrintReportData/Entry[1]/BoughtYearTotal) div 1000"/></td>
				</tr>
				<tr>
					<td>8</td>
					<td class="left">Označení předávacího místa podle smlouvy o připojení</td>
					<td colspan="3"><xsl:value-of select="Report/Commit"/></td>
				</tr>
				<tr>
					<td>9</td>
					<td class="left">Napětí v předávacím místě</td>
					<td>kV</td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
					<td><xsl:value-of select="floor(Report/Voltage)div 10000"/></td>
				</tr>
			</table>

			<table class="VykazTab1">
				<tr class="EmptyRow">
					<td></td>
				</tr>
				<tr>
					<td>
						Prohlašuji, že všechny výše uvedené údaje jsou správné a pravdivé.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td/>
				</tr>
			</table>	

			<table class="VykazTab3">
				<colgroup>
					<col width="50%"/>
					<col width="50%"/>
				</colgroup>
				<tr>
					<td>V <xsl:value-of select="Report/IssueTown"/> dne <xsl:value-of select="Today"/></td>
					<td><b><xsl:value-of select="Report/Issuer"/></b></td>
				</tr>
				<tr>
					<td/>
					<td class="VykazMiniText">Jméno a příjmení výrobce/<br/>
						Jméno a příjmení osoby nebo osob oprávněných jednat za výrobce<br/>
					</td>
				</tr>
				<tr class="MidEmptyRow">
					<td/>
				</tr>
				<tr>
					<td/>
					<td class="TopLineCell">Podpis</td>
				</tr>
			</table>
			
			<table class="VykazTab4">
				<tr>
					<td colspan="2">Poznámky:</td>
				</tr>
				<tr><td></td></tr>
				<tr>
					<td>1)</td>
					<td>
						Uvede se název a adresa výrobny elektřiny v souladu s rozhodnutím o udělení licence na výrobu elektřiny.
					</td>
				</tr>			
				<tr>
					<td>2)</td>
					<td>
						Celková výroba elektřiny měřená na svorkách generátorů instalovaných ve výrobě.
					</td>
				</tr>			
				<tr>
					<td>3)</td>
					<td>
						Spotřeba elektrické energie na výrobu elektřiny při výrobě elektřiny a tepla v hlavním výrobním zařizení i pomocných provozech, které s výrobou přímo souvisejí, včetně výroby, přeměny nebo úpravy paliva, ztrát v rozvodu vlastní spotřeby i ztrát na zvyšovacích transformátorech pro dodávku do distribuční soustavy nebo přenosové soustavy, je-li fakturační měření instalováno na jejich primární straně.
					</td>
				</tr>			
				<tr>
					<td>4)</td>
					<td>
						Konečná spotřeba elektřiny spotřebovaná za předávacím místem výrobce tímto výrobcem nebo jiným účastníkem trhu; do konečné spotřeby elektřiny není elektřiny není zahrnuta technologická vlastní spotřeba elektřiny.
					</td>
				</tr>			
				<tr>
					<td>5)</td>
					<td>
						Kontrola správnosti vyplnění výkazu jsou: <br />2 + 7 = 3 + 4 + 6, <br />5 <text>&lt;</text>= 2 - 3,<br />4 =<text>&gt;</text> 5,<br />
						kde čísla jsou čísla řádků údajů z tabulky této přílohy.
					</td>
				</tr>			
				<tr class="EmptyRow">
					<td></td>
				</tr>
			</table>										
        </div>
      </body>
    </html>
  </xsl:template>

<!--*************************************************************************-->
<!--***************************** Spolecna cast *****************************-->
<!--*************************************************************************-->
	<xsl:template match="Report" mode="Manufactory_2005_2009">
		<table class="VykazTab2">
			<tr>
				<td class="left">
				<b>Jméno, příjmení a případný dodatek nebo obchodní firma nebo název výrobce:</b><br/>
				<xsl:value-of select="//Identification/Entry[1]/Name"/>
				<br/>
				<b>Identifikační číslo: </b><span class="Text1nonel"><xsl:if test="IC!=0"><xsl:value-of select="IC"/></xsl:if></span>
				</td>
			</tr>
			<tr>
				<td class="left">
				<b>Adresa výrobny<span class="TopIndex">1)</span>: </b><xsl:value-of select="Street"/>, <xsl:if test="ZIP!=0"><xsl:value-of select="ZIP"/>, </xsl:if><xsl:value-of select="Town"/>, <xsl:value-of select="Province"/>
				</td>
			</tr>
			<tr>
				<td class="left"><b>Číslo licence: </b><xsl:value-of select="License"/>, skupina: 11</td>
			</tr>
			<tr>
				<td class="left"><b>Druh obnovitelného zdroje: </b>
					<xsl:choose>
						<xsl:when test="Type=0">
							Fotovoltaická elektrárna
						</xsl:when>
						<xsl:otherwise>
							Neznámý
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td class="left"><b>Datum uvedení do provozu: </b><xsl:value-of select="Date"/></td>
			</tr>
			<tr>
				<td class="left"><b>Kategorie biomasy<span class="TopIndex">2)</span>: </b>-</td>
			</tr>			
		</table>	
	</xsl:template>

<!--*** TODO: Zatim pouze pro spotrebu (Manufactory_2005_2009 mimo poslednich 3 radku) ***-->
	<xsl:template match="Report" mode="Manufactory_Spotreba">
		<table class="VykazTab2">
			<tr>
				<td class="left">
				<b>Jméno, příjmení a případný dodatek nebo obchodní firma nebo název výrobce:</b><br/>
				<xsl:value-of select="//Identification/Entry[1]/Name"/>
				<br/>
				<b>Identifikační číslo: </b><span class="Text1nonel"><xsl:if test="IC!=0"><xsl:value-of select="IC"/></xsl:if></span>
				</td>
			</tr>
			<tr>
				<td class="left">
				<b>Adresa výrobny<span class="TopIndex">1)</span>: </b><xsl:value-of select="Street"/>, <xsl:if test="ZIP!=0"><xsl:value-of select="ZIP"/>, </xsl:if><xsl:value-of select="Town"/>, <xsl:value-of select="Province"/>
				</td>
			</tr>
			<tr>
				<td class="left"><b>Číslo licence: </b><xsl:value-of select="License"/>, skupina: 11</td>
			</tr>
		</table>	
	</xsl:template>

<!--*************************************************************************-->
<!--****************************** Hlavni cast ******************************-->
<!--*************************************************************************-->
	<xsl:template match="Root">
		<xsl:if test="Report/Version=4">
			<xsl:apply-templates select="." mode="report_spotreba"/>
		</xsl:if>
		<xsl:if test="Report/Version=3">
			<xsl:apply-templates select="." mode="report_468_2009"/>
		</xsl:if>
		<xsl:if test="Report/Version=2">
			<xsl:apply-templates select="." mode="report_365_2007"/>
		</xsl:if>
		<xsl:if test="Report/Version=1">
			<xsl:apply-templates select="." mode="report_541_2005"/>
		</xsl:if>
		<xsl:if test="Report/Version=0">
			<xsl:apply-templates select="." mode="report_pre_till_2010"/>
		</xsl:if>
  </xsl:template>
</xsl:stylesheet>
