<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:set="http://www.etech.cz/XMLSchema/sim/setup.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="set:Root">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"/>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body>
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
								<input type="button" class="input_auto" onClick="setSettings();">
									<xsl:attribute name="value"><xsl:value-of select="$lg/s[289]"/></xsl:attribute>
								</input>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[14]"/></div>
						    </div>
							<div id="content">
								<div class="column_left">
									<xsl:apply-templates select="Agent"/>
									<xsl:apply-templates select="Network/Name"/>
									<xsl:apply-templates select="User"/>
									<xsl:apply-templates select="Global"/>
								</div>
								<div class="column_right">
									<h1><xsl:value-of select="$lg/s[217]"/></h1>
									<p>
									  <table class="tbl_half">
											<colgroup>
											  <col class="col_value" width="80%"/>
											  <col class="col_value" width="20%"/>
											  <col class="col_help"/>
											</colgroup>
											<thead>
												<td class="left" colspan="3"><xsl:value-of select="$lg/s[218]"/>:</td>
											</thead>
											<tbody>
												<tr>
													<td colspan="2">
														<form name="input" action="setup.xml" method="get">
															<input type="submit" style="float:right;width:auto;">
																<xsl:attribute name="value"><xsl:value-of select="$lg/s[291]"/></xsl:attribute>
															</input>
														</form>          
													</td>
													<td><span class="info">
														<xsl:attribute name="title"><xsl:value-of select="$lg/s[284]"/></xsl:attribute>
														?
													</span></td>
												</tr>
											</tbody>
										</table>
									</p>												
									<form enctype="multipart/form-data" name="load" action="setup.xml" method="post" onsubmit="return LoadNewConfig();">
										<p>
										  <table class="tbl_half">
												<colgroup>
												  <col class="col_value" width="80%"/>
												  <col class="col_value" width="20%"/>
												  <col class="col_help"/>
												</colgroup>
												<thead>
													<td class="left" colspan="3"><xsl:value-of select="$lg/s[219]"/>:</td>
												</thead>
												<tbody>
													<tr>
														<td>
															<input type="file" name="filename" size="auto"/>
														</td>
														<td>
															<input type="submit" style="float:right;width:auto;">
																<xsl:attribute name="value"><xsl:value-of select="$lg/s[290]"/></xsl:attribute>
															</input>
														</td>
														<td><span class="info">
															<xsl:attribute name="title"><xsl:value-of select="$lg/s[285]"/></xsl:attribute>
															?
														</span></td>
													</tr>
												</tbody>
											</table>
										</p>
									</form>
									<h1><xsl:value-of select="$lg/s[220]"/></h1>
									<p>
									  <table class="tbl_half">
											<colgroup>
											  <col class="col_value" width="80%"/>
											  <col class="col_value" width="20%"/>
											  <col class="col_help"/>
											</colgroup>
											<thead>
												<td class="left" colspan="3"><xsl:value-of select="$lg/s[221]"/>:</td>
											</thead>
											<tbody>
												<tr>
													<td colspan="2">
														<form name="input" action="log.csv" method="get">
															<input type="submit" style="float:right;width:auto;">
																<xsl:attribute name="value"><xsl:value-of select="$lg/s[291]"/></xsl:attribute>
															</input>
														</form>          
													</td>
													<td><span class="info">
														<xsl:attribute name="title"><xsl:value-of select="$lg/s[286]"/></xsl:attribute>
														?
													</span></td>
												</tr>
											</tbody>
										</table>
									</p>  
									<form enctype="multipart/form-data" name="load" action="log.csv" method="post" onsubmit="return LoadNewHistory();">
										<p>
										  <table class="tbl_half">
												<colgroup>
												  <col class="col_value" width="80%"/>
												  <col class="col_value" width="20%"/>
												  <col class="col_help"/>
												</colgroup>
												<thead>
													<td class="left" colspan="3"><xsl:value-of select="$lg/s[222]"/>:</td>
												</thead>
												<tbody>
													<tr>
														<td>
															<input type="file" name="filename" size="auto"/>
														</td>
														<td>
															<input type="submit" style="float:right;width:auto;">
																<xsl:attribute name="value"><xsl:value-of select="$lg/s[290]"/></xsl:attribute>
															</input>
														</td>
														<td><span class="info">
														  <xsl:attribute name="title"><xsl:value-of select="$lg/s[287]"/></xsl:attribute>
															?
														</span></td>
													</tr>
												</tbody>
											</table>
										</p>
									</form>
									<h1><xsl:value-of select="$lg/s[223]"/></h1>
									<p>
										<form enctype="multipart/form-data" name="upgrade" action="upload" method="post" onsubmit="return UpgradeFW();">			
										  <table class="tbl_half">
												<colgroup>
												  <col class="col_value" width="80%"/>
												  <col class="col_value" width="20%"/>
  												  <col class="col_help"/>
												</colgroup>
												<thead>
													<td class="left" colspan="3"><xsl:value-of select="$lg/s[224]"/>:</td>
												</thead>
												<tbody>
													<tr>
														<td>
															<input type="file" name="filename" size="auto"/>
														</td>
														<td>
															<input type="submit" style="float:right;width:auto;">
																<xsl:attribute name="value"><xsl:value-of select="$lg/s[292]"/></xsl:attribute>
															</input>
														</td>
														<td>
															<span class="info">
																<xsl:attribute name="title"><xsl:value-of select="$lg/s[288]"/></xsl:attribute>
																?
															</span>
														</td>
													</tr>
												</tbody>
											</table>
									  </form>
									</p>
								</div>								
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>          
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

  <xsl:template match="Agent">
		<h1><xsl:value-of select="$lg/s[148]"/></h1>
		<p>
		  <table class="tbl_half">
				<colgroup>
				  <col class="col_name_middle"/>
				  <col class="col_value"/>
				</colgroup>
				<tbody>
					<tr>
					  <td>
							<xsl:value-of select="$lg/s[149]"/>:
					  </td>
					  <td><xsl:value-of select="MAC"/></td>
					</tr>
					<tr>
					  <td>
							<xsl:value-of select="$lg/s[150]"/>:
					  </td>
					  <td>
					  	Solar Monitor 
							<xsl:choose>
								<xsl:when test="Model=0">
									Start
								</xsl:when>
								<xsl:when test="Model=1">
									60
								</xsl:when>
								<xsl:when test="Model=2">
									300
								</xsl:when>
								<xsl:when test="Model=3">
									1000
								</xsl:when>
								<xsl:when test="Model=4">
									Basic
								</xsl:when>
							</xsl:choose>
						</td>
					</tr>
					<tr>
					  <td>
							<xsl:value-of select="$lg/s[151]"/>:
					  </td>
					  <td><xsl:value-of select="Version"/></td>
					</tr>
					<tr>
					  <td>
							<xsl:value-of select="$lg/s[152]"/>:
					  </td>
					  <td>1.0.5</td>
					</tr>
					<tr>
					  <td>
							<xsl:value-of select="$lg/s[153]"/>:
					  </td>
					  <td>
							<xsl:value-of select="floor(//Agent/Uptime div (60*60*24))"/>&#160;<xsl:choose>
								<xsl:when test="floor(//Agent/Uptime div (60*60*24))=1">
									<xsl:value-of select="$lg/s[154]"/>,
								</xsl:when>
								<xsl:when test="(5>floor(//Agent/Uptime div (60*60*24)))and(floor(//Agent/Uptime div (60*60*24))>1)">
									<xsl:value-of select="$lg/s[155]"/>,
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$lg/s[156]"/>,
								</xsl:otherwise>
							</xsl:choose>
							<xsl:value-of select="floor(//Agent/Uptime div (60*60)mod 24)"/>&#160;<xsl:value-of select="$lg/s[50]"/>,
							<xsl:value-of select="floor((//Agent/Uptime div 60)mod 60)"/>&#160;<xsl:value-of select="$lg/s[115]"/>
							<!--, <xsl:value-of select="floor(//Agent/Uptime mod 60)"/> sek-->
						</td>
					</tr>
			  </tbody>
			</table>
		</p> 
  </xsl:template>

	<!-- TEMPLATE -->

  <xsl:template match="Name">
		<h1><xsl:value-of select="$lg/s[157]"/></h1>
		<p>
		  <table class="tbl_half">
			<colgroup>
			  <col class="col_name_tin"/>
			  <col class="col_value"/>
			  <col class="col_help"/>
			</colgroup>
			<tbody>
				<tr>
				  <td>
					<xsl:value-of select="$lg/s[57]"/>:
				  </td>
				  <td>
					  <input type="text" id="Name">
							<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					  </input>
				  </td>
				  <td>
				  <span class="info">
				  	<xsl:attribute name="title"><xsl:value-of select="$lg/s[270]"/></xsl:attribute>
						?
					</span>
				  </td>
				</tr>
			  </tbody>
			</table>
		</p> 
  </xsl:template>

  <xsl:template match="User">
    <h1><xsl:value-of select="$lg/s[198]"/></h1>
    <p>
      <table class="tbl_half">
        <colgroup>
          <col class="col_name_tin"/>
          <col class="col_value"/>
				  <col class="col_value"/>
				  <col class="col_help"/>
        </colgroup>
        <thead>
          <td/>
          <td><xsl:value-of select="$lg/s[57]"/></td>
          <td colspan="2"><xsl:value-of select="$lg/s[122]"/></td>
        </thead>
        <tbody>
          <xsl:for-each select="Entry">
            <tr>
							<td>
								<xsl:if test="Idx=1">
									<xsl:value-of select="$lg/s[199]"/>: 
								</xsl:if>
								<xsl:if test="Idx=2">
									<xsl:value-of select="$lg/s[200]"/>: 
								</xsl:if>
							</td>
	            <td>
								<input type="hidden">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Idx.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="Idx"/></xsl:attribute>
								</input>
	              <input type="text">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Name.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value">
	                  <xsl:value-of select="Name"/>
	                </xsl:attribute>
	              </input>
	            </td>
	            <td>
	              <input type="text">
									<xsl:attribute name="id">
										<xsl:value-of select="name(..)"/>.Pswd.<xsl:number value="position()-1"/>
									</xsl:attribute>
									<xsl:attribute name="value">
										<xsl:value-of select="Pswd"/>
	                </xsl:attribute>
	              </input>
		          </td>
							<td>
								<xsl:if test="Idx=1">
									<span class="info">
										<xsl:attribute name="title"><xsl:value-of select="$lg/s[280]"/></xsl:attribute>
										?
									</span>
								</xsl:if>
								<xsl:if test="Idx=2">
									<span class="info">
										<xsl:attribute name="title"><xsl:value-of select="$lg/s[281]"/></xsl:attribute>
										?
									</span>
								</xsl:if>
							</td>
            </tr>
          </xsl:for-each>
        </tbody>
      </table>
    </p>
  </xsl:template>

  <xsl:template match="Global">
		<h1><xsl:value-of select="$lg/s[334]"/></h1>
		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_name_middle"/>
					<col class="col_value"/>
					<col class="col_help"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[335]"/>:</td>
						<td class="left">
							<select id="Language">
								<option value="0">
									<xsl:if test="Language=0">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Český (CS)
								</option>
								<option value="1">
									<xsl:if test="Language=1">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									English (EN)
								</option>
								<option value="2">
									<xsl:if test="Language=2">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Deutsch (DE)
								</option>
								<option value="3">
									<xsl:if test="Language=3">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
                  Português (PT)
								</option>
							</select>
						</td>
						<td>
						</td>
					</tr>
				</tbody>
			</table>
		</p>
	</xsl:template>

</xsl:stylesheet>

