//***********************************************************************************************
//					localization
//***********************************************************************************************
function lang(idx)
{
	var str = document.getElementById("j"+idx); 
	if (str != null)
		return str.value;
	else
		return "";
}

//***********************************************************************************************
//					public functions
//***********************************************************************************************
/*
 *	check if HWSecurity DIP switch is enabled
 */  
function checkHWSec()
{
	if (document.getElementById("HWSec").value == "Enabled")
	{
		alert(lang(0)+ '\n' + lang(16));           
		reload();
		return true;
	}
	return false;
}

//-----------------------------------------------------------------------------------------------
function disableElectrometer()
{
	if (document.getElementById("In3").checked)
		alert(lang(19));
}

//-----------------------------------------------------------------------------------------------
var PulsesPrev;

function InitPulses()
{
	PulsesPrev = document.getElementById("Pulses").value;
}

//-----------------------------------------------------------------------------------------------
function openWindow(url, name/*, width, height*/)
{
	var height = 1000;
	var width = 700;

  window.open(url, name, 'height='+ height +',width='+ width +',toolbar=no,directories=no,status=no,' + 
                  'menubar=no,scrollbars=yes,resizable=no,modal=yes');
}

//-----------------------------------------------------------------------------------------------
function reboot_device()
{
	var r=confirm(lang(1))
	if (r==true)
  {
  	sendCmd('Restart', 7000);
  }
	else
  {
    return false;
  }
}

//-----------------------------------------------------------------------------------------------
function LoadNewConfig()
{
	return (checkHWSec('settings.xml') ? false : window.confirm(lang(12)));
}

//-----------------------------------------------------------------------------------------------
function LoadNewHistory()
{
	return (checkHWSec('settings.xml') ? false : window.confirm(lang(13)));
}

//-----------------------------------------------------------------------------------------------
function UpgradeFW()
{
	return (checkHWSec('settings.xml') ? false : window.confirm(lang(14)));
}

//-----------------------------------------------------------------------------------------------
function DetectSensors()
{
	if(window.confirm(lang(15) + ' ' + lang(6)))sendCmd('SensAutodet',6000);else return;
}
	
//-----------------------------------------------------------------------------------------------
var reset=false;
var actual_addr=true;

function setResetFlag()
{
	reset=true;
}

function SetDhcpVisibility(force_dhcp)
{
	var dhcp = document.getElementById("DHCP").checked;
	var tag = ["IPAddr","Submask","Gateway","DNSPrimary","DNSSecondary"]; 
	var swap = false;
	
	//pokud je DHCP a nejsou zobrazeny aktualni adresy, nebo naopak
	if (force_dhcp)
	{
		if (!actual_addr) {if (dhcp) { swap = true } }
		else if (actual_addr) {if (!dhcp) { swap = true } }

		if (!dhcp) 
		{ 
			var idx = 0;
			var confirm = false; 
			
			// test if next ID element exists	
			while (document.getElementById(tag[idx]) != null)
			{
				if (document.getElementById(tag[idx]).value != document.getElementById("Static" + tag[idx]).value)
					confirm = true;
					
				idx++;
			}
			
			if (confirm)					
				swap = !window.confirm(lang(11));
		}
	}
	
	if (swap)
	{
		var idx = 0;
		 
		// test if next ID element exists	
		while (document.getElementById(tag[idx]) != null)
		{
			var temp = document.getElementById(tag[idx]).value;
			document.getElementById(tag[idx]).value = document.getElementById("Static" + tag[idx]).value;
			document.getElementById("Static" + tag[idx]).value = temp;

			idx++;
		}
		
		actual_addr = !actual_addr;
	}
	
	document.getElementById("IPAddr").disabled = dhcp;
	document.getElementById("Submask").disabled = dhcp;
	document.getElementById("Gateway").disabled = dhcp;
	document.getElementById("DNSPrimary").disabled = dhcp;
	document.getElementById("DNSSecondary").disabled = dhcp;

	if (document.getElementById("DefaultIP").value == 1)
	{
		document.getElementById("IPAddr").disabled = 1;
		document.getElementById("Submask").disabled = 1;
		document.getElementById("Gateway").disabled = 1;
		document.getElementById("DHCP").disabled = 1;
	}
}

//-----------------------------------------------------------------------------------------------
var inverter=0;
var pulses=0;
var energy=0;

function InverterModified(){inverter=1;}
function PulsesModified(){pulses=1;}
function EnergyModified(){energy=1;}

function SetInvertersAndMeasurement(detect)
{              
//					alert("inverter:"+inverter+",pulses:"+pulses+", energy:"+energy);
  if (inverter || pulses || energy)
  {
		var rslt = window.confirm(lang(2) + ':' 
			+ (inverter ? '\n  - ' + lang(3) : '') 
			+ (pulses && PulsesPrev == 0 ? '\n  - ' + lang(18) : pulses ? '\n  - ' + lang(4) : '')
			+ (energy ? '\n  - ' + lang(5) : '')
			+ '\n' + lang(6));
		
		if (!rslt)
		{
			inverter = pulses = energy = false;
		}	
	}

	setInverter(inverter, pulses, energy, detect);
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Overall (overall.xsl)
 */  
function setOverall()
{
	var xml = "";

	// build CommMonSet xml
	xml += startTag("PeakSettings");
	xml += buildEntryXML("PeakSettings", ["Idx","ID"], []);
	xml += endTag("PeakSettings");

	//alert(xml);
	doRequest(xml,100);	
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Overall (overall.xsl)
 */  
function resetOverall()
{
	var xml = "";

	// build CommMonSet xml
	xml += startTag("PeakSet");
	xml += buildEntryXML("PeakSet", ["Idx"], ["Erase"]);
	xml += endTag("PeakSet");
	
	xml += startTag("RunTimeSet");
	xml += buildEntryXML("RunTimeSet", ["Idx"], ["Erase"]);
	xml += endTag("RunTimeSet");
	
	if(document.getElementById("EffClr").checked)
	{
		xml += startTag("Cmd");
		xml += startTag("Type");
		xml += "EffClr";
		xml += endTag("Type");
		xml += endTag("Cmd");
	}
	//alert(xml);
	doRequest(xml,100);	
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Overall (overall.xsl)
 */  
function eraseHBus()
{
	var xml = "";

	// build CommMonSet xml
	xml += startTag("HBusSet");
	xml += buildEntryXML("HBusSet", ["Idx"], ["Erase"]);
	xml += endTag("HBusSet");
	
	//alert(xml);
	doRequest(xml,100);	
}

//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Alarms (alarms.xsl)
 */  
function setAlarms()
{
	var xml = "";

	// build CommMonSet xml
	xml += startTag("CommMonSet");
	xml += buildEntryXML("CommMonSet", ["ID"], ["Email","SMS"]);
	xml += endTag("CommMonSet");

	// build SenSet xml
	xml += startTag("SenSet");
	xml += buildEntryXML("SenSet", ["ID"], ["Email","SMS"]);
	xml += endTag("SenSet");
	
	// build BinaryInSet xml
	xml += startTag("BinaryInSet");
	xml += buildEntryXML("BinaryInSet", ["ID"], ["Email","SMS"]);
	xml += endTag("BinaryInSet");
			
	// build InverterSet xml
	xml += startTag("InverterSet");
	xml += buildEntryXML("InverterSet", ["ID"], ["Email","SMS"]);
	xml += endTag("InverterSet");

	// build PeriodicalInfo xml	
	xml += startTag("PeriodicalInfo");
	xml += "<SMS>" + (!document.getElementById("PeriodicalInfoSMS").checked ? "0" : "1" ) + "</SMS>";
	xml += "<Email>" + (!document.getElementById("PeriodicalInfoEmail").checked ? "0" : "1" ) + "</Email>";
	xml += endTag("PeriodicalInfo");
			
	// build InsolationAlarm xml
	xml += startTag("InsolationAlarm");
	xml += "<SMS>" + (!document.getElementById("InsolationAlarmSMS").checked ? "0" : "1" ) + "</SMS>";
	xml += "<Email>" + (!document.getElementById("InsolationAlarmEmail").checked ? "0" : "1" ) + "</Email>";
	xml += endTag("InsolationAlarm");
	//alert(xml);
	doRequest(xml,100);	
}
//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Cmd
 */  
function sendCmd(cmd, timeout)
{
	var xml = "";

	// build Cmd set xml
	xml += startTag("Cmd");
	xml += startTag("Type");
	xml += cmd;
	xml += endTag("Type");
	xml += endTag("Cmd");

	//alert(xml);
	doRequest(xml,timeout);	
}

//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Bill (pricing.xsl)
 */  
function setPrices()
{
	var xml = "";
	
	// build Prices xml
	xml += startTag("Prices");
	xml += buildSimpleXML(["Mode","Main","Decentral","Sell","VAT","Currency"],["TaxPayer"]);
	xml += endTag("Prices");

	//alert(xml);
	doRequest(xml,100);	
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Bill (bill.xsl)
 */  
function printInvoice(idx)
{
	var xml = "";

	// build PrintDates xml
	idTag="PrintInvoiceData";

	valueTag=["Idx","Id","From","To"];
	boolTag=[];

	//Prodej != vyroba
	if (document.getElementById("PrintInvoiceData.Start." + idx))
		valueTag = valueTag.concat(["Start","End"]);

	//Manualni vyroba
	if (document.getElementById("PrintInvoiceData.Manual." + idx))
	{
		valueTag = valueTag.concat(["ProductionStart","ProductionEnd"]);
		boolTag = boolTag.concat(["Manual"])
	}
	
	xml += startTag(idTag);
		xml +=	"<Entry>";
			for (var j = 0; j < valueTag.length; j++)
				xml += buildValueTag(valueTag[j], idTag + "." + valueTag[j] + "." + idx);
			for (var i = 0; i < boolTag.length; i++)
				xml += buildBoolTag(boolTag[i], idTag + "." + boolTag[i] + "." + idx);
		xml += "</Entry>";
	xml += endTag(idTag);
			
	//alert(xml);
	return doRequest(xml, 100);
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Bill (bill.xsl)
 */  
function printReport()
{
	var xml = "";

	valueTag=["Idx","BoughtYearStart","BoughtStart","BoughtEnd","From","To","ProductionYearStart","ProductionStart","ProductionEnd"];

	//Prodej != vyroba
	if (document.getElementById("PrintReportData.Start.0"))
		valueTag=valueTag.concat(["YearStart","Start","End"]);
	
	// build PrintDates xml
	xml += startTag("PrintReportData");
	xml += buildEntryXML("PrintReportData", valueTag, ["Manual"]);
	xml += endTag("PrintReportData");
			
	//alert(xml);
	return doRequest(xml, 2000);
}

//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Bill config. (bill_cfg.xsl)
 */  
function setBillCfg()
{
	var xml = "";

	// build Identification xml
	xml += startTag("Identification");
	xml += buildEntryXML("Identification", ["Idx","Name","Street","Town","ZIP","Phone","Email","IC","DIC","Bank","Account"], []);
	xml += endTag("Identification");

	// build Invoice xml
	xml += startTag("Invoice");
	xml += buildSimpleXML(["Producer","Markup","Footage","Maturity","Issuer","Phone","Variable","Electrometer","RUT","EAN","Board","Certificate","NumberMain","NumberSell","DateMain","DateSell"], []);
	xml += endTag("Invoice");
			
	//alert(xml);
	doRequest(xml,100);	
}
//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Report config. (vyk_cfg.xsl)
 */  
function setVykCfg()
{
	var xml = "";

	// build Report xml
	xml += startTag("Report");
	xml += buildSimpleXML(["Name","Town","Street","Province","ZIP","License","Type","Date","Commit","IssueTown","Issuer","Version"], []);
	xml += startTag("Voltage");
	xml += document.getElementById("Voltage").value * 10;
	xml += endTag("Voltage");

	xml += endTag("Report");
			
	//alert(xml);
	doRequest(xml,100);	
}
//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Settings (settings.xsl)
 */  
function setSettings()
{
	var xml = "";

	// build Network xml
	xml += startTag("Network");
	xml += buildSimpleXML(["Name"], []);
	xml += endTag("Network");

	// build User xml
	xml += startTag("User");
	xml += buildEntryXML("User", ["Idx","Name", "Pswd"], []);
	xml += endTag("User");

	// build Global xml
	xml += startTag("Global");
	xml += buildSimpleXML(["Language"], []);
	xml += endTag("Global");

	//alert(xml);
	doRequest(xml,100);
}
//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Network setting (network.xsl)
 */  
function setNetwork(reset)
{
	if (reset) 
	{
		var set = window.confirm
		(
			(
				document.getElementById('DHCP').checked == true 
				? lang(9) + '\r\n'
				: ''
			) +
			lang(10) + ' ' + lang(6) 
		);
		if(set)
			alert(lang(8));
		else
			return;
	}	

	var xml = "";

	// build Network xml
	xml += startTag("Network");
	xml += buildSimpleXML([], ["DHCP"]);
	xml += buildSimpleXML(["IPAddr","Submask","Gateway","DNSPrimary","DNSSecondary","HTTPport"], []);
	xml += endTag("Network");

	// build Soap xml
	if (document.getElementById("Period") != null)
	{
		xml += startTag("SoapReport");
		xml += buildSimpleXML(["Period"], []);
		xml += endTag("SoapReport");
	
		xml += startTag("Soap");
		xml += buildEntryXML("Soap", ["Idx","Server","Port","Route"], ["E"]);
		xml += endTag("Soap");
	}
	
	// build Time xml
	xml += startTag("Time");
	xml += buildSimpleXML(["SNTPServer","Date","Time","TimeShift"], []);
	xml += endTag("Time");

	if (reset==true)
	{
		// build Cmd xml
		xml += startTag("Cmd");
		xml += startTag("Type");
		xml += "Restart"
		xml += endTag("Type");
		xml += endTag("Cmd");
	}

	//alert(xml);
	doRequest(xml,reset?8000:100);
}
//-----------------------------------------------------------------------------------------------

/*
 *	build xml for Email and SMS setting (emailsms.xsl)
 */  
function setEmailSMS(sendMailSms)
{
	var xml = "";

	// build Email xml
	xml += startTag("Email");
	xml += buildSimpleXML(["Server","Port","From","Subject","Name","Pswd"], ["Auth"]);
	xml += endTag("Email");

	// build MailDest xml
	xml += startTag("MailDest");
	xml += buildEntryXML("MailDest", ["Idx","To","Cc"], []);
	xml += endTag("MailDest");

	// build Sms xml
	xml += startTag("SMS");
	xml += buildSimpleXML(["Recp1","Recp2","E"], []);
	xml += endTag("SMS");

	// build Soap xml
	xml += startTag("Soap");
	xml += buildEntryXML("Soap", ["Idx","Server"], []);
	xml += endTag("Soap");

	if (sendMailSms == 1)
	{
		xml += startTag("Cmd");
		xml += startTag("Type");
		xml += "SMTP";
		xml += endTag("Type");
		xml += endTag("Cmd");
	}
	else if (sendMailSms == 2)
	{
		xml += startTag("Cmd");
		xml += startTag("Type");
		xml += "SMS";
		xml += endTag("Type");
		xml += endTag("Cmd");
	}
	//alert(xml);
	doRequest(xml,100);
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Sensors (sensors.xsl) 
 */  
function setSensors()
{
	var xml = "";

	// build CommMonSet xml
	xml += startTag("CommMonSet");
	xml += buildEntryXML("CommMonSet", ["ID","Timeout"], ["Email","SMS"]);
	xml += endTag("CommMonSet");

	// build SenSet tag xml
	xml += startTag("SenSet");
	xml += buildEntryXML("SenSet", ["ID","Name","Min","Max"], ["Email","SMS"]);
	//xml += buildSimpleXML( ["Delay"], []);
	xml += "<Delay>" + document.getElementById("SenSetDelay").value + "</Delay>";
	xml += endTag("SenSet");

	// build PeriodicalInfo xml	
	xml += startTag("PeriodicalInfo");
	xml += buildSimpleXML(["Period","Hour"], []);
	xml += "<SMS>" + (!document.getElementById("PeriodicalInfoSMS").checked ? "0" : "1" ) + "</SMS>";
	xml += "<Email>" + (!document.getElementById("PeriodicalInfoEmail").checked ? "0" : "1" ) + "</Email>";
	xml += endTag("PeriodicalInfo");
			
	// build SoapReport xml
	if (document.getElementById('SoapAlarm') != null)
	{
		xml += startTag("SoapReport");
		xml += "<Alarm>" + (!document.getElementById("SoapAlarm").checked ? "0" : "1" ) + "</Alarm>";
		xml += endTag("SoapReport");
	}
	
	// build DataLogger xml	
	xml += startTag("DataLogger");
	xml += "<Alarm>" + (!document.getElementById("LogAlarm").checked ? "0" : "1" ) + "</Alarm>";
	xml += endTag("DataLogger");

	// build InverterSet xml
	xml += startTag("InverterSet");
	xml += "<Delay>" + document.getElementById("InverterSetDelay").value + "</Delay>";
	xml += endTag("InverterSet");

	// build InsolationAlarm xml
	xml += startTag("InsolationAlarm");
	xml += buildSimpleXML(["CompareValue"], []);
	xml += "<Delay>" + document.getElementById("InsolationAlarmDelay").value + "</Delay>";
	xml += "<SMS>" + (!document.getElementById("InsolationAlarmSMS").checked ? "0" : "1" ) + "</SMS>";
	xml += "<Email>" + (!document.getElementById("InsolationAlarmEmail").checked ? "0" : "1" ) + "</Email>";
	xml += endTag("InsolationAlarm");

	//alert(xml);
	doRequest(xml,100);	
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Inverter setting (inverter.xsl)
 */  
function setInverter(inverter, pulses, energy, autodetect)
{
	var xml = "";
	var cnt, cnt2;
	var timeout = 100;	//ms to refresh
	
	//get all necessary detection inputs  
	if (autodetect)
	{
		var max = 1;  

		switch(Number(document.getElementById("Model").value))
		{
			case 1:	max = 6; break;	
			case 2: max = 30; break;	
			case 3: max = 100; break;	
			default: break;	
		}

		//jeden stridac (neni treba se ptat), nebo explorer -> max		
		if ((max == 1)
			|| (navigator.appName.indexOf("Explorer") != -1))
		{
			cnt = max;
			
			autodetect = confirm(lang(6));
		}
		else
		{
			cnt = prompt(lang(17) + ((document.getElementById("Protocol2").disabled == '' && document.getElementById("Protocol2").value != -1) ? ' A, B' : '') + '?\n' + lang(7), max);
	
			if (cnt == null)
				autodetect = false;
	
			if (isNaN(cnt)
			 || cnt <= 0
			 || cnt > max)
	    	cnt = max;
	    	
			if((document.getElementById("Protocol2").disabled == '')
			 &&(document.getElementById("Protocol2").value != -1))
			{
		    cnt2 = prompt(lang(17) + ' Y, Z?' + '\n' + lang(7), max);
		
				if (cnt == null)
					autodetect = false;
		
				if (isNaN(cnt)
				 || cnt <= 0
				 || cnt > max)
		    	cnt = max;
		  }
		}
	}
	 
	// build InverterSet xml
	xml += startTag("InverterSet");
		if (inverter)
		{
			xml += buildSimpleXML(["Protocol","BaudRate","Protocol2","BaudRate2"], []);
		}
		if (autodetect)
		{ 
			xml += startTag("DetectCnt");
			xml += cnt;
			xml += endTag("DetectCnt");
			xml += startTag("DetectCnt2");
			xml += cnt2;
			xml += endTag("DetectCnt2");
		}
		xml += buildSimpleXML([], ["Warning"]);
		xml += buildEntryXML("InverterSet", ["ID"], ["Email","SMS"]);
	xml += endTag("InverterSet");

	// build StringSet xml
	xml += startTag("StringSet");
		xml += buildEntryXML("StringSet", ["ID"], ["Email","SMS"]);
	xml += endTag("StringSet");

	xml += startTag("Electrometer");
	xml += startTag("Power");
	xml += document.getElementById("Power").value * 10;
	xml += endTag("Power");
	if (pulses)
	{
		var length = document.getElementById("Pulses").value.length;
		var ratio_text = 1;
		
		for (var i = 0; i < length; i++)
		{
			if (document.getElementById("Pulses").value[i] == '/')
				break;
		}
		if (i != length)
		{
			ratio_text = document.getElementById("Pulses").value.slice(i + 1, length);
		}
		var pulses_text = document.getElementById("Pulses").value.slice(0, i);
		
		xml += "<Ratio>" + ratio_text + "</Ratio>";
		xml += "<Pulses>" + pulses_text + "</Pulses>";
	}
	xml += endTag("Electrometer");

	if(energy)
	{
		xml += startTag("Energy");
			xml += "<Total>" + document.getElementById("Total").value * 10 + "</Total>";
		xml += endTag("Energy");
	}

	// build Prices xml
	xml += startTag("Prices");
	{
		if (document.getElementById("Main") != null)
			xml += buildSimpleXML(["Main"],[]);
		if (document.getElementById("Currency") != null)
			xml += buildSimpleXML(["Currency"],[]);
	}
	xml += endTag("Prices");
	
	if (autodetect)
	{
		xml += startTag("Cmd");
		xml += startTag("Type");
		xml += "InvDetect";
		xml += endTag("Type");
		xml += endTag("Cmd");
	}
	
	//alert(xml);
	doRequest(xml,timeout);
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Output settings (outputs.xsl)
 */  
function setInputsAndOutputs()
{
	var xml = "";
	var timeout = 100;	//ms to refresh
	 
 	// build BinaryInSet xml	
	xml += startTag("BinaryInSet");
		xml += buildSimpleXML([],["In3"]);
		xml += buildEntryXML("BinaryInSet", ["ID","Name","Alarm"], ["Email","SMS"]);
	xml += endTag("BinaryInSet");

	// build BinaryOutSet xml
	xml += startTag("BinaryOutSet");
		xml += buildSimpleXML(["Delay"], ["E"]);

		var valueTag = ["ID","Name","Mode","CondInputID"];
		var idTag = "BinaryOutSet";
		var idx = 0;
		
		while (document.getElementById(idTag + "." + valueTag[0] + "." + idx) != null)
		{
			xml +=	"<Entry>";
				for (var i = 0; i < valueTag.length; i++) 
					xml += buildValueTag(valueTag[i], idTag + "." + valueTag[i] + "." + idx);
	
				var id = idTag + ".Trigger." + idx;
				xml += "<Trigger>" + document.getElementById(id).value * 10 + "</Trigger>";
			xml += "</Entry>";
			idx++;
		}
	xml += endTag("BinaryOutSet");

	//alert(xml);
	doRequest(xml,timeout);
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml for Output settings (outputs.xsl)
 */  
function setPowerControl()
{
	var xml = "";
	var timeout = 100;	//ms to refresh
	 
 	// build PowerCtrl xml	
	xml += startTag("PowerCtrl");
		xml += buildSimpleXML(["Delay","Mode"],[]); 
		
		var idx = 0;
		
		if (document.getElementById("Mode").value == 0)
		{		
			while (document.getElementById("V.0." + idx) != null)
			{             
				xml +=	"<Entry>";
					xml +=	"<Idx>" + (idx + 1) + "</Idx>";
					for (var i = 0; i < 2; i++)
					{
						var mask = (document.getElementById("E." + i + "." + idx).checked ? 0x80 : 0)
				         | (document.getElementById("C0." + i + "." + idx).checked ? 0x01 : 0)
				         | (document.getElementById("C1." + i + "." + idx).checked ? 0x02 : 0)
				         | (document.getElementById("C2." + i + "." + idx).checked ? 0x04 : 0)
				         | (document.getElementById("C3." + i + "." + idx).checked ? 0x08 : 0)
				         | (document.getElementById("C4." + i + "." + idx).checked ? 0x10 : 0)
								  
						xml += "<V" + (i + 1) + ">" + (document.getElementById("V." + i + "." + idx).value * (i == 0 ? 1 : 100)) + "</V" + (i + 1) + ">";
						xml += "<M" + (i + 1) + ">" + mask + "</M" + (i + 1) + ">";
					}
				xml += "</Entry>";
				idx++;
			}
			xml += "<SaveCfg>1</SaveCfg>1";
		}
		xml += endTag("PowerCtrl");

		if (document.getElementById("Mode").value == 1)
		{
			xml += startTag("Soap");
			xml += buildEntryXML("Soap", ["Idx","Server","Port"], []);
			xml += endTag("Soap");
		}

	//alert(xml);
	doRequest(xml,timeout);
}

//***********************************************************************************************
//					private functions
//***********************************************************************************************

/*
 *	progress bar functionality
 */  
var progres_idx = 0;
var mode = false;
var run_progress = 0;
var cnt = 20;

function update(start_progress) 
{
	if (start_progress)
		run_progress++;

	if (!run_progress)
	{
		for(progres_idx = 0; progres_idx < cnt; progres_idx++)
			document.getElementById(progres_idx).style.backgroundColor = '#CCC';
			
		progres_idx = 0;
		return;
	}
		
	if (progres_idx >= cnt)
	{
//		for(i = 0; i < cnt; i++)
		{
//			document.getElementById(i).style.backgroundColor = 'transparent';
		}
		mode = mode ? false : true;
		progres_idx = 0;
		update(false);
		return; 
	}
	document.getElementById(progres_idx).style.backgroundColor = mode ? 'transparent' : '#CCC';
	progres_idx++;
	setTimeout('update(false)', 25);

	return;
}

function stop(clear)
{
	if (run_progress > 0)
		run_progress--;
		
	if (!run_progress && clear)
		setTimeout('clear()', 200);
}

function clear()
{
	for(var i = 0; i < cnt; i++)
		document.getElementById(i).style.backgroundColor = 'transparent';
}

//-----------------------------------------------------------------------------------------------
/*
 *	build xml with Entry tag
 *
 *	idTag		root tag for build all elementByID string
 *	valueTag	xml tag name (value)
 *	boolTag		xml tag name (boolean)
 */  
function buildEntryXML(idTag, valueTag, boolTag)
{
	var xml = "";
	var idx = 0;
	// test if next ID element exists	
	while (document.getElementById(idTag + "." + valueTag[0] + "." + idx) != null)
	{
		xml +=	"<Entry>";
		for (var i = 0; i < valueTag.length; i++) 
			xml += buildValueTag(valueTag[i], idTag + "." + valueTag[i] + "." + idx);

		for (var i = 0; i < boolTag.length; i++)
			xml += buildBoolTag(boolTag[i], idTag + "." + boolTag[i] + "." + idx);

		xml += "</Entry>";
		idx++;
	}
	return xml;
}

//-----------------------------------------------------------------------------------------------

/*
 *	build simple xml	
 *
 *	valueTag	xml tag name (value)
 *	boolTag		xml tag name (boolean)
 */  
function buildSimpleXML(valueTag, boolTag)
{
	var xml = "";
	for (var i = 0; i < valueTag.length; i++) 
		xml += buildValueTag(valueTag[i], valueTag[i]);
		
	for (var i = 0; i < boolTag.length; i++)
		xml += buildBoolTag(boolTag[i], boolTag[i]);
		
	return xml;
}
//-----------------------------------------------------------------------------------------------

/*
 *	start tag	
 */  
function startTag(tag)
{
	return "<" + tag + ">";
}
//-----------------------------------------------------------------------------------------------

/*
 *	end tag	
 */  
function endTag(tag)
{
	return "</" + tag + ">";
}
//-----------------------------------------------------------------------------------------------

/*
 *	value tag	
 */  
function buildValueTag(tag, id)
{
	if (document.getElementById(id) == null)
		alert("id \"" + id + "\" is missing!")
	if (document.getElementById(id).value == null)
		alert("id \"" + id + "\" error!")
	return "<" + tag + ">" + document.getElementById(id).value + "</" + tag + ">";
}
//-----------------------------------------------------------------------------------------------

/*
 *	boolean tag	
 */  
function buildBoolTag(tag, id)
{
	if (document.getElementById(id) == null)
		alert("id \"" + id + "\" is missing!")
	return "<" + tag + ">" + (!document.getElementById(id).checked ? "0" : "1" ) + "</" + tag + ">";
}
//-----------------------------------------------------------------------------------------------

/*
 *	POST setup.xml to SIM device
 */  
function doRequest(xml, timeout) 
{
	if (checkHWSec())
		return 0;

	xml = startTag("Root") + xml + endTag("Root");
	
	url = window.location.protocol + "//" + window.location.host + "/setup.xml";
  
  if (url != 0) 
	{
    
		var httpRequest = null;
		
		// branch for native XMLHttpRequest object (Mozilla, Opera)
    if (window.XMLHttpRequest) {
//      if (window.netscape)
//        netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");

      httpRequest = new XMLHttpRequest();
      if (httpRequest.overrideMimeType)
        httpRequest.overrideMimeType('text/xml');      
    }
    //for IE (now run only IE)
    else if (window.ActiveXObject) {
      httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
    }
		httpRequest.onreadystatechange=function()
		{
			if(httpRequest.readyState==4)
		  {
//		  	processResponse(httpRequest, timeout);
			}
		}
		if (httpRequest) 
		{
			update(true);	//Run progress bar

    	//unique only for Opera (cache problem)
    	httpRequest.open('POST', url + "?unique=" + Math.random(), false);
    	httpRequest.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    	httpRequest.send(xml);
    	
    	processResponse(httpRequest, timeout);
    	
    	return 	httpRequest.status;
  	} 
		else
    	alert('Your browser does not seem to support XMLHttpRequest.');
  }
	else
  	document.getElementById("xml_place").innerHTML = "url is null";
  	
  return 0;
}

//-----------------------------------------------------------------------------------------------
function reload()
{
	window.location.href = window.location.href;  
}

//-----------------------------------------------------------------------------------------------
function processResponse(httpRequest, timeout)
{
	setTimeout("stop(false);", timeout-25);

	/* Kdyz neprihlasen, tak neni treba cekat tak dlouho */
	if (httpRequest.status == 401)
	{
		timeout = 200;
	}
                                    
	setTimeout("reload()", timeout);
	
	if (httpRequest.status == 405)
	{
		alert(httpRequest.responseText);
	}
}

//-----------------------------------------------------------------------------------------------
//--	 																	VALUES REFRESH PART																		 --
//-----------------------------------------------------------------------------------------------
var refresh_rate = 5;

function SetRefresh(get_fn)
{
	var refresh = document.getElementById("refresh_rate");
	
	if (refresh != null)
	{
		if (refresh.value < 1)
			refresh.value = 1;

		refresh_rate = refresh.value;
	}
  setTimeout(get_fn, refresh_rate * 1000);
}

//-----------------------------------------------------------------------------------------------
function getInverter() 
{
	getXml("inverter.xml", getInverter, processInverter);
}

//-----------------------------------------------------------------------------------------------
function getEmailSms() 
{
	getXml("emailsms.xml", getEmailSms, processEmailSms);
}

//-----------------------------------------------------------------------------------------------
function getNetwork() 
{
	getXml("network.xml", getNetwork, processNetwork);
}

//-----------------------------------------------------------------------------------------------
function getValues() 
{       
	getXml("values.xml", getValues, processValues);
}

//-----------------------------------------------------------------------------------------------
/*
 *	GET values.xml to SIM device
 */  
function getXml(url, fn_get_data, fn_process_response) 
{
	update(true);
	
  setTimeout(fn_get_data, refresh_rate * 1000);
  			
  // branch for native XMLHttpRequest object (Mozilla, Opera)
  if (window.XMLHttpRequest) {
    httpRequest = new XMLHttpRequest();
    if (httpRequest.overrideMimeType)
      httpRequest.overrideMimeType('text/xml');
  }
  //for IE (now run only IE)
  else if (window.ActiveXObject)
    httpRequest = new ActiveXObject("Microsoft.XMLHTTP");

  if (httpRequest) 
  {
  	httpRequest.onreadystatechange = fn_process_response;
		httpRequest.open('GET', '/' + url + '?unique=' + Math.random(), true);
		   
  	httpRequest.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  	httpRequest.send(null);
	}
  else 
    errMesg("Chybný požadavek");
}


//-----------------------------------------------------------------------------------------
function processGetXml() 
{
	stop(true);
	
	if (httpRequest.readyState == 4) 
  {
    if (httpRequest.status == 200 || httpRequest.status == 304) 
		 	return true;
	}
	return false;
}

//-----------------------------------------------------------------------------------------
var detection = 0;
var online_states = new Array("s76","s77","s78");

function DetectionInProgress() 
{
	detection = 1;
}

function processInverter() 
{
	if (processGetXml()) 
  {
		/*
		 * Inverters
		 */		
		var invSet = httpRequest.responseXML.getElementsByTagName('InverterSet');
    
		if (invSet.item(0).getElementsByTagName("Detection")[0].firstChild.nodeValue == 1)
		{
			detection = 1;
			return;
		}
		else if (detection == 1) 
			reload();
			
		refresh_rate = 5;	
		
 		var invEntry = invSet.item(0).getElementsByTagName('Entry');
	  
    for (var i = 0; i < invEntry.length; i++)
    {
  		var invType = document.getElementById("InverterSetType" + i);
			if (invType != null)
			{
				invType.innerHTML = invEntry.item(i).getElementsByTagName("Type")[0].firstChild.nodeValue; 
			}

  		var invSn = document.getElementById("InverterSetSn" + i);
			if (invSn != null)
			{
				invSn.innerHTML = invEntry.item(i).getElementsByTagName("SN")[0].firstChild.nodeValue; 
			}

  		var invOn = document.getElementById("InverterSetOn" + i);
			if (invOn != null)
			{
				var online = invEntry.item(i).getElementsByTagName("Online")[0].firstChild.nodeValue;
				if (online != 1)
					invOn.innerHTML = document.getElementById(online_states[online]).value;
				else
				{
					var invErrDet = invEntry.item(i).getElementsByTagName("ErrorDetailed")[0].firstChild.nodeValue;
					invOn.innerHTML = invEntry.item(i).getElementsByTagName("Error")[0].firstChild.nodeValue + (invErrDet == 0 ? "" : (" 0x" + invErrDet));
				}
			}
		}
		
		/*
		 * StringBoxes
		 */		
		var strSet = httpRequest.responseXML.getElementsByTagName('StringSet');
 		var strEntry = strSet.item(0).getElementsByTagName('Entry');
	  
    for (var i = 0; i < strEntry.length; i++)
    {
  		var strType = document.getElementById("StringSetType" + i);
			if (strType != null)
			{
				strType.innerHTML = strEntry.item(i).getElementsByTagName("Type")[0].firstChild.nodeValue; 
			}

  		var strSn = document.getElementById("StringSetSn" + i);
			if (strSn != null)
			{
				strSn.innerHTML = strEntry.item(i).getElementsByTagName("SN")[0].firstChild.nodeValue; 
			}

  		var strOn = document.getElementById("StringSetOn" + i);
			if (strOn != null)
			{
				var online = strEntry.item(i).getElementsByTagName("Online")[0].firstChild.nodeValue;
				if (online != 1)
					strOn.innerHTML = document.getElementById(online_states[online]).value;
				else
				{
					var strErrDet = strEntry.item(i).getElementsByTagName("ErrorDetailed")[0].firstChild.nodeValue;
					strOn.innerHTML = strEntry.item(i).getElementsByTagName("Error")[0].firstChild.nodeValue + (strErrDet == 0 ? "" : (" 0x" + strErrDet));
				}
			}
		}
	}
}

//-----------------------------------------------------------------------------------------
function processEmailSms() 
{
	if (processGetXml()) 
  {
		/*
		 * Emails and SMSs
		 */		
		var emlMsg = document.getElementById("emlMsg");
		if (emlMsg != null)
		{
			var email = httpRequest.responseXML.getElementsByTagName('Email');
		  var xmlMessage = email.item(0).getElementsByTagName("Message")[0].firstChild;

			if (xmlMessage != null)
				emlMsg.innerHTML = xmlMessage.nodeValue;  
		} 

		var smsMsg = document.getElementById("smsMsg");
		if (smsMsg != null)
		{
			var sms = httpRequest.responseXML.getElementsByTagName('SMS');
		  var xmlMessage = sms.item(0).getElementsByTagName("Message")[0].firstChild;

			if (xmlMessage != null)
				smsMsg.innerHTML = xmlMessage.nodeValue;  
		} 
	}
}

//-----------------------------------------------------------------------------------------
function processNetwork() 
{
	if (processGetXml()) 
  {
		/*
		 * Soap
		 */		
		var msg = document.getElementById("soapMsg");
		if (msg != null)
		{
			var soapSet = httpRequest.responseXML.getElementsByTagName('Soap');
			{
				var soapEntry = soapSet.item(0).getElementsByTagName('Entry');
				var xmlMessage = soapEntry.item(0).getElementsByTagName("Message")[0].firstChild;
				
				if (xmlMessage != null)
					msg.innerHTML = xmlMessage.nodeValue;  
			}
		}                               
	}
}

//-----------------------------------------------------------------------------------------
function formatNumber(number)
{
	rslt = "";
	
	while (number > 999)
	{
		var str = "" + number;
		rslt = " " + str.substr(str.length - 3) + rslt;
		number = Math.floor(number / 1000);
	}
	
	return (number + rslt);
}

//-----------------------------------------------------------------------------------------
function processValues() 
{
	if (processGetXml()) 
	{
		/*
		 *  Common part
		 */			 
		var set_state = new Array("black", "warning", "alarm", "timeout"); 

		/*
		 * Energy and price
		 */			 
    var energy = httpRequest.responseXML.getElementsByTagName('Energy');
    {
		  var today = energy.item(0).getElementsByTagName("Today")[0].firstChild.nodeValue;
      var total = energy.item(0).getElementsByTagName("Total")[0].firstChild.nodeValue;

    	var energy_today = document.getElementById("energy_today");
      if (energy_today != null) 
				energy_today.innerHTML = formatNumber(Math.floor(today / 1000)) + "." + (today / 100) % 10 + " kWh";

    	var energy_total = document.getElementById("energy_total");
      if (energy_total != null) 
	    	energy_total.innerHTML = formatNumber(Math.floor(total / 1000)) + "." + (total / 100) % 10 + " kWh";

			var price = httpRequest.responseXML.getElementsByTagName('Prices');
			{
      	var rate = price.item(0).getElementsByTagName("Main")[0].firstChild.nodeValue;
      	var currency = price.item(0).getElementsByTagName("Currency")[0].firstChild.nodeValue;
			
	    	var price_today = document.getElementById("price_today");
	      if (price_today != null)
				{
					var temp = (today * rate) / (100000);  
					price_today.innerHTML = formatNumber(Math.floor(temp / 10)) + "." + Math.floor(temp % 10) + " " + currency;
				}
	    	var price_total = document.getElementById("price_total");
	      if (price_total != null)
				{
					var temp = (total * rate) / (100000);  
          price_total.innerHTML = formatNumber(Math.floor(temp / 10)) + "." + Math.floor(temp % 10) + " " + currency;
		    }
	    }
    }
    
		/*
		 * Sensors
		 */			 
		var senSet = httpRequest.responseXML.getElementsByTagName('SenSet');
		{ 
			var senEntry = senSet.item(0).getElementsByTagName('Entry');
			for (var i = 0; i < senEntry.length; i++)
			{
				var senTr = document.getElementById("senTr" + i);
				if (senTr != null)
				{
					var state = senEntry.item(i).getElementsByTagName("State")[0].firstChild.nodeValue;
					senTr.setAttribute("class", set_state[state]);
				}
				
				var sen = document.getElementById("sen" + i);
				if (sen != null)
				{
					var value = senEntry.item(i).getElementsByTagName("Value")[0].firstChild.nodeValue;
					var unit = senEntry.item(i).getElementsByTagName("Units")[0].firstChild.nodeValue;
					
					sen.innerHTML = value + " " + (unit == "C" ? "°" : "") + (unit == "WD" ? "°" : unit);  
				}
			}
		}
		
		/*
		 * Inputs
		 */			 
		var inpSet = httpRequest.responseXML.getElementsByTagName('BinaryInSet');
		{ 
			var inpEntry = inpSet.item(0).getElementsByTagName('Entry');
			for (var i = 0; i < inpEntry.length; i++)
			{
				var inpTr = document.getElementById("inpTr" + i);
				if (inpTr != null)
				{
					var state = inpEntry.item(i).getElementsByTagName("State")[0].firstChild.nodeValue;
					inpTr.setAttribute("class", set_state[state]);
				}
				
				var inp = document.getElementById("inp" + i);
				if (inp != null)
				{
					var value = inpEntry.item(i).getElementsByTagName("Value")[0].firstChild.nodeValue;
					inp.innerHTML = document.getElementById(value == 1 ? "s52" : "s51").value;
				}
			}
		}
		
		/*
		 * Outputs
		 */			 
		var outSet = httpRequest.responseXML.getElementsByTagName('BinaryOutSet');
		{ 
			var outEntry = outSet.item(0).getElementsByTagName('Entry');
			for (var i = 0; i < outEntry.length; i++)
			{
				var out = document.getElementById("out" + i);
				if (out != null)
				{
					var value = outEntry.item(i).getElementsByTagName("Value")[0].firstChild.nodeValue;
					out.innerHTML = document.getElementById(value == 1 ? "s52" : "s51").value;
				}
			}
		}
		
		/*
		 * Inverters
		 */			 
    var invSet = httpRequest.responseXML.getElementsByTagName('InverterSet'); 
		var invEntry = invSet.item(0).getElementsByTagName('Entry');
	  var power = 0;
	  
    for (var i = 0; i < invEntry.length; i++)
    {
  		var invTr = document.getElementById("invTr" + i);
			if (invTr != null)
			{
				var state = invEntry.item(i).getElementsByTagName("State")[0].firstChild.nodeValue;
				invTr.setAttribute("class", set_state[state]);
			}

  		var invOn = document.getElementById("invOn" + i);
			if (invOn != null)
			{
				var online = invEntry.item(i).getElementsByTagName("Online")[0].firstChild.nodeValue;
				invOn.innerHTML = document.getElementById(online_states[online]).value; 
			}

  		var invMode = document.getElementById("invMode" + i);
			if (invMode != null)
			{
				invMode.innerHTML = invEntry.item(i).getElementsByTagName("Mode")[0].firstChild.nodeValue;
			}
			
  		var invErr = document.getElementById("invErr" + i);
			if (invErr != null)
			{
				var invErrDet = invEntry.item(i).getElementsByTagName("ErrorDetailed")[0].firstChild.nodeValue;
				invErr.innerHTML = invEntry.item(i).getElementsByTagName("Error")[0].firstChild.nodeValue + (invErrDet == 0 ? "" : (" 0x" + invErrDet));
			}
			
			var val = invEntry.item(i).getElementsByTagName('Val');
      for (var j = 0; j < val.length; j++)
      {
      	var val_name = val.item(j).attributes.getNamedItem("n").value;
      	var val_mul = val.item(j).attributes.getNamedItem("m").value;
      	var val_unit = val.item(j).attributes.getNamedItem("u").value;
      	
				var value = val.item(j).firstChild.nodeValue;
				var invVal = document.getElementById("inv" + val_name + i);
				if (invVal != null)
				{                                
						invVal.innerHTML = (value == "-" ? "-" : (Math.floor((value / val_mul) * 100) / 100)) + " " + (val_unit == "C" ? "°" : "") + val_unit;
				}
				if (val_name == "Pac")
				{
					if (value != "-")
						power += Number(value);
				}				
			}
		}
		var invPacTot = document.getElementById("invPacTot");
		if (invPacTot != null)
		{
			invPacTot.innerHTML = invPacTot.innerHTML.split("(")[0] + "(" + Math.floor(power / 100) / 10 + " kW)";
		}
		
		/*
		 * StringBoxes
		 */			 
    var strSet = httpRequest.responseXML.getElementsByTagName('StringSet'); 
		var strEntry = strSet.item(0).getElementsByTagName('Entry');
	  
    for (var i = 0; i < strEntry.length; i++)
    {
    	var current = "-";
  		var strTr = document.getElementById("strTr" + i);
			if (strTr != null)
			{
				var state = strEntry.item(i).getElementsByTagName("State")[0].firstChild.nodeValue;
				strTr.setAttribute("class", set_state[state]);
			}

  		var strOn = document.getElementById("strOn" + i);
			if (strOn != null)
			{
				var online = strEntry.item(i).getElementsByTagName("Online")[0].firstChild.nodeValue;
				strOn.innerHTML = document.getElementById(online_states[online]).value; 
			}

  		var strErr = document.getElementById("strErr" + i);
			if (strErr != null)
			{
				var strErrDet = strEntry.item(i).getElementsByTagName("ErrorDetailed")[0].firstChild.nodeValue;
				strErr.innerHTML = strEntry.item(i).getElementsByTagName("Error")[0].firstChild.nodeValue + (strErrDet == 0 ? "" : (" 0x" + strErrDet));
			}
							
			var str = strEntry.item(i).getElementsByTagName('String');
      for (var j = 0; j < str.length; j++)
      {
				var val = str.item(j).getElementsByTagName('V');
	      for (var k = 0; k < val.length; k++)
	      {
	      	var val_name = val.item(k).attributes.getNamedItem("n").value;
					var value = val.item(k).firstChild.nodeValue;
               
					if (val_name == "Ic")
					{
						if (value != "-")
						{
							if (current == "-")
								current = 0;
							current += Number(value);
						}
					}

					var strVal = document.getElementById("str" + i + val_name + j);
					if (strVal != null)
					{                 
						if (value != "-")
						{
							if (val_name == "It")
								value /= 10;
							else
								value /= 100;
						}                
						strVal.innerHTML = value; 
					}

				}
			}
			var strCur = document.getElementById("strCur" + i);
			if (strCur != null)
			{
				strCur.innerHTML = (current == "-" ? "-" : Math.floor(current) / 100) + " A";
			}
		}
  }
}

//-----------------------------------------------------------------------------------------------
//--	 																	DATE PICKER PART																			 --
//-----------------------------------------------------------------------------------------------
var datePickerDivID = "datepicker";
var iFrameDivID = "datepickeriframe";

var dayArrayShort = new Array('Po', 'Út', 'St', 'Čt', 'Pá', 'So', 'Ne');
var dayArrayLong = new Array('Pondělí', 'Úterý', 'Středa', 'Čtvrtek', 'Pátek', 'Sobota', 'Neděle');
var monthArrayLong = new Array('Leden', 'Únor', 'Březen', 'Duben', 'Květen', 'Červen', 'Červenec', 'Srpen', 'Září', 'Říjen', 'Listopad', 'Prosinec');
 
function displayDatePicker(dateFieldId)
{
  var targetDateField = document.getElementById(dateFieldId);
 
  var x = targetDateField.offsetLeft;
  var y = targetDateField.offsetTop + targetDateField.offsetHeight;
 
  // deal with elements inside tables and such
  var parent = targetDateField;
  while (parent.offsetParent) {
    parent = parent.offsetParent;
    x += parent.offsetLeft;
    y += parent.offsetTop ;
  }
 
  drawDatePicker(targetDateField, x, y);
}

function drawDatePicker(targetDateField, x, y)
{
  var dt = getFieldDate(targetDateField.value);
  if (!document.getElementById(datePickerDivID)) {
    var newNode = document.createElement("div");
		newNode.setAttribute("id", datePickerDivID);
    newNode.setAttribute("class", "dpDiv");
    newNode.setAttribute("style", "visibility: hidden;");
    document.body.appendChild(newNode);
  }

  // move the datepicker div to the proper x,y coordinate and toggle the visiblity
  var pickerDiv = document.getElementById(datePickerDivID);
//  pickerDiv.setAttribute("onblur", "alert('x');");
  pickerDiv.style.position = "absolute";
  pickerDiv.style.left = x + "px";
  pickerDiv.style.top = y + "px";
  pickerDiv.style.visibility = (pickerDiv.style.visibility == "visible" ? "hidden" : "visible");
  pickerDiv.style.display = (pickerDiv.style.display == "block" ? "none" : "block");
  pickerDiv.style.zIndex = 10000;
 
  // draw the datepicker table
  refreshDatePicker(targetDateField.id, dt.getFullYear(), dt.getMonth(), dt.getDate());
}


/**
This is the function that actually draws the datepicker calendar.
*/
function refreshDatePicker(dateFieldId, year, month, day)
{
  // if no arguments are passed, use today's date; otherwise, month and year
  // are required (if a day is passed, it will be highlighted later)
  var thisDay = new Date();
 
  if ((month >= 0) && (year > 0)) {
    thisDay = new Date(year, month, 1);
  } else {
    day = thisDay.getDate();
    thisDay.setDate(1);
  }
 
  var crlf = "\r\n";
  var TABLE = "<table cols=7 class='dpTable'>" + crlf;
  var xTABLE = "</table>" + crlf;
  var TR = "<tr class='dpTR'>";
  var TR_title = "<tr class='dpTitleTR'>";
  var TR_days = "<tr class='dpDayTR'>";
  var TR_todaybutton = "<tr class='dpTodayButtonTR'>";
  var xTR = "</tr>" + crlf;
  var TD_empty = "<td class='dpTD'";    // leave this tag open, because we'll be adding an onClick event
  var TD = "<td class='dpTD' onMouseOut='this.className=\"dpTD\";' onMouseOver=' this.className=\"dpTDHover\";' ";    // leave this tag open, because we'll be adding an onClick event
  var TD_title = "<td colspan=5 class='dpTitleTD'>";
  var TD_buttons = "<td class='dpButtonTD'>";
  var TD_todaybutton = "<td colspan=7 class='dpTodayButtonTD'>";
  var TD_days = "<td class='dpDayTD'>";
  var TD_selected = "<td class='dpDayHighlightTD' onMouseOut='this.className=\"dpDayHighlightTD\";' onMouseOver='this.className=\"dpTDHover\";' ";    // leave this tag open, because we'll be adding an onClick event
  var xTD = "</td>" + crlf;
  var DIV_title = "<div class='dpTitleText'>";
  var DIV_selected = "<div class='dpDayHighlight'>";
  var xDIV = "</div>";
 
  // start generating the code for the calendar table
  var html = TABLE;
 
  // this is the title bar, which displays the month and the buttons to
  // go back to a previous month or forward to the next month
  html += TR_title;
  html += TD_buttons + getButtonCode(dateFieldId, thisDay, -1, "&lt;") + xTD;
  html += TD_title + DIV_title + monthArrayLong[ thisDay.getMonth()] + " " + thisDay.getFullYear() + xDIV + xTD;
  html += TD_buttons + getButtonCode(dateFieldId, thisDay, 1, "&gt;") + xTD;
  html += xTR;
 
  // this is the row that indicates which day of the week we're on
  html += TR_days;
  for(i = 0; i < dayArrayShort.length; i++)
    html += TD_days + dayArrayShort[i] + xTD;
  html += xTR;
 
  // now we'll start populating the table with days of the month
  html += TR;
 
  // first, the leading blanks
  for (i = 0; i < thisDay.getDay(); i++)
    html += TD_empty + "&nbsp;" + xTD;
 
  // now, the days of the month
  do {
    dayNum = thisDay.getDate();
    TD_onclick = " onclick=\"updateDateField('" + dateFieldId + "', '" + getDateString(thisDay) + "');\">";
    
    if (dayNum == day)
      html += TD_selected + TD_onclick + DIV_selected + dayNum + xDIV + xTD;
    else
      html += TD + TD_onclick + dayNum + xTD;
    
    // if this is a Saturday, start a new row
    if (thisDay.getDay() == 6)
      html += xTR + TR;
    
    // increment the day
    thisDay.setDate(thisDay.getDate() + 1);
  } while (thisDay.getDate() > 1)
 
  // fill in any trailing blanks
  if (thisDay.getDay() > 0) {
    for (i = 6; i > thisDay.getDay(); i--)
      html += TD_empty + "&nbsp;" + xTD;
  }
  html += xTR;
 
  // add a button to allow the user to easily return to today, or close the calendar
  var today = new Date();
  html += TR_todaybutton + TD_todaybutton;
  html += "<button class='dpTodayButton' onClick='updateDateField(\"" + dateFieldId + "\", \"" + getDateString(today) + "\");'>Dnes</button> ";
  html += "<button class='dpTodayButton' onClick='updateDateField(\"" + dateFieldId + "\");'>Zavřít</button>";
  html += xTD + xTR;
 
  // and finally, close the table
  html += xTABLE;
 
  document.getElementById(datePickerDivID).innerHTML = html;
  // add an "iFrame shim" to allow the datepicker to display above selection lists
  adjustiFrame();
}


/**
Convenience function for writing the code for the buttons that bring us back or forward
a month.
*/
function getButtonCode(dateFieldId, dateVal, adjust, label)
{
  var newMonth = (dateVal.getMonth () + adjust) % 12;
  var newYear = dateVal.getFullYear() + parseInt((dateVal.getMonth() + adjust) / 12);
  if (newMonth < 0) {
    newMonth += 12;
    newYear += -1;
  }
 
  return "<button class='dpButton' onClick='refreshDatePicker(\"" + dateFieldId + "\", " + newYear + ", " + newMonth + ");'>" + label + "</button>";
}

function getDateString(dateVal)
{
  var dayString = "00" + dateVal.getDate();
  var monthString = "00" + (dateVal.getMonth()+1);
  dayString = dayString.substring(dayString.length - 2);
  monthString = monthString.substring(monthString.length - 2);
 
  return dayString + '.' + monthString + '.' + dateVal.getFullYear();
}


/**
Convert a string to a JavaScript Date object.
*/
function getFieldDate(dateString)
{
  var dateVal;
  var dArray;
  var d, m, y;
 
  try {
    dArray = splitDateString(dateString);
    if (dArray) {
      d = parseInt(dArray[0], 10);
      d = d < 1 ? 1 : (d > 31 ? 31 : d);
      
      m = parseInt(dArray[1], 10) - 1;
      m = m < 0 ? 0 : (m > 11 ? 11 : m);
			 
      y = parseInt(dArray[2], 10);
      y = y < 1970 ? 1970 : (y > 2100 ? 2100 : y);
				
      dateVal = new Date(y, m, d);
    } else if (dateString) {
      dateVal = new Date(dateString);
    } else {
      dateVal = new Date();
    }
  } catch(e) {
    dateVal = new Date();
  }
  if ((dateVal == 'Invalid Date')
   || (dateVal == 'NaN'))
  	dateVal = new Date();
  	
  return dateVal;
}

function splitDateString(dateString)
{
  var dArray;
  if (dateString.indexOf(".") >= 0)
    dArray = dateString.split(".");
  else
    dArray = false;
 
  return dArray;
}

function updateDateField(dateFieldId, dateString)
{
	var targetDateField = document.getElementById(dateFieldId);
  if (dateString)
    targetDateField.value = dateString;
 
  var pickerDiv = document.getElementById(datePickerDivID);
  pickerDiv.style.visibility = "hidden";
  pickerDiv.style.display = "none";
 
  adjustiFrame();
  targetDateField.focus();
}

function adjustiFrame(pickerDiv, iFrameDiv)
{
  // we know that Opera doesn't like something about this, so if we
  // think we're using Opera, don't even try
  var is_opera = (navigator.userAgent.toLowerCase().indexOf("opera") != -1);
  if (is_opera)
    return;
  
  // put a try/catch block around the whole thing, just in case
  try {
    if (!document.getElementById(iFrameDivID)) {
      var newNode = document.createElement("iFrame");
      newNode.setAttribute("id", iFrameDivID);
      newNode.setAttribute("src", "javascript:false;");
      newNode.setAttribute("scrolling", "no");
      newNode.setAttribute ("frameborder", "0");
      document.body.appendChild(newNode);
    }
    
    if (!pickerDiv)
      pickerDiv = document.getElementById(datePickerDivID);
    if (!iFrameDiv)
      iFrameDiv = document.getElementById(iFrameDivID);
    
    try {
      iFrameDiv.style.position = "absolute";
      iFrameDiv.style.width = pickerDiv.offsetWidth;
      iFrameDiv.style.height = pickerDiv.offsetHeight ;
      iFrameDiv.style.top = pickerDiv.style.top;
      iFrameDiv.style.left = pickerDiv.style.left;
      iFrameDiv.style.zIndex = pickerDiv.style.zIndex - 1;
      iFrameDiv.style.visibility = pickerDiv.style.visibility ;
      iFrameDiv.style.display = pickerDiv.style.display;
    } catch(e) {
    }
 
  } catch (ee) {
  }
}
function manualyModified(dateFieldId)
{
	updateDateField(dateFieldId, getDateString(getFieldDate(document.getElementById(dateFieldId).value)));
}
