<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="lg" select="document('lang.xml')/LangSet"/>
  
  <xsl:template name="title">
  	Solar Monitor - <xsl:value-of select="Agent/DeviceName"/>
  </xsl:template>
	
  <xsl:template match="Menu">
    <ul>
	    <li>
				<xsl:if test=". = 0">
					<xsl:attribute name="class">selected</xsl:attribute>
				</xsl:if>
	      <a href="values.xml"><xsl:value-of select="$lg/s[1]"/></a>
			</li>
			<xsl:if test="floor(. div 10)=0">
				<li class="submenu">
					<div>
						<xsl:if test=".=1">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="graph_d.xml"><xsl:value-of select="$lg/s[2]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=2">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="graph_w.xml"><xsl:value-of select="$lg/s[3]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=3">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="graph_m.xml"><xsl:value-of select="$lg/s[4]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=4">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="graph_y.xml"><xsl:value-of select="$lg/s[5]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=5">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="stats.xml"><xsl:value-of select="$lg/s[6]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=6">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="overall.xml"><xsl:value-of select="$lg/s[7]"/></a>
					</div>
				</li>
			</xsl:if>
			<li>
				<xsl:if test=".=10">
				  <xsl:attribute name="class">selected</xsl:attribute>
				</xsl:if>
				<a href="alarms.xml"><xsl:value-of select="$lg/s[8]"/></a>
			</li>
			<xsl:if test="floor(. div 10)=1">
				<li class="submenu">
					<div>
						<xsl:if test=".=11">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="alarm_hi.xml"><xsl:value-of select="$lg/s[9]"/></a>
					</div>
				</li>
			</xsl:if>
			<xsl:if test="floor(. div 10)=1">
				<li class="submenu">
					<div>
						<xsl:if test=".=12">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="pwr_hi.xml"><xsl:value-of select="$lg/s[319]"/></a>
					</div>
				</li>
			</xsl:if>
			<xsl:if test="$lg/s[10] != ''">
				<li>
					<xsl:if test=".=20">
					  <xsl:attribute name="class">selected</xsl:attribute>
					</xsl:if>         
					<a href="bill.xml"><xsl:value-of select="$lg/s[10]"/></a>
				</li>
			</xsl:if>
			<xsl:if test="floor(. div 10)=2">
				<li class="submenu">
					<div>
						<xsl:if test=".=21">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="pricing.xml"><xsl:value-of select="$lg/s[11]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=22">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="bill_cfg.xml"><xsl:value-of select="$lg/s[12]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=23">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="vyk_cfg.xml"><xsl:value-of select="$lg/s[13]"/></a>
					</div>
				</li>
			</xsl:if>				
			<li>
				<xsl:if test=".=30">
				  <xsl:attribute name="class">selected</xsl:attribute>
				</xsl:if>
				<a href="settings.xml"><xsl:value-of select="$lg/s[14]"/></a>
			</li>
			<xsl:if test="floor(. div 10)=3">
				<li class="submenu">
					<div>
						<xsl:if test=".=31">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="network.xml"><xsl:value-of select="$lg/s[15]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=32">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="emailsms.xml"><xsl:value-of select="$lg/s[16]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=33">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="sensors.xml"><xsl:value-of select="$lg/s[17]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=34">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="inverter.xml"><xsl:value-of select="$lg/s[18]"/></a>
					</div>
				</li>
				<li class="submenu">
					<div>
						<xsl:if test=".=35">
							<xsl:attribute name="class">selected</xsl:attribute>
						</xsl:if>
						<a href="in_out.xml"><xsl:value-of select="$lg/s[19]"/></a>
					</div>
				</li>
				<xsl:if test="../Model!=4">
					<li class="submenu">
						<div>
							<xsl:if test=".=36">
								<xsl:attribute name="class">selected</xsl:attribute>
							</xsl:if>
							<a href="pwr_ctrl.xml"><xsl:value-of select="$lg/s[318]"/></a>
						</div>
					</li>
					<xsl:if test=".=37">
						<li class="submenu">
							<div>
								<xsl:attribute name="class">selected</xsl:attribute>
								<a href="hbus.xml"><xsl:value-of select="$lg/s[322]"/></a>
							</div>
						</li>
					</xsl:if>
				</xsl:if>
			</xsl:if>
		</ul>

    <ul id="action_menu">
      <li>
        <a style="cursor:pointer" onclick="return reboot_device();"><xsl:value-of select="$lg/s[20]"/></a>
      </li>
    </ul>
		<p>
	    <table cellspacing="0" align="center">
				<tr height="10x">
					<td width="4px" id="0"/>
					<td width="4px" id="1"/>
					<td width="4px" id="2"/>
					<td width="4px" id="3"/>
					<td width="4px" id="4"/>
					<td width="4px" id="5"/>
					<td width="4px" id="6"/>
					<td width="4px" id="7"/>
					<td width="4px" id="8"/>
					<td width="4px" id="9"/>
					<td width="4px" id="10"/>
					<td width="4px" id="11"/>
					<td width="4px" id="12"/>
					<td width="4px" id="13"/>
					<td width="4px" id="14"/>
					<td width="4px" id="15"/>
					<td width="4px" id="16"/>
					<td width="4px" id="17"/>
					<td width="4px" id="18"/>
					<td width="4px" id="19"/>
				</tr>
			</table>
		</p>
		<input type="hidden" id="HWSec">
			<xsl:attribute name="value"><xsl:value-of select="../HWSec"/></xsl:attribute>
		</input>
		<input type="hidden" id="Model">
			<xsl:attribute name="value"><xsl:value-of select="../Model"/></xsl:attribute>
		</input>

		<input type="hidden" id="s76">
			<xsl:attribute name="value"><xsl:value-of select="$lg/s[76]"/></xsl:attribute>
		</input>
		<input type="hidden" id="s77">
			<xsl:attribute name="value"><xsl:value-of select="$lg/s[77]"/></xsl:attribute>
		</input>
		<input type="hidden" id="s78">
			<xsl:attribute name="value"><xsl:value-of select="$lg/s[78]"/></xsl:attribute>
		</input>

		<xsl:for-each select="$lg/j"> 	
			<input type="hidden">
				<xsl:attribute name="id">j<xsl:number value="position() - 1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			</input>
    </xsl:for-each>
  </xsl:template>
  
  <xsl:template match="State" mode="MonSenInvInp">
		<xsl:choose>
			<xsl:when test=".=1">
				<xsl:attribute name="class">warning</xsl:attribute>
			</xsl:when>
				<xsl:when test=".=2">
				<xsl:attribute name="class">alarm</xsl:attribute>
			</xsl:when>
				<xsl:when test=".=3">
				<xsl:attribute name="class">timeout</xsl:attribute>
			</xsl:when>
		</xsl:choose>
  </xsl:template>
	
	<xsl:template match="Units">
		<xsl:if test=".='C'">°</xsl:if>
		<xsl:choose>
			<xsl:when test=".='WD'">°</xsl:when>
    	<xsl:otherwise>
    		<xsl:value-of select="."/>
    	</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

 	<xsl:template match="InsolationAlarm" mode="Common">
	  <xsl:choose>
			<xsl:when test="//SenSet/Entry/Units='W/m2'">
				<xsl:if test="Value=0">
					<xsl:choose>
						<xsl:when test="//SenSet/Entry[Units='W/m2']/Value > CompareValue">
							<xsl:value-of select="$lg/s[40]"/><xsl:if test="not(//InverterSet/Entry/Val[@n='Pac'] > 0)"><xsl:value-of select="$lg/s[41]"/></xsl:if><xsl:if test="//InverterSet/Entry/Val[@n='Pac'] > 0"><xsl:value-of select="$lg/s[42]"/></xsl:if>
						</xsl:when>
						<xsl:otherwise>
								<xsl:value-of select="$lg/s[43]"/> 				
						</xsl:otherwise>
  				</xsl:choose>
				</xsl:if>
				<xsl:if test="Value!=0">
					<xsl:value-of select="$lg/s[44]"/>&#160;<xsl:value-of select="Value"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$lg/s[45]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

  <xsl:template match="Mode">
  	<xsl:if test="(.=1)"><xsl:attribute name="disabled">1</xsl:attribute></xsl:if>
  </xsl:template>

  <xsl:template match="DeviceName">
		<xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="Contact">
	<a target="_blank">
	  <xsl:attribute name="href"><xsl:value-of select="."/></xsl:attribute>
 	  <!--<xsl:value-of select="."/>-->
	  ©Embedded Technologies s.r.o., 2012
	</a>
  </xsl:template>
  
 </xsl:stylesheet>
