<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:val="http://www.etech.cz/XMLSchema/sim/values.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
              doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

	<xsl:include href="template.xsl"/>

	<xsl:template match="val:Root"> 
		<html>
			<head>
<!--		<meta http-equiv="refresh" content="5"/> -->
				<link rel="stylesheet" type="text/css" href="index.css" />
				<script type="text/javascript" src="setup.js"/>
				<title><xsl:call-template name="title"/></title>
			</head>
			<body onLoad="SetRefresh(getValues);">
				<div id="container">
					<div id="min_height"></div>
					<div id="sidebar">
						<div id="sidebar-content">
							<div id="logo">
								<div id="logo_trans"/>
							</div>
							<div id="menu">
								<xsl:apply-templates select="Agent/Menu"/>
							</div>
							<div id="submit_area">
							  <xsl:value-of select="$lg/s[314]"/>
								 <input id="refresh_rate" type="text" maxlength="3" class="input_text_2" onChange="SetRefresh(getValues);" value="5" />
								<xsl:value-of select="$lg/s[315]"/>
							</div>
							<hr class="cleaner" />
						</div>
					</div>
					<div id="main-div">
						<div id="main-content">
							<div id="top_area">
							  <div id="dev_name"><xsl:value-of select="Agent/DeviceName"/></div>
							  <div id="caption"><xsl:value-of select="$lg/s[1]"/></div>
							</div>
							<div id="content">
								<xsl:variable name="inv_cnt">
							 		<xsl:value-of select="count(//InverterSet/Entry)"/>
								</xsl:variable>
								<xsl:choose>
									<xsl:when test="//InverterSet/ShowIdx != 0  and $inv_cnt >= //InverterSet/ShowIdx">
										<div class="column_left">
											<xsl:variable name="idx1" select="InverterSet/ShowIdx"/>
											<xsl:apply-templates select="InverterSet/Entry[number($idx1)]" mode="InvValsTop"/>
										</div>
										<div class="column_left">
											<xsl:variable name="idx2" select="InverterSet/ShowIdx"/>
											<xsl:apply-templates select="InverterSet/Entry[number($idx2)]" mode="InvValsLeft"/>
										</div>
										<div class="column_right">
											<xsl:variable name="idx3" select="InverterSet/ShowIdx"/>
											<xsl:apply-templates select="InverterSet/Entry[number($idx3)]" mode="InvValsRight"/>
										</div>
									</xsl:when>
									
									<xsl:when test="//StringSet/ShowIdx != 0">
										<div class="column_left">
											<xsl:variable name="idx4" select="StringSet/ShowIdx"/>
											<xsl:apply-templates select="StringSet/Entry[number($idx4) - number($inv_cnt)]" mode="StrVals"/>
										</div>
									</xsl:when>
									
									<xsl:otherwise>
										<div class="column_left">
											<xsl:apply-templates select="Energy" mode="Energy"/>
										</div>
										<div class="column_right">
											<xsl:apply-templates select="Energy" mode="Money"/>
										</div>
										<div class="column_left">
											<xsl:apply-templates select="SenSet" mode="Values"/>
										</div>
										<div class="column_right">
											<h1><xsl:value-of select="$lg/s[225]"/>:</h1>
											<p>
												<table class="tbl_half">
													<colgroup>
														<col class="col_name_middle"/>
														<col class="col_value"/>
													</colgroup>
												<thead>
													<td><xsl:value-of select="$lg/s[57]"/></td>
													<td><xsl:value-of select="$lg/s[60]"/></td>
												</thead>
													<tbody>
														<xsl:apply-templates select="BinaryInSet" mode="Values"/>
														<xsl:apply-templates select="BinaryOutSet" mode="Values"/>
													</tbody>
												</table>
											</p> 
										</div>
										<div class="column_left">
											<xsl:apply-templates select="InverterSet" mode="Values"/>
											<xsl:if test="(StringSet/Entry) and (not (InverterSet/GwMode = 1))">
												<xsl:apply-templates select="StringSet" mode="Values"/>
											</xsl:if>
										</div>
									</xsl:otherwise>
								</xsl:choose>
							</div>
							<hr class="cleaner"/>
						</div>
					</div>
				</div>      
				<div id="bottom-contact">
					<xsl:apply-templates select="Agent/Contact"/>
				</div>
			</body>
		</html>
	</xsl:template>

	<!-- TEMPLATE -->

	<xsl:template match="SenSet" mode="Values">
		<h1><xsl:value-of select="$lg/s[25]"/></h1>
			<p>
				<table class="tbl_half">
					<colgroup>
						<col class="col_name_middle"/>
						<col class="col_value"/>
					</colgroup>
				<thead>
					<td><xsl:value-of select="$lg/s[26]"/></td>
					<td><xsl:value-of select="$lg/s[27]"/></td>
				</thead>
					<tbody>
						<xsl:for-each select="Entry">
							<tr>
								<xsl:attribute name="id">senTr<xsl:number value="position() - 1"/></xsl:attribute>
			 					<xsl:apply-templates select="State" mode="MonSenInvInp"/>
								<td class="left"><xsl:value-of select="Name"/>: </td>	
								<td class="left">
									<xsl:attribute name="id">sen<xsl:number value="position() - 1"/></xsl:attribute>
									<xsl:value-of select="Value"/>
									<xsl:text> </xsl:text>
									<xsl:apply-templates select="Units"/>
								</td>
							</tr>
						</xsl:for-each>
					</tbody>
				</table>
			</p> 
	</xsl:template>

 <xsl:template match="Energy" mode="Energy">
	<h1><xsl:value-of select="$lg/s[21]"/></h1>
  		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_energy"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[22]"/></td>
					</tr>
					<tr class="large">
						<td id="energy_today">
							<xsl:value-of select="format-number(floor(Today div(100))div(10),' ##0.0','des_carka')"/> kWh
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[23]"/>:</td>
					</tr>
					<tr class="totalval">
						<td id="energy_total">
							<xsl:value-of select="format-number(floor(Total div(100))div(10),' ##0.0','des_carka')"/> kWh
						</td>
					</tr>		
				</tbody>
			</table>
		</p>				
  </xsl:template>  
  
	<xsl:decimal-format name="des_carka" decimal-separator="." grouping-separator=" "/>

  <xsl:template match="Energy" mode="Money">
		<h1><xsl:value-of select="$lg/s[201]"/></h1>
  		<p>
			<table class="tbl_half">
				<colgroup>
					<col class="col_energy"/>
				</colgroup>
				<tbody>
					<tr>
						<td><xsl:value-of select="$lg/s[22]"/></td>
					</tr>
					<tr class="large">
						<td id="price_today">
							<xsl:attribute name="title"><xsl:value-of select="$lg/s[61]"/></xsl:attribute>
							<xsl:value-of select="format-number(floor((Today*../Prices/Main)div(100000))div(10),' ##0.0','des_carka')"/>&#160;<xsl:value-of select="//Prices/Currency"/>
						</td>
					</tr>
					<tr>
						<td><xsl:value-of select="$lg/s[23]"/></td>
					</tr>
					<tr class="totalval">
						<td  id="price_total">
							<xsl:attribute name="title"><xsl:value-of select="$lg/s[61]"/></xsl:attribute>
							<xsl:value-of select="format-number(floor((Total*../Prices/Main)div(100000))div(10),' ##0.0','des_carka')"/>&#160;<xsl:value-of select="//Prices/Currency"/>
						</td>
					</tr>		
				</tbody>
			</table>
		</p>				
  </xsl:template>
          
	<xsl:template match="BinaryInSet" mode="Values">
		<input type="hidden" id="s51">
			<xsl:attribute name="value"><xsl:value-of select="$lg/s[51]"/></xsl:attribute>
		</input>
		<input type="hidden" id="s52">
			<xsl:attribute name="value"><xsl:value-of select="$lg/s[52]"/></xsl:attribute>
		</input>
		<xsl:for-each select="Entry">
			<tr>
				<xsl:attribute name="id">inpTr<xsl:number value="position() - 1"/></xsl:attribute>
				<xsl:apply-templates select="State" mode="MonSenInvInp"/>
				<td class="left"><xsl:value-of select="Name"/>: </td>	
				<td class="left" id="inp.0">
					<xsl:attribute name="id">inp<xsl:number value="position()-1"/></xsl:attribute>
					<xsl:choose>
						<xsl:when test="Value=0"><xsl:value-of select="$lg/s[51]"/></xsl:when>
						<xsl:when test="Value=1"><xsl:value-of select="$lg/s[52]"/></xsl:when>
					</xsl:choose>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="BinaryOutSet" mode="Values">
		<xsl:for-each select="Entry">
			<tr>
				<td class="left"><xsl:value-of select="Name"/>: </td>	
				<td class="left">
					<xsl:attribute name="id">out<xsl:number value="position()-1"/></xsl:attribute>
					<xsl:choose>
						<xsl:when test="Value=0"><xsl:value-of select="$lg/s[51]"/></xsl:when>
						<xsl:when test="Value=1"><xsl:value-of select="$lg/s[52]"/></xsl:when>
					</xsl:choose>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="InverterSet" mode="Values">
		<h1><xsl:value-of select="$lg/s[70]"/></h1>
    <p>
      <table class="tbl_full">
				<colgroup> 
		      <col class="col_value" width="28%"/>
		      <col class="col_value" width="17%"/>
		      <col class="col_value" width="17%"/>
		      <col class="col_value" width="22%"/>
		      <col class="col_value" width="16%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[71]"/></td>
					<td><xsl:value-of select="$lg/s[72]"/></td>
					<td><xsl:value-of select="$lg/s[73]"/></td>
					<td id="invPacTot"><xsl:value-of select="$lg/s[74]"/>
						(<xsl:value-of select="floor(sum((Entry/Val[@n='Pac'])[. != '-']) div 100) div 10"/>
					 	kW)
					</td>
					<td><xsl:value-of select="$lg/s[75]"/></td>
				</thead>
        <tbody>
        	<xsl:if test="ETInv=1">
        		<tr>
							<td colspan="5" class="center">
								<b>Testovací verze FW s Etech protokolem!</b>
							</td>
        		</tr>
        	</xsl:if>
        	<xsl:if test="GwMode=1">
        		<tr>
							<td colspan="5" class="center">
								<xsl:value-of select="$lg/s[300]"/>
							</td>
        		</tr>
        	</xsl:if>
        	<xsl:if test="not(GwMode=1)">
						<xsl:for-each select="Entry">
							<tr style="cursor:pointer;" onmouseover="this.style.background = '#f90'" onmouseout="this.style.background = '#F0F0F0'">
								<xsl:attribute name="id">invTr<xsl:number value="position()-1"/></xsl:attribute>
								<xsl:attribute name="onClick">
									openWindow('values.xml?'+<xsl:number value="position()"/>,'_self');
								</xsl:attribute>
								<xsl:apply-templates select="State" mode="MonSenInvInp"/>
		            <td style="text-align:center;">
									<xsl:value-of select="Type"/>
								</td>
		            <td style="text-align:center;">
									<xsl:attribute name="id">invOn<xsl:number value="position()-1"/></xsl:attribute>
									<xsl:choose>
									  <xsl:when test="Online=0">
											<xsl:value-of select="$lg/s[76]"/>
									  </xsl:when>
									  <xsl:when test="Online=1">
											<xsl:value-of select="$lg/s[77]"/>
									  </xsl:when>
									  <xsl:when test="Online=2">
											<xsl:value-of select="$lg/s[78]"/>
									  </xsl:when>
									</xsl:choose>
								</td>
		            <td style="text-align:center;">
									<xsl:attribute name="id">invMode<xsl:number value="position()-1"/></xsl:attribute>
									<xsl:value-of select="Mode"/>
								</td>
		            <td style="text-align:center;">
									<xsl:attribute name="id">invPac<xsl:number value="position()-1"/></xsl:attribute>
		            	<xsl:choose>
										<xsl:when test="Val[@n='Pac']!='-'"><xsl:value-of select="Val[@n='Pac']div Val[@n='Pac']/@m"/></xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
		            	</xsl:choose> W
		            </td>
		            <td style="text-align:center;">
									<xsl:attribute name="id">invTkk<xsl:number value="position()-1"/></xsl:attribute>
		            	<xsl:choose>
										<xsl:when test="Val[@n='Tkk']!='-'"><xsl:value-of select="Val[@n='Tkk']div Val[@n='Tkk']/@m"/></xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
		            	</xsl:choose> °C
								</td>
		          </tr>
		        </xsl:for-each>
					</xsl:if> 
        </tbody>
      </table>
    </p>
  </xsl:template>
  
	<xsl:template match="StringSet" mode="Values">
		<h1><xsl:value-of select="$lg/s[79]"/></h1>
    <p>
      <table class="tbl_full">
				<colgroup> 
		      <col class="col_value" width="25%"/>
		      <col class="col_value" width="25%"/>
		      <col class="col_value" width="25%"/>
		      <col class="col_value" width="25%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[80]"/></td>
					<td><xsl:value-of select="$lg/s[81]"/></td>
					<td><xsl:value-of select="$lg/s[72]"/></td>
					<td><xsl:value-of select="$lg/s[82]"/></td>
				</thead>
        <tbody>
        	<xsl:for-each select="Entry">
        		<xsl:variable name="cnt">
							<xsl:value-of select="count(//InverterSet/Entry)"/>
						</xsl:variable>
						<tr style="cursor:pointer;" onmouseover="this.style.background = '#f90'" onmouseout="this.style.background = '#F0F0F0'">
							<xsl:attribute name="id">strTr<xsl:number value="position()-1"/></xsl:attribute>
							<xsl:attribute name="onClick">
								openWindow('values.xml?'+<xsl:number value="position() + $cnt"/>, '_self');
							</xsl:attribute>
							<xsl:apply-templates select="State" mode="MonSenInvInp"/>
	            <td style="text-align:center;">
								<xsl:value-of select="Type"/>
							</td>
	            <td style="text-align:center;">
								<xsl:value-of select="SN"/>
							</td>
	            <td style="text-align:center;">
								<xsl:attribute name="id">strOn<xsl:number value="position()-1"/></xsl:attribute>
								<xsl:choose>
								  <xsl:when test="Online=0">
										<xsl:value-of select="$lg/s[76]"/>
								  </xsl:when>
								  <xsl:when test="Online=1">
										<xsl:value-of select="$lg/s[77]"/>
								  </xsl:when>
								  <xsl:when test="Online=2">
										<xsl:value-of select="$lg/s[78]"/>
								  </xsl:when>
								</xsl:choose>
							</td>
	            <td style="text-align:center;">
	            	<xsl:attribute name="id">strCur<xsl:number value="position()-1"/></xsl:attribute>
								<xsl:choose>
					        <xsl:when test="String[1]/V[@n='Ic'] != '-'">
					        	<xsl:value-of select="sum(String/V[@n='Ic']) div 100"/>
					        </xsl:when>
					        <xsl:otherwise>
										-
					        </xsl:otherwise>
								</xsl:choose>
				         A
							</td>
	          </tr>
	        </xsl:for-each> 
        </tbody>
      </table>
    </p>
  </xsl:template>

  <xsl:template match="InverterSet/Entry/Val">
		<td>
			<xsl:value-of select="@n"/>
		</td>
		<td>
			<xsl:attribute name="id">inv<xsl:value-of select="@n"/><xsl:number value="../../ShowIdx - 1"/></xsl:attribute>
			<xsl:choose>
        <xsl:when test=". != '-'">
					<xsl:if test="@m = 0">
							<xsl:value-of select="round(. * 100) div 100"/>
					</xsl:if>
					<xsl:if test="@m != 0">
							<xsl:value-of select="round((. div @m) * 100) div 100"/>
					</xsl:if>
        </xsl:when>
        <xsl:otherwise>
					-
        </xsl:otherwise>
			</xsl:choose>
			<xsl:text> </xsl:text>
			<xsl:if test="@u='C'">°</xsl:if>
			<xsl:value-of select="@u"/>
		</td>
  </xsl:template>

  <xsl:template match="InverterSet/Entry" mode="InvValsTop">
		<xsl:variable name="cnt">
			<xsl:value-of select="count(//InverterSet/Entry)"/>
		</xsl:variable>
		<h1>
		  <table style="border:0">
		    <tr>
          <td>
            <xsl:value-of select="$lg/s[83]"/>&#160;<xsl:value-of select="Type"/>
            <xsl:if test="SN != '-'">
            	SN: <xsl:value-of select="SN"/>
            </xsl:if>
            <xsl:if test="SN = '-'">
            	ID: <xsl:value-of select="ID"/>
            </xsl:if>
            (<xsl:value-of select="../ShowIdx"/>/<xsl:value-of select="$cnt"/>)
          </td>
		      <td>
            <span id="arrow_left_trans" class="arrow" style="cursor:pointer">
							<xsl:attribute name="title"><xsl:value-of select="$lg/s[298]"/>&#160;<xsl:value-of select="$lg/s[71]"/></xsl:attribute>
            	<xsl:variable name="prev">
            		<xsl:if test="../ShowIdx=1">
            			<xsl:number value="$cnt"/>
            		</xsl:if>
            		<xsl:if test="../ShowIdx!=1">
            			<xsl:number value="../ShowIdx - 1"/>
            		</xsl:if>
            	</xsl:variable>
            	<xsl:attribute name="onClick">
            		openWindow('values.xml?'+<xsl:value-of select="$prev"/>,'_self');
            	</xsl:attribute>
            </span>
          </td>

          <td>
         		<span id="arrow_right_trans" class="arrow" style="cursor:pointer">
							<xsl:attribute name="title"><xsl:value-of select="$lg/s[299]"/>&#160;<xsl:value-of select="$lg/s[71]"/></xsl:attribute>
              <xsl:variable name="next1">
              <xsl:if test="$cnt=../ShowIdx">
              	1
              </xsl:if>
              <xsl:if test="$cnt!=../ShowIdx">
              	<xsl:number value="../ShowIdx + 1"/>
              </xsl:if>
              </xsl:variable>
              <xsl:attribute name="onClick">
              	openWindow('values.xml?'+<xsl:value-of select="$next1"/>,'_self');
              </xsl:attribute>
     				</span>
          </td>
        </tr>
      </table>
		</h1>
		
    <p>
<!--
    	<img src="up.jpg" width="20px" style="cursor:pointer" onClick="openWindow('values.xml','_self');"/>
-->
	    <table class="tbl_half">
	      <colgroup>
	        <col class="col_name_middle"/>
	        <col class="col_value"/>
	      </colgroup>
	      <tbody>
	        <tr>
	          <td>
	          	<xsl:value-of select="$lg/s[72]"/>:
	          </td>
	          <td>
							<xsl:attribute name="id">invOn<xsl:number value="../ShowIdx - 1"/></xsl:attribute>
							<xsl:choose>
							  <xsl:when test="Online=0">
									<xsl:value-of select="$lg/s[76]"/>
							  </xsl:when>
							  <xsl:when test="Online=1">
									<xsl:value-of select="$lg/s[77]"/>
							  </xsl:when>
							  <xsl:when test="Online=2">
									<xsl:value-of select="$lg/s[78]"/>
							  </xsl:when>
							</xsl:choose>
						</td>
	        </tr>
	        <tr>
						<td>
							<xsl:value-of select="$lg/s[73]"/>:
						</td>
						<td>
							<xsl:attribute name="id">invMode<xsl:number value="../ShowIdx - 1"/></xsl:attribute>
							<xsl:value-of select="Mode"/>
						</td>
					</tr>
	        <tr><td><xsl:value-of select="$lg/s[84]"/>:</td>
						<td>
							<xsl:attribute name="id">invErr<xsl:number value="../ShowIdx - 1"/></xsl:attribute>
							<xsl:value-of select="Error"/>
							<xsl:if test="ErrorDetailed!=0"> 0x<xsl:value-of select="ErrorDetailed"/></xsl:if>
						</td>
	        </tr>
	        <tr><td><xsl:value-of select="$lg/s[195]"/>:</td>
						<td>
							<xsl:attribute name="id">invPac<xsl:number value="../ShowIdx - 1"/></xsl:attribute>
            	<xsl:choose>
								<xsl:when test="Val[@n='Pac']!='-'"><xsl:value-of select="Val[@n='Pac']div Val[@n='Pac']/@m"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
            	</xsl:choose> W
						</td>
	        </tr>
	      </tbody>
			</table>
    </p>
  </xsl:template>

  <xsl:template match="InverterSet/Entry" mode="InvValsLeft">
    <h1><xsl:value-of select="$lg/s[306]"/></h1>
    <p>
      <table class="tbl_half">
				<colgroup> 
		      <col class="col_name_wide" width="42%"/>
		      <col class="col_value" width="58%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[85]"/></td>
					<td><xsl:value-of select="$lg/s[60]"/></td>
				</thead> 
        <tbody>
        	<xsl:for-each select="Val[starts-with(@n,'Uac') or starts-with(@n,'Iac') or starts-with(@n,'Pac ') or starts-with(@n,'Fac') or starts-with(@n,'Zac')]">
  					<tr>
   						<xsl:apply-templates select="."/>
        		</tr>
          </xsl:for-each>
        </tbody>
      </table>
    </p>
  </xsl:template>

	<xsl:template match="InverterSet/Entry" mode="InvValsRight">
<!--
    	<img src="up.jpg" width="20px" style="cursor:pointer" onClick="openWindow('values.xml','_self');"/>
-->
    <h1><xsl:value-of select="$lg/s[307]"/></h1>
    <p>
      <table class="tbl_half">
				<colgroup> 
		      <col class="col_name_wide" width="42%"/>
		      <col class="col_value" width="58%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[85]"/></td>
					<td><xsl:value-of select="$lg/s[60]"/></td>
				</thead> 
        <tbody>
        	<xsl:for-each select="Val[starts-with(@n,'Upv') or starts-with(@n,'Ipv')]">
  					<tr>
   						<xsl:apply-templates select="."/>
        		</tr>
          </xsl:for-each>
        </tbody>
      </table>
    </p>

    <h1><xsl:value-of select="$lg/s[308]"/></h1>
    <p>
      <table class="tbl_half">
				<colgroup> 
		      <col class="col_name_wide" width="42%"/>
		      <col class="col_value" width="58%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[85]"/></td>
					<td><xsl:value-of select="$lg/s[60]"/></td>
				</thead> 
        <tbody>
        	<xsl:for-each select="Val[not(starts-with(@n,'Uac') or starts-with(@n,'Iac') or starts-with(@n,'Pac') or starts-with(@n,'Fac') or starts-with(@n,'Zac')  or starts-with(@n,'Upv') or starts-with(@n,'Ipv'))]">
  					<tr>
   						<xsl:apply-templates select="."/>
        		</tr>
          </xsl:for-each>
        </tbody>
      </table>
    </p>
  </xsl:template>

  <xsl:template match="StringSet/Entry" mode="StrVals">
		<xsl:variable name="inv_cnt">
			<xsl:value-of select="count(//InverterSet/Entry)"/>
		</xsl:variable>
		<xsl:variable name="str_cnt">
	 		<xsl:value-of select="count(//StringSet/Entry)"/>
		</xsl:variable>
		<h1>
		  <table style="border:0">
		    <tr>
          <td>
						<xsl:value-of select="$lg/s[86]"/>&#160;<xsl:value-of select="Type"/>
						<xsl:if test="SN != '-'">
							SN: <xsl:value-of select="SN"/>
						</xsl:if>
						<xsl:if test="SN = '-'">
							ID: <xsl:value-of select="ID"/>
						</xsl:if>
						(<xsl:value-of select="../ShowIdx - $inv_cnt"/>/<xsl:value-of select="$str_cnt"/>)
          </td>		
          <td>		
			      <span id="arrow_left_trans" class="arrow" style="cursor:pointer">
							<xsl:attribute name="title"><xsl:value-of select="$lg/s[298]"/>&#160;<xsl:value-of select="$lg/s[80]"/></xsl:attribute>
							<xsl:variable name="prev">
								<xsl:if test="../ShowIdx=$inv_cnt + 1">
									<xsl:number value="$inv_cnt + $str_cnt"/>
								</xsl:if>
								<xsl:if test="../ShowIdx!=$inv_cnt + 1">
									<xsl:number value="../ShowIdx - 1"/>
								</xsl:if>
							</xsl:variable>
							<xsl:attribute name="onClick">
								openWindow('values.xml?'+<xsl:value-of select="$prev"/>,'_self');
							</xsl:attribute>
			    	</span>
          </td>		
          <td>		
			    	<span id="arrow_right_trans" class="arrow" style="cursor:pointer">
							<xsl:attribute name="title"><xsl:value-of select="$lg/s[299]"/>&#160;<xsl:value-of select="$lg/s[80]"/></xsl:attribute>
							<xsl:variable name="next3">
								<xsl:if test="$str_cnt + $inv_cnt = ../ShowIdx">
									<xsl:number value="$inv_cnt + 1"/>
								</xsl:if>
								<xsl:if test="$str_cnt + $inv_cnt != ../ShowIdx">
									<xsl:number value="../ShowIdx + 1"/>
								</xsl:if>
							</xsl:variable>
							<xsl:attribute name="onClick">
								openWindow('values.xml?'+<xsl:value-of select="$next3"/>,'_self');
							</xsl:attribute>
			    	</span>
          </td>		
		    </tr>
		  </table>
<!--
    	<img src="up.jpg" width="20px" style="cursor:pointer" onClick="openWindow('values.xml','_self');"/>
-->
		</h1>
		<p>
	    <table class="tbl_half">
	      <colgroup>
	        <col class="col_name_middle"/>
	        <col class="col_value"/>
	      </colgroup>
	      <tbody>
	        <tr>
	          <td>
	          	<xsl:value-of select="$lg/s[72]"/>:
	          </td>
	          <td>
	          	<xsl:attribute name="id">strOn<xsl:number value="../ShowIdx - $inv_cnt - 1"/></xsl:attribute>
							<xsl:choose>
							  <xsl:when test="Online=0">
									<xsl:value-of select="$lg/s[76]"/>
							  </xsl:when>
							  <xsl:when test="Online=1">
									<xsl:value-of select="$lg/s[77]"/>
							  </xsl:when>
							  <xsl:when test="Online=2">
									<xsl:value-of select="$lg/s[78]"/>
							  </xsl:when>
							</xsl:choose>
						</td>
	        </tr>
	        <tr><td><xsl:value-of select="$lg/s[84]"/>:</td>
						<td>
							<xsl:attribute name="id">strErr<xsl:number value="../ShowIdx - $inv_cnt - 1"/></xsl:attribute>
							<xsl:value-of select="Error"/>
							<xsl:if test="ErrorDetailed!=0"> 0x<xsl:value-of select="ErrorDetailed"/></xsl:if>
						</td>
	        </tr>
	        <tr><td><xsl:value-of select="$lg/s[82]"/>:</td>
						<td>
            	<xsl:attribute name="id">strCur<xsl:number value="../ShowIdx - $inv_cnt - 1"/></xsl:attribute>
							<xsl:choose>
					  		<xsl:when test="String[1]/V[@n='Ic'] != '-'">
									<xsl:value-of select="sum(String/V[@n='Ic']) div 100"/>
					    	</xsl:when>
					    	<xsl:otherwise>
									-
					    	</xsl:otherwise>
							</xsl:choose>
			         A
						</td>
					</tr>
	      </tbody>
			</table>
    </p>
    <p>
      <table class="tbl_full">
				<colgroup> 
		      <col class="col_name_wide" width="25%"/>
		      <col class="col_value" width="25%"/>
		      <col class="col_value" width="25%"/>
		      <col class="col_value" width="25%"/>
				</colgroup> 
				<thead>
					<td><xsl:value-of select="$lg/s[87]"/></td>
					<td><xsl:value-of select="$lg/s[88]"/> [A]</td>
					<td><xsl:value-of select="$lg/s[89]"/> [A]</td>
					<td><xsl:value-of select="$lg/s[90]"/> [Ah]</td>
				</thead>
        <tbody>
        	<xsl:for-each select="String">
						<tr>
							<td style="text-align:center;"><xsl:value-of select="Idx"/></td>
							<td style="text-align:center;">
	            	<xsl:attribute name="id">str<xsl:number value="../../ShowIdx - $inv_cnt - 1"/>Ii<xsl:number value="position() - 1"/></xsl:attribute>
								<xsl:choose>
					        <xsl:when test="V[@n='Ii'] != '-'">
										<xsl:value-of select="V[@n='Ii'] div 100"/>
					        </xsl:when>
					        <xsl:otherwise>
										-
					        </xsl:otherwise>
								</xsl:choose>
							</td>
							<td style="text-align:center;">
	            	<xsl:attribute name="id">str<xsl:number value="../../ShowIdx - $inv_cnt - 1"/>Ic<xsl:number value="position() - 1"/></xsl:attribute>
								<xsl:choose>
					        <xsl:when test="V[@n='Ic'] != '-'">
										<xsl:value-of select="V[@n='Ic'] div 100"/>
					        </xsl:when>
					        <xsl:otherwise>
										-
					        </xsl:otherwise>
								</xsl:choose>
							</td>
							<td style="text-align:center;">
	            	<xsl:attribute name="id">str<xsl:number value="../../ShowIdx - $inv_cnt - 1"/>It<xsl:number value="position() - 1"/></xsl:attribute>
								<xsl:choose>
					        <xsl:when test="V[@n='It'] != '-'">
										<xsl:value-of select="V[@n='It'] div 10"/>
					        </xsl:when>
					        <xsl:otherwise>
										-
					        </xsl:otherwise>
								</xsl:choose>
							</td>
        		</tr>
	        </xsl:for-each> 
        </tbody>
      </table>
    </p>
  </xsl:template>	
</xsl:stylesheet>
